<?php
	use Kris\LaravelFormBuilder\FormBuilder;
	use Kris\LaravelFormBuilder\Field;
	use App\Models\Category;
	use App\Models\Product;
	use App\Models\Bayi;
	use App\Models\Page;
	use App\Models\Files;
	use App\Models\SiparisDetay;
	use App\Models\adres_siparis;
	use App\Models\Siparis;
	use App\Models\iller;
	use App\Models\ilceler;
	use App\Models\Favori;
	use App\Models\Yorum;
	use App\Models\Settings;
	use App\Models\Language;
	use App\Models\Menu;
	use Illuminate\Http\Request;
	use Illuminate\Support\Facades\Log;
	use Illuminate\Support\Facades\Cache;
	use Illuminate\Filesystem\Filesystem;
	class Helper
	{
		public static function Menu($id, $menu_class)
		{
			$menu_result ="";
			$class = ['',''];
			if(count($menu_class) == 2){
				$class = $menu_class;
			}
			$menus = Menu::where('menu_status','on')->orderBy('list', 'asc')->get();
			$categori = Category::where('up_categoryId',0)->orderBy('id', 'asc')->get();
			foreach($menus as $menu){
				if($menu->page_id==0){
					$menu_result .= '<li class="'.$class[0].'"><a class="'.$class[1].'" href="/'.Config::get('app.locale').'">' . $menu->menu_name. '</a></li>';
				}
				else if( $menu->E_Ticaret=="on"){
					$menu_result .= '<li class="nav-item dropdown"><a class="'.$class[1].'" href="javascript:void(0)">' . $menu->menu_name. '</a>';
					$menu_result .= '<ul class="dropdown-menu">';
					foreach($categori as $cat){
						$menu_result .= '<li class="dropdown-submenu"><a class="dropdown-item " href="/'.Config::get('app.locale').'/'. $cat->category_slug. '">' . Str::lower($cat->category_name). '</a></li>';
					}
					$menu_result .= '</ul>';
					$menu_result .='</li>';
					}else{
					$menu_result .= '<li class="'.$class[0].'"><a class="'.$class[1].'" href="/'.Config::get('app.locale').'/'. $menu->pageName->page_slug. '">' . $menu->menu_name. '</a></li>';
				}
			}
			return $menu_result;
		}
		public static function FooterMenu($id)
		{
			$menu_result ="";
			$menus = Page::where('page_status','on')->where("Ust",$id)->orderBy('page_order', 'asc')->get();
			foreach($menus as $menu){
				$menu_result .= '<li ><a  href="/'.Config::get('app.locale').'/'. $menu->page_slug. '">' . $menu->page_name. '</a></li>';
			}
			return $menu_result;
		}
		
		public static function Categori() {
			$kategori = Cache::rememberForever('kategori_listesi', function () {
				return Category::where('up_categoryId', '0')
							   ->where('category_status', 'on')
							   ->orderBy('categori_order', 'asc')
							   ->get();
			});
		
			return $kategori;
		}
			public static function Down_Categori_Count($id)
			{
				 $cacheKey = 'kategori_listesi_count' . $id;
			$kategori = Cache::rememberForever($cacheKey, function () use ($id) {
				return Category::where('up_categoryId', $id)
							   ->where('category_status', 'on')
							   ->orderBy('categori_order', 'asc')
							   ->count();
			});
		
			return $kategori;
			}
	
			public static function Down_Categori($id)
			{
				 $cacheKey = 'kategori_listesi_' . $id;
			$kategori = Cache::rememberForever($cacheKey, function () use ($id) {
				return Category::where('up_categoryId', $id)
							   ->where('category_status', 'on')
							   ->orderBy('categori_order', 'asc')
							   ->get();
			});
		
			return $kategori;
			}

		public static function Kampanya()
		{
			$urun =  Product::where('UrunİndirimOranı',">", 0)->get();
			return $urun;  
		}
		public static function YeniUrun()
		{
			$urun =  Product::where('YeniUrun',"on")->get();
			return $urun;  
		}
		public static function ProductFirst($id)
		{
			$urun =  Product::where('id',$id)->get();
			return $urun;  
		}
		public static function GetUpCategori($id)
		{
			$kategori = Category::where('id',$id)->first();
			if($kategori->up_categoryId>0){
				$kategori = Category::where('id',$kategori->up_categoryId)->first();
			}
			return $kategori->translate(Config::get('app.locale'))->category_name;
		}
		public static function GetUpCategoriLink($id)
		{
			$kategori = Category::where('id',$id)->first();
			if($kategori->up_categoryId>0){
			 $kategori = Category::where('id',$kategori->up_categoryId)->first();
				}
			 return $kategori->translate(Config::get('app.locale'))->category_slug;
		}
		
		public static function pages($id)
		{
		   $pages = Cache::rememberForever('pages_'. $id, function () use ($id) {
		return Page::where('id', $id)
				   ->where('page_status', 'on')
				   ->get();
	});
	return $pages;
		}
		public static function pagestitle($id)
		{
			$pages = Cache::remember('page_'.Config::get('app.locale').'_'. $id, 600, function () use ($id) {
				return Page::where('id', $id)->first();
			});
			 return $pages->page_name;
		}
		public static function PagesGetLayer($id,$Layer)
		{
		   $pages = Cache::remember('page_'.Config::get('app.locale').'_'. $id, 600, function () use ($id) {
				return Page::where('id', $id)->first();
			});
			if ($pages == null || is_null($pages->$Layer)) {
				return $Layer; 
			}
		
			return $pages->$Layer;
		}
	
		public static function pagesform($id)
		{
			$form = Page::where('id', $id)->value('form');
			 return $form;
		}
		public static function pagesLink($id)
		{
			$pages = Cache::remember('page_'.Config::get('app.locale').'_'. $id, 600, function () use ($id) {
				return Page::where('id', $id)->first();
			});
			 return $pages->page_slug;
		}
		public static function pageslist($id, $offset = 0, $limit=10)
	{
		$cacheKey = 'pageslist_'.Config::get('app.locale'). '_' . $id . '_' . $offset . '_' . $limit;
	
		$pages = Cache::remember($cacheKey, 600, function () use ($id, $offset, $limit) {
			if ($limit == 0) {
				return Page::where('Ust', $id)->orderBy('page_order', 'asc')->get();
			} else {
				return Page::where('Ust', $id)
					->offset($offset)
					->limit($limit)
					->orderBy('page_order', 'asc')
					->get();
			}
		});
	
		return $pages;
	}


		public static function PageGaleri($id){
			$pagegaleri = DB::table('pages')
			->select(['pages.id','pages.page_image','files.file','page_translations.page_slug'])
			->leftjoin('files', 'files.content_id', '=', 'pages.id')
			->leftjoin('page_translations', 'page_translations.page_id', '=', 'pages.id')
			->where('pages.id', $id)
			->get();
			return $pagegaleri;
		}
		public static function pageslistcount($id)
{
    $cacheKey = 'pageslistcount_'.Config::get('app.locale'). '_' . $id;

    $pagescount = Cache::remember($cacheKey, 600, function () use ($id) {
        return Page::where('Ust', $id)->orderBy('page_order', 'desc')->count();
    });

    return $pagescount;
}
    public static function productlistcount($id)
    {
        $totalProducts = DB::table('products')
        ->join('categories', 'products.product_categoryId', '=', 'categories.id')
        ->where('categories.up_categoryId', $id)
        ->count();
            
            return $totalProducts;
       
      
    }
    public static function pagesdokumanfull($id)
    {
        $cacheKey = 'pagesdokumanfull_'.Config::get('app.locale'). '_' . $id;
    
        $files = Cache::remember($cacheKey, 600, function () use ($id) {
            return Files::where('content_id', $id)->orderByRaw('sort,id desc')->get();
        });
    
        return $files;
    }
    
    public static function pagesdokuman($id)
    {
        $cacheKey = 'pagesdokuman_'.Config::get('app.locale'). '_' . $id;
    
        $files = Cache::remember($cacheKey, 600, function () use ($id) {
            return Files::where('content_id', $id)->limit(3)->orderByRaw('sort,id desc')->get();
        });
    
        return $files;
    }
    
    public static function pagesdokumancount($id)
    {
        $cacheKey = 'pagesdokumancount_'.Config::get('app.locale'). '_' . $id;
    
        $filescount = Cache::remember($cacheKey, 600, function () use ($id) {
            return Files::where('content_id', $id)->count();
        });
    
        return $filescount;
    }
		public static function siparisadet()
		{
			$bayi_id =  session('customer_id');
			if($bayi_id==null){
				$clientIP = \Request::ip();
				$bayi_id =  str_replace(".", "",  \Request::ip());	
			}
			$siparis =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $bayi_id)->get();
			return $siparis->count();
		}
		public static function favori($id){
			$bayi_id =  session('customer_id');
			if($bayi_id==null){
				return  "";
			}
			$favori =  Favori::where('urun_id',$id)->where('user_id', $bayi_id)->count();
            if($favori>0){
				return  "added";
				}else{
				return  "";   
			}
		}
		public static function UrunYorum($id){
			$yorum =  Yorum::where('urun_id',$id)->where("durum",'on')->count();
			return   $yorum;   
		}
		public static function UrunYildiz($id){
			$yorumsayisi=  Yorum::where('urun_id',$id)->where("durum",'on')->count();
			$yorum =  Yorum::where('urun_id',$id)->where("durum",'on')->sum('yildiz');
			if($yorum>0){
				return  round($yorum / $yorumsayisi); 
				}else{
				return 0;
			}
		}
		public static function sipariscount()
		{
			$bayi_id =  session('customer_id');
			if($bayi_id==null){
				$bayi_id =  str_replace(".", "",  \Request::ip());	
			}
			$siparis =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $bayi_id)->sum(DB::raw('(Adet  * Fiyat)'));
			return  $siparis;
		}
		public static function sipariskargocount()
		{
			$bayi_id =  session('customer_id');
			if($bayi_id==null){
				$bayi_id =  str_replace(".", "",  \Request::ip());	
			}
			$minkargo=Settings::select('setting_value')->where('setting_key','kargo')->first();
			$ucretkargo=Settings::select('setting_value')->where('setting_key','kucret')->first();
			$siparistoplam =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $bayi_id)->sum(DB::raw('(Adet  * Fiyat)'));
			if($siparistoplam > $minkargo->setting_value){
				return  0;
			}
			else{
				return  $ucretkargo->setting_value;
			}
		}
		public static function coksatan($id)
		{
			$coksatan=SiparisDetay::where('Urun_Id',$id)->count();
			return  $coksatan;
		}
		public static function KargoKoli($id)
		{
			$kolisayisi=SiparisDetay::where('Siparis_Id',$id)->sum(DB::raw('((Adet ) +( PaletAdet * KoliAdetSayısı) )  '));
			return  $kolisayisi;
		}
		public static function KargoDesi($id)
		{
			$kargodesi =  SiparisDetay::where('Siparis_Id',$id)->sum(DB::raw('((Adet * KoliAdetSayısı * Desi) +( PaletAdet * KoliAdetSayısı * PaletAdetSayısı * Desi) )  '));
			return  $kargodesi;   
		}
		public static function Sepet(){
    
			$bayi_id =  session('customer_id');
			if($bayi_id==null){
				$bayi_id =  str_replace(".", "",  \Request::ip());	
			}
		 
		$sepet = SiparisDetay::where('User_Id',$bayi_id)->where('Siparis_Id',0)->get();
		   return $sepet;
			
		}
		public static function siparisİndirimsizcount()
		{
			$bayi_id =  session('customer_id');
			if($bayi_id==null){
				$bayi_id =  str_replace(".", "",  \Request::ip());	
			}
			$siparis =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $bayi_id)->sum(DB::raw('((Adet * İndirimsizFiyat) ) '));
			return  $siparis;
		}
		public static function Bayii()
		{
			if (session('customer_id')  > 0){
				$bayi_id =  session('customer_id');
				$bayii = Bayi::select('bayi_name', 'bayi_surname')->where('id', $bayi_id)->first();
					$fullName = $bayii->bayi_name . ' ' . $bayii->bayi_surname;
				
				return $fullName;
			}
		}
		public static function BayiiLogin()
		{
			$durum=0;
			if (session('customer_id')  > 0){
				$bayi_id =  session('customer_id');
				$durum= $bayi_id;
			}
			return $durum;
		}
		public static function Siparislist($dates)
		{
			$bayi_id =  session('customer_id');
			$siparislist = Siparis::where('User_Id', $bayi_id)->whereYear("created_at",$dates->format('Y'))->whereMonth('created_at', '=', $dates->format('m'))->get();
			return $siparislist;
		}
		public static function SiparisAdres($siparisid)
		{
			$siparisadres = adres_siparis::where('Siparis_Id',$siparisid )->first();
			return $siparisadres;
		}
		public static function Siparisdetay($id)
		{
			$siparisdetaylist = SiparisDetay::where("Siparis_Id",$id)->get();
			return $siparisdetaylist;
		}
		public static function Locale()
		{
			$locale =  \Session::get('applocale');
			if($locale == null){
				\Session::put('applocale', Language::where('default',true)->first()->code);
				$locale =  \Session::get('applocale');
			}
			return $locale;
		}
		public static function toInt($string)
		{
			$result = 0;
			if($string != null){
				$result = preg_replace("/\D/", "", $string);
				if(strlen($result)==0){
					$result = 0;
					}else{
					$result = (int)$result;
				}
			}
			return $result;
		}
		public static function Locales()
		{
			return Language::all()->pluck('title','code');
		}
		public static function GetLocaleFiles($code)
		{
			$lang_folder = base_path('lang') . '/' . $code;
			return array_diff(scandir($lang_folder), array('.', '..'));
		}
		public static function var_export_short($data)
		{
			$dump = var_export($data, true);
			$dump = preg_replace('#(?:\A|\n)([ ]*)array \(#i', '[', $dump); // Starts
			$dump = preg_replace('#\n([ ]*)\),#', "\n$1],", $dump); // Ends
			$dump = preg_replace('#=> \[\n\s+\],\n#', "=> [],\n", $dump); // Empties
			if (gettype($data) == 'object') { // Deal with object states
				$dump = str_replace('__set_state(array(', '__set_state([', $dump);
				$dump = preg_replace('#\)\)$#', "])", $dump);
				} else { 
				$dump = preg_replace('#\)$#', "]", $dump);
			}
			return $dump;
		}
		public static function ReadLocaleFile($code,$file)
		{
			
			$langFile =new Filesystem();
			$langFile =$langFile->get(
			base_path().DIRECTORY_SEPARATOR.
          	'lang'.DIRECTORY_SEPARATOR.
            $code. DIRECTORY_SEPARATOR.
			$file
			);
			$langFile = str_replace('<?php','',$langFile);
			$langArray = eval($langFile);
			return $langArray;
		}
		public static function Sosyal(){
			$settings = Settings::where('setting_key','sosyalmedya')->get();
			return  $settings;
		}
		public static function Form($string)
		{
			if($string == null){
				return '';
			}
			
		$formArray = json_decode($string, true);
	
		// Etiketlerde çeviri eklemek için
		foreach ($formArray as &$field) {
			if (isset($field['label'])) {
	 $field['label'] = trans($field['label']);
	 if($field['type']=='file'){
	 $field['help_block'] = [
		'text' => "+".trans('system.Belge Yükle'),
		'tag' => 'label',
		'attr' => ['class' => 'control-file-label control-file-label-right', 'for'=>'Cv']
	 ];
	}
	   $field['attr']['placeholder']= trans($field['label']);
	   $field['value'] = trans($field['value']);
			}
		}
	
			$form_view = \FormBuilder::createByArray(
				
			 $formArray
			,[
				'language_name' => 'system',
				'method' => 'POST',
				'url' => route('form-save'),
				 'prefix' => 'system',
				 'id'=>'postform'
			]
		);	  
	   
		$form_view->modify('submit', 'submit', [
			'attr' => [
				'class' => 'form-control frm-btn g-recaptcha',
				'data-sitekey' => "6Lc1MFMpAAAAAP6vFus9CathmerNm7hPZus0izxh",
				'data-callback' => 'onSubmit',
			],
			'label' => trans('system.Gönder') . ' <i class="fas fa-chevron-right"></i>',
		]);
		
		$form_view->modify('submit', 'submit', [
			'wrapper' => [
			  
				'class' => 'form-group custom-form-button',
			],
		]);
	  
			return form($form_view);
		}
	
		public static function DocumentForm($string )
		{
			if($string == null){
				return '';
			}
	
		$formArray = json_decode($string, true);
	   
	   
		foreach ($formArray as &$field) {
			if (isset($field['label'])) {
				$field['label'] = trans($field['label']);
				$field['attr']['placeholder']= trans($field['label']);
			 $field['value'] = trans($field['value']);
			}
		}
	
			$form_view = \FormBuilder::createByArray(
			 $formArray
			,[
				'method' => 'POST',
				'url' => route('form-save'),
				 'prefix' => 'system',
				 'id'=>'postform',
				 'attr' => [
					'class' => 'document'
				  
				],
			]
		);	  
	  
		$form_view->modify('button', 'button', [
			'attr' => [
				'class' => 'form-control frm-btn modalhide',
				'data-bs-dismiss'=>"modal"
			],
			'label' => trans('system.Vazgeç') . ' <i class="fas fa-chevron-right"></i>',
		   
		]);
		$form_view->modify('submit', 'button', [
			'attr' => [
				'class' => 'form-control frm-btn g-recaptcha',
				'data-sitekey' => "6Lc1MFMpAAAAAP6vFus9CathmerNm7hPZus0izxh",
				'data-callback' => 'onSubmit',
			],
			'label' => trans('system.Gönder') . ' <i class="fas fa-chevron-right"></i>',
		   
		]);
		
			return form($form_view);
		}
	

	}	