<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\iller;
use App\Models\ilceler;
use App\Models\mahalleler;
use App\Models\Bayi;
use App\Models\adres_customer;
use Carbon\Carbon;
use Illuminate\Http\Request;

class AdresController extends Controller
{
	
	
	 /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
	
		$sehir = iller::where("Durum",'on')->orderBy('id','asc')->get();
      
        return response()->json($sehir);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
     if($request->Adres!=null){
		
		$bayi =  Bayi::where('adress',$request->Mahalle)->first();
        $adresadd =  adres_customer::create([
            'User_Id'=>$request->User_Id,
            'İlce'=>$request->İlce,
            'Baslik'=>$request->Baslik,
            'Adres'=>$request->Adres,
            'Sehir'=>$request->Sehir,
            'Mahalle'=>$request->Mahalle,
			'Bayi_id'=>$bayi->id

        ]);
        $adresaddid=$adresadd->id;
        return response()->json($adresaddid);

     }else if($request->user_Id!=null){
	  $adreslist = adres_customer::where("User_Id", $request->user_Id)
	->orderBy('id','asc')
	 ->get();
	    return response()->json($adreslist);
	}else if($request->sehirId!=null){
        $ilce = ilceler::where("il_id", $request->sehirId)
	 ->where("Durum", 'on')
	 ->orderBy('id','asc')
	 ->get();
      
        return response()->json($ilce);
	}else{
	 $mahalleler = mahalleler::where("ilce_id", $request->ilceId)
	 ->where("Durum", 'on')
	 ->orderBy('id','asc')
	 ->get();
      
        return response()->json($mahalleler);
	}
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
	  $adreslist = adres_customer::where("id", $id) ->get();	  	 	  return response()->json($adreslist);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $bayi =  Bayi::where('adress',$request->Mahalle)->first();
        adres_customer::where('id', $id)->update([
        
            'İlce'=>$request->İlce,
            'Baslik'=>$request->Baslik,
            'Adres'=>$request->Adres,
            'Sehir'=>$request->Sehir,
            'Mahalle'=>$request->Mahalle,
			'Bayi_id'=>$bayi->id
        ]);
      
        return response()->json("1");
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        try {
            adres_customer::where('id', $id)->delete();
            return response()->json("1");
        } catch (\Exception $e) {
            return response()->json("0");
        }
    }
	
	
   
}
