<?php

namespace App\Http\Controllers\Backend\Bayi;

use App\Http\Controllers\Controller;
use App\Models\Role;
use App\Models\Bayi;
use App\Models\iller;
use App\Models\ilceler;
use App\Models\mahalleler;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use App\Services\SmsService;
use Mail;
class BayiController extends Controller
{
    public function getUsers()
    {
      
		  $users = Bayi::all();
        return view('backend.bayi.bayi')->with('users', $users);
    }

    public function getUsersAdd()
    {
       	$sehirler = iller::where("Durum",'on')->orderBy('id','asc')->get();
       	$ilceler = ilceler::where("Durum",'on')->orderBy('id','asc')->get();
       	$mahalleler = mahalleler::where("Durum",'on')->orderBy('id','asc')->get();
        return view('backend.bayi.bayi-add')->with("sehirler",$sehirler)->with("ilceler",$ilceler)->with("mahalleler",$mahalleler);
    }

    public function getUsersEdit($userId)
    {
       
        $user = Bayi::where('id',$userId)->first();
		
        return view('backend.bayi.bayi-edit')->with('user', $user);
    }

    public function postUsers(Request $request)
    {
        if (isset($request->delete)) {
            try {
                $users =  Bayi::where('id',$request->id)->first();
              
                Bayi::where('id', $request->id)->delete();
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Müşteri Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Müşteri Silinemedi']);
            }
        } elseif (isset($request->status)) {
            try {
				$users =  Bayi::where('id',$request->id)->first();
				 Bayi::where('id', $request->id)->update($request->all());
				if($request->status=="on"){
                
      
		
		
				$pass=Str::random(6);
				$pass2=	 Hash::make($pass);
				Bayi::where('id', $request->id)->update([ 'password' => $pass2 ]);
				$sms=env('APP_NAME')."'ya Hoşgeldiniz. Müşteri Kodunuz: ".$users->bayi_kod." Şifreniz : ".$pass." sifrenizi kimseyle paylaşmayınız.";
				$user_mail=$users->email;
				
				
			
                Mail::send('mail.index', ['sms' => $sms], function ($message) use ($user_mail) {
                    $message->from(env('MAIL_FROM_ADDRESS'), env('MAIL_USERNAME'));
                    $message->subject(env('APP_NAME') ." Üyelik Bilgisi");
                    $message->to($user_mail);
                });


				}
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Müşteri Durumu Değiştirildi']);
				
				
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Müşteri Durumu Değiştirilemedi']);
            }
        }
    }

    public function postUsersAdd(Request $request)
    {
		
		
		
		 if (isset($request->il_id)) {
			$ilceler = ilceler::where("Durum",'on')
			->where('il_id',$request->id)
			->orderBy('id','asc')->get();
			return  $ilceler;
			
		 }else if (isset($request->ilce_id)) {
			$mahalle = mahalleler::where("Durum",'on')
			->where('ilce_id',$request->id)
			->orderBy('id','asc')->get();
			return  $mahalle;
		}else{
		
        try {
            $date = Str::slug(Carbon::now());
           
           
             Bayi ::create([
              
                'bayi_name' => $request->bayi_name,
                'phone' => $request->phone,
                'email' => $request->email,
				'password' => Hash::make($request->password),
                'status' => $request->status == 'on' ? 'on' : 'off',
            ]);
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Bayi Eklendi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Bayi Eklenemedi']);
        }

    }
    }

    public function postUsersEdit(Request $request,$userId)
    {
        try {
         
            $users =  Bayi::where('id',$userId)->first();
            Bayi::where('id',$userId)->update([
              
                'bayi_name' => $request->name,
                'Yetkili' => $request->Yetkili,
                'phone' => $request->phone,
                 'email' => $request->email,
                'status' => $request->status == 'on' ? 'on' : 'off',
            ]);
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Bayi Güncellendi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Bayi Güncellenemedi']);
        }
    }
}
