<?php

namespace App\Http\Controllers\Backend\Customer;

use App\Http\Controllers\Controller;
use App\Models\Bayi;
use App\Models\Customers;
use App\Models\adres_customer;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;

class CustomerController extends Controller
{
    public function getUsers()
    {
       
        $users = Customers::all();
        
        return view('backend.customer.customer')->with('users', $users);
    }

    public function getUsersAdd()
    {
        $bayis = Bayi::all();
        return view('backend.customer.customer-add')->with('bayis',$bayis);
    }

    public function getUsersEdit($userId)
    {
       
        $user = Customers::where('id',$userId)->first();
        $bayis=Bayi::all();
		  $adreslist = adres_customer::where("User_Id", $userId)
			->orderBy('id','asc')
			 ->get();
		
        return view('backend.customer.customer-edit')->with('user', $user)->with('bayis',$bayis)->with("adreslist",$adreslist);
    }

    public function postUsers(Request $request)
    { if (isset($request->bayidegistir)) {
          try {
              adres_customer::where('id',$request->id)->update([					'Bayi_id' => $request->bayi_id				]);				Customers::where('id',$request->id)->update([					'Bayi_id' => $request->bayi_id				]);
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Bayi Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Bayi Değiştirelemedi']);
            }
        }
       else if (isset($request->delete)) {
            try {
               Customers::where('id', $request->id)->delete();
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kullanıcı Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kullanıcı Silinemedi']);
            }
        } elseif (isset($request->status)) {
            try {
                Customers::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kullanıcı Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kullanıcı Durumu Değiştirilemedi']);
            }
        }
    }

    public function postUsersAdd(Request $request)
    {
		
		
        try {
           
            Customers::create([
              
                'name' => $request->name,
                'email' => $request->email,
                'phone' => $request->phone,
                'adres1' => $request->adres1,
                'adres2' => $request->adres2,
                'adres3' => $request->adres3,
                'password' => Hash::make($request->password),
                'bayi_id' => $request->bayi_id,
                'puan' => $request->puan,
                'status' => $request->status == 'on' ? 'on' : 'off',
            ]);
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kullanıcı Eklendi.']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kullanıcı Eklenemedi..']);
        }

    
    }

    public function postUsersEdit(Request $request,$userId)
    {
        try {
           
            $users =  Customers::where('id',$userId)->first();
            Customers::where('id',$userId)->update([
               
                'name' => $request->name,
                'email' => $request->email,
                'phone' => $request->phone,
                'puan' => $request->puan,
                'password' => $request->password ==  $users->password ? $users->password : Hash::make($request->password),
                
                'status' => $request->status == 'on' ? 'on' : 'off',
            ]);
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => "kullanıcı güncellendi"]);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => "bir hata meydana geldi"]);
        }
    }
}
