<?php

namespace App\Http\Controllers\Backend\Duyuru;

use App\Http\Controllers\Controller;
use App\Models\Duyuru;
use Carbon\Carbon;

use App\Models\iller;
use App\Models\ilceler;
use App\Models\mahalleler;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use App\Services\Notification\Firebase;
use Illuminate\Support\Facades\Log;

class DuyuruController extends Controller
{ 
    public function getSliders()
    {
        $sliders = Duyuru::all();
        return view('backend.duyuru.sliders')->with('sliders', $sliders);
    }
    public function getSlidersAdd()
    {



        return view('backend.duyuru.slider-add');
    
    }

    public function getSlidersEdit($duyuruId)
    {
        $slider = Duyuru::where('id',$duyuruId)->first();
       
        return view('backend.duyuru.slider-edit')->with('slider',$slider);
    }


    public function postSliders(Request $request)
    {

       

        if (isset($request->delete)) {
            try {
                $sliders =  Duyuru::where('id',$request->id)->first();
                File::delete(public_path($sliders->slider_image));
                Duyuru::where('id', $request->id)->delete();
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Duyuru Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Duyuru Silinemedi']);
            }
        } elseif (isset($request->slider_status)) {
            try {
                Duyuru::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Duyuru Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Duyuru Durumu Değiştirilemedi']);
            }
        }
    }

    public function postSlidersAdd(Request $request)
    {				
					try {   
					
					$date = Str::slug(Carbon::now());   
					$imageName = Str::slug($request->slider_name) . '-' . $date;      
					Image::make($request->file('image'))->save(public_path('/uploads/sliders/') . $imageName . '.jpg')->encode('jpg', '50');   
					
					
					$request->merge(['slider_image' => '/uploads/sliders/' . $imageName . '.jpg']);  
					$request->merge(['slider_status' => $request->slider_status == 'on' ? 'on' : 'off']); 
				
				
					Duyuru::create($request->all());    
					
						return response(['status' => 'success', 'title' => 'Başarılı', 'content' => $request->slider_url]);
					} catch (\Exception $e) {  
						return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Duyuru Eklenmedi']);  
					}				
											
    }

    public function postSlidersEdit(Request $request,$sliderId)
    {
        try {
            $sliders =  Duyuru::where('id',$sliderId)->first();
            if ($request->hasFile('slider_image')){
                File::delete(public_path($sliders->slider_image));
                $date = Str::slug(Carbon::now());
                $imageName = Str::slug($request->slider_name) . '-' . $date;
                Image::make($request->file('slider_image'))->save(public_path('/uploads/sliders/') . $imageName . '.jpg')->encode('jpg','50');
            }

            Duyuru::where('id',$sliderId)->update([
                'slider_name' => $request->slider_name,
                'slider_image'=> $request->hasFile('slider_image') ? '/uploads/sliders/' . $imageName . '.jpg' : $sliders->slider_image,
                'slider_url' => $request->slider_url,
                'slider_status'=> $request->slider_status == 'on' ? 'on' : 'off',
            ]);

            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => $request->slider_url]);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Duyuru Güncellenemedi']);
        }
    }
}
