<?php

namespace App\Http\Controllers\Backend\Files;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Log;
use App\Models\Files;
use App\Models\ProductFiles;
use App\Helpers\Helper;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
use Illuminate\Support\Str;
use Intervention\Image\ImageManagerStatic as Image;

class FileController extends Controller
{
    public function Index()
    {
       
    }
	

    public function upload(Request $request)
    {
	
        if($request->hasFile('file') ) {
		
			
		
			$type = $request->get('type');
			
			$folder = date('Y-m-d');
			if (!file_exists(public_path("uploads/" . $folder))) {
				mkdir(public_path("uploads/" . $folder));
			}
			$destinationPath = public_path('uploads/'.$folder);
			
			$request_file       = $request->file('file');
			$filename    = $request_file->getClientOriginalName();
			$mimetype    = $request_file->getClientMimeType();
			$getSize    = $request_file->getSize();
			
			if (file_exists(public_path("uploads/" . $folder . "/"  . Str::lower(str_replace(' ' , '-',  $filename))))) {
			
				$filename = Carbon::now()->timestamp . '-' . Str::lower(str_replace(' ' , '-',  $filename));
			}
				
			if($type=="image" && ( $mimetype=="image/jpeg" || $mimetype=="image/png")){
				
					$request_file->move($destinationPath, Str::lower(str_replace(' ' , '-',  $filename)));
				
			
			}else if($type=="mp3" && $mimetype=='audio/mpeg' ){
			
				$request_file->move($destinationPath, Str::lower(str_replace(' ' , '-',  $filename)));
				
			}else{
				
				$request_file->move($destinationPath, Str::lower(str_replace(' ' , '-',  $filename)));
				
			
			}
			$group = $request->get('group');
if($group=="product"){$content_file = new ProductFiles();}else{$content_file = new Files();}

			
			$content_file->user_id = Auth::id();
			$content_file->content_id = $request->id;
			$content_file->type = $type;
			$content_file->size = number_format($getSize / 1048576, 2);
			$content_file->sort = 0;
			$content_file->title = $filename;
			$content_file->file = 'uploads/'.$folder.'/' . Str::lower(str_replace(' ' , '-',  $filename));
			$content_file->save();


		 return response(['status' => 'success', 'title' => 'Başarılı', 'content' => $filename]);
		}else{
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => "hata"]);
		}
      
		
    }
	
    public function edit(Request $request)
    {

		if($request->get('group')=='product'){
			$item = ProductFiles::findOrFail( $request->get('id'));
			$item->title = $request->get('title');
			$item->save();

		}
		else{
        $item = Files::findOrFail( $request->get('id'));
		$item->title = $request->get('title');
        $item->save();
		}


		return response(['status' => 'success', 'title' => 'Başarılı', 'content' => "Başarılı bir şekilde diğiştirildi"]);
    }
	
    public function sort(Request $request)
    {
		$items = $request->get('ids');
		$counter = 0;
		foreach($items as $item){
			$item = Files::findOrFail( $item);
			$item->sort = $counter;
			$item->save();
			$counter++;
	   }
	   return response(['status' => 'success', 'title' => 'Başarılı', 'content' => "Başarılı bir şekilde sıralandı"]);
    }
	
    public function delete(Request $request)
    {

		if($request->get('group')=='product'){
			$item = ProductFiles::findOrFail( $request->get('id'));
			$path=public_path($item->file);
			if (file_exists($path)) {
				unlink($path);
			}
			$item->delete();

		}else{
		$item = Files::findOrFail( $request->get('id'));
        $path=public_path($item->file);
        if (file_exists($path)) {
            unlink($path);
        }
        $item->delete();
	}
		return response(['status' => 'success', 'title' => 'Başarılı', 'content' => "Başarılı bir şekilde silindi"]);
    }
}
