<?php

namespace App\Http\Controllers\Backend\Menus;

use App\Http\Controllers\Controller;
use App\Models\Menu;
use App\Models\Page;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Helper;
class MenusController extends Controller
{
    public function getMenus()
    {
        $menus = Menu::orderBy('list', 'asc')->get();
        return view('backend.menus.menus')->with('menus', $menus);
    }

    public function getMenusAdd()
    {
        $pages = Page::where('Ust' ,"=" ,0)->orderByRaw('page_order,id desc')->get();
        $menus = Menu::all();
        return view('backend.menus.menu-add')->with('menus', $menus)->with('pages', $pages);
    }

    public function getMenusEdit($menuId)
    {
        $pages =Page::where('Ust' ,"=" ,0)->orderByRaw('page_order,id desc')->get();
        $menus = Menu::all();
        $menu = Menu::where('id', $menuId)->first();
        return view('backend.menus.menu-edit')->with('menus', $menus)->with('menu', $menu)->with('pages', $pages);
    }

    public function postMenus(Request $request)
    {
        if (isset($request->item)){
            try {
                foreach ($_POST['item'] as $key => $value) {
                    $menus = Menu::find(intval($value));
                    $menus->list = intval($key);
                    $menus->save();
                }
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Menü Sırası Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Menü Sırası Değiştirilemedi']);
            }
        }

        elseif(isset($request->delete)){
            try {
                Menu::where('id', $request->id)->delete();
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Menü Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Menü Silinemedi']);
            }
        }

        elseif(isset($request->menu_status)){
            try {
                Menu::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Menü Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Menü Durumu Değiştirilemedi']);
            }
        }

    }

    public function postMenusAdd(Request $request)
    {
        try {
            $slug = Str::slug($request->menu_name, '-');
            $menu = Menu::create([
                'page_id' => $request->page_id,
                'menu_slug' => $slug,
                'menu_status' =>$request->menu_status == 'on' ? 'on' : 'off',
                'E_Ticaret' =>$request->menu_status == 'on' ? 'on' : 'off',
            ]);
            
            foreach(Helper::Locales() as $key=>$value){
               
                $menu->translateOrNew($key)->menu_name = $request->menu_name;
            }
            $menu->save();

            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Menü Eklendi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Menü Eklenemedi']);
        }
    }

    public function postMenusEdit(Request $request, $menuId)
    {
        
        try {
         
            $request->merge(['menu_status' => $request->menu_status == 'on' ? 'on' : 'off']);
            $request->merge(['E_Ticaret' => $request->menu_status == 'on' ? 'on' : 'off']);

            $menu = Menu::find($menuId);
            $menu->fill($request->all())->save();
          

            foreach(Helper::Locales() as $key=>$value){
                $menu->translate($key)->menu_name =$request['menu_'.$key.'_name'];
             }
             $menu->save();
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Menü Güncellendi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Menü Güncellenemedi']);
        }
    }

}
