<?php

namespace App\Http\Controllers\Backend\Pages;

use App\Http\Controllers\Controller;
use App\Models\Menu;
use App\Models\Page;
use App\Models\Files;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use Symfony\Component\Console\Input\Input;
use Helper;
use Illuminate\Support\Facades\Artisan;
class PagesController extends Controller
{
 
    public function getPages(Request $request){

        $parent = 0;

if(isset($request->parent)){

$parent = $request->parent;

}

        $pages = Page::where('Ust' ,"=" ,$parent)->orderByRaw('page_order,id desc')->get();
        return view('backend.pages.pages')->with('pages',$pages);
    }

    public function getPagesAdd(Request $request){
        $pages = Page::all();
        return view('backend.pages.page-add')->with('pages',$pages);
    }

    public function getPagesEdit($pageId){
        $pages = Page::where('id',$pageId)->first();
     
        $Ust = Page::all();
		$dokuman = Files::select()->where('type', '=', 'pdf')->orderByRaw('sort,id desc')->where('content_id',$pageId)->get();
		$galeri = Files::select()->whereIn('type', ['img', 'audio'])->orderByRaw('sort,id desc')->where('content_id',$pageId)->get();
      
        return view('backend.pages.page-edit')->with('pages',$pages)->with('dokuman',$dokuman)->with('galeri',$galeri)->with('Ust',$Ust);
    }

    public function postPages(Request $request){
        if (isset($request->item)){
            try {
                foreach ($_POST['item'] as $key => $value) {
                    $pages = Page::find(intval($value));
                    $pages->page_order = intval($key);
                    $pages->save();
                }
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sayfa Sırası Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sayfa Sırası Değiştirilemedi']);
            }
        }

     else  if(isset($request->delete)){
            try {
                $pages =  Page::where('id',$request->id)->first();
                $pages->deleteTranslations();
                File::delete(public_path($pages->page_image));
                Page::where('id', $request->id)->delete();
                if (isset($request->page_image)){
                    File::delete(public_path($request->page_image));
                }
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sayfa Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sayfa Silinemedi']);
            }
        }

        elseif(isset($request->page_status)){
            try {
                Page::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sayfa Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sayfa Durumu Değiştirilemedi']);
            }
        }
        elseif(isset($request->topmenu_status)){
            try {
                Page::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sayfa Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sayfa Durumu Değiştirilemedi']);
            }
        }
    }

    public function postPagesAdd(Request $request){
      
        try {
            $date = Str::slug(Carbon::now());
            $imageName = Str::slug($request->page_name) . '-' . $date;
            if ($request->hasFile('image')){
            Image::make($request->file('image'))->save(public_path('/uploads/pages/') . $imageName . '.webp')->encode('webp','50');
           
            }
            if ($request->hasFile('opsiyonelimage')){
                Image::make($request->file('opsiyonelimage'))->save(public_path('/uploads/pages/') . $imageName . '-2.webp')->encode('webp','50');
               
                }
			
            $slug = Str::slug($request->page_name, '-');
          
            $parent = 0;
            $group = 0;
            $sablon = "default";


            if(isset($request->parent) &&  isset($request->group)){

            $parent = $request->parent;
            $group = $request->group;
            $sablon = Page::where('id' , $group)->value('sablon');


            }



            $page = Page::create([
                'Ust' => $parent,
             'Add_Date' => $request->has('Add_Date') ? $request->Add_Date : "",
                'Tur' => $group,
                'page_image' =>$request->hasFile('image')?'/uploads/pages/'.$imageName.'.webp':"",
                'opsiyonel_image' =>$request->hasFile('opsiyonelimage')?'/uploads/pages/'.$imageName.'-2.webp':"",
                 'sablon' => $sablon,
                'page_status' => $request->page_status == 'on' ? 'on' : 'off',
               
             
            ]);

        if(!isset($request->parent)  &&  !isset($request->group)){
            $turupdate = Page::where('id',$page->id)->update([
               
                'Tur' =>  $page->id
              
            ]);
         }
            foreach(Helper::Locales() as $key=>$value){
                $page->translateOrNew($key)->page_content = $request->page_content;
               $page->translateOrNew($key)->page_name = $request->page_name;
                $page->translateOrNew($key)->page_tags = $request->page_tags == ''?$request->page_name:$request->page_tags;
                $page->translateOrNew($key)->page_description =$request->page_description == ''?$request->page_name:$request->page_description;
                $page->translateOrNew($key)->page_slug = $slug;
                $page->translateOrNew($key)->Layer1 = $request->Layer1;
                $page->translateOrNew($key)->Layer2 = $request->Layer2;
                $page->translateOrNew($key)->Layer3 = $request->Layer3;
                $page->translateOrNew($key)->Layer4 = $request->Layer4;
                $page->translateOrNew($key)->Layer5 = $request->Layer5;
                $page->translateOrNew($key)->Layer6 = $request->Layer6;
                $page->translateOrNew($key)->Layer7 = $request->Layer7;
                $page->translateOrNew($key)->Layer8 = $request->Layer8;
             }
            $page->save();

            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sayfa Eklendi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sayfa Eklenemedi']);
        }
    }

    public function postPagesEdit(Request $request, $pageId){
	  $formData = json_decode($request->getContent(), true);

if(!empty($formData )){
    try {
      
    Page::where('id',$pageId)->update([
        'form' =>"$formData"
      
    ]);
    return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Form Güncellendi ']);
}catch(\Exception $e){

    return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Form Güncellenemedi']);
}
}else{
   if(isset($request->page_name_tr)){
        try {
            $pages = Page::find($pageId);
             $date = Str::slug(Carbon::now()); 
              $imageName = Str::slug($request->page_name_tr) . '-' . $date;
                  $imageNamebanner = Str::slug($request->page_name_tr) . '-banner-' . $date;    
            if ($request->hasFile('page_image')){
                File::delete(public_path($pages->page_image));
              
                Image::make($request->file('page_image'))->save(public_path('/uploads/pages/') . $imageName . '.webp')->encode('webp','50');
            }

            if ($request->hasFile('opsiyonelimage')){
                File::delete(public_path($pages->opsiyonel_image));
                Image::make($request->file('opsiyonelimage'))->save(public_path('/uploads/pages/') . $imageName . '-2.webp')->encode('webp','50');
               
                }
			


            if ($request->hasFile('page_banner')){           
                File::delete(public_path($pages->page_banner));       
                       
            
                Image::make($request->file('page_banner'))->save(public_path('/uploads/pages/') . $imageNamebanner . '.webp')->encode('webp','50');      
                }
            
            Page::where('id',$pageId)->update([
            'Ust' => $request->Ust,
            'sablon' => $request->Sablon,
            'page_dropdown'=>$request->page_dropdown == 'on' ? 'on' : 'off',
            'Add_Date' => $request->Add_Date,	
            'page_banner'=> $request->hasFile('page_banner') ? '/uploads/pages/' . $imageNamebanner . '.webp' : $pages->page_banner,
            'page_image'=> $request->hasFile('page_image') ? '/uploads/pages/' . $imageName . '.webp' : $pages->page_image,
            'opsiyonel_image'=> $request->hasFile('opsiyonelimage') ? '/uploads/pages/' . $imageName . '-2.webp' : $pages->opsiyonel_image,
            'page_status'=> $request->page_status == 'on' ? 'on' : 'off',
            
            
            ]);

            foreach(Helper::Locales() as $key=>$value){
                
                 $pages->translate($key)->page_content = $request['page_content_'.$key];
                 $pages->translate($key)->page_name =$request['page_name_'.$key];
                 $pages->translate($key)->page_tags = $request['page_tags_'.$key];
                 $pages->translate($key)->page_description = $request['page_description_'.$key];
                 $pages->translate($key)->page_slug = Str::slug($request['page_name_'.$key]);
                 $pages->translate($key)->Layer1 = $request['Layer1_'.$key];
                 $pages->translate($key)->Layer2 = $request['Layer2_'.$key];
                 $pages->translate($key)->Layer3 = $request['Layer3_'.$key];
                 $pages->translate($key)->Layer4 = $request['Layer4_'.$key];
                 $pages->translate($key)->Layer5 = $request['Layer5_'.$key];
                 $pages->translate($key)->Layer6 = $request['Layer6_'.$key];
                 $pages->translate($key)->Layer7 = $request['Layer7_'.$key];
                 $pages->translate($key)->Layer8 = $request['Layer8_'.$key];
             }
             $pages->save();


            

            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sayfa Güncellendi ']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sayfa Güncellenemedi']);
        }
   }else{
       
         return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sayfa Güncellenemedi Boş Veri Hatası']);
       
   }
    }
    }
}
