<?php

namespace App\Http\Controllers\Backend\Products;

use App\Http\Controllers\Controller;
use App\Models\Product;
use App\Models\ProductTranslation;
use App\Models\ProductFiles;
use App\Models\Category;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use Maatwebsite\Excel\Facades\Excel;
use App\Imports\ProductImport;
use App\Exports\ProductExport;
use App\Imports\ProductupdateImport;

use Helper;
use Maatwebsite\Excel\Concerns\WithProperties;
class ProductController extends Controller
{
    public function getExcel()
    {
        $categories = Category::where('up_categoryId','0')->get();
        return view('backend.product.excel')->with('categories', $categories);
    }
	
public function postExcelGet(Request $request){
	
	return Excel::download(new ProductExport, 'product.xlsx');
	
	
}	
	
	
public function postExcelUpdate(Request $request){
	
	
	 $array = Excel::toArray(new ProductupdateImport, $request->file("xlsfileupdate") );
	 
	  if(!empty($array)){

                    foreach ($array as $key => $value) {
                        foreach ($value as $v) {  
						if($v[1]!='id'){
							
					DB::table('products')->where("id",$v[0])
					->update([
							'fiyat'=> $v[2],
							'UrunİndirimOranı'=> $v[3],
							'ExtraAdet'=> $v[4],
							'Extrafiyat'=> $v[5],
							'updated_at'=>Carbon::now(),
						]);
							}
                            
                    }
                }
                }
	 return redirect()->back()->with('success', 'Ürün Güncelleme Başarılı');  
	
}
	public function postExcel(Request $request)
    {
       
       $array = Excel::toArray(new ProductImport, $request->file("xlsfile") );

                if(!empty($array)){

                    foreach ($array as $key => $value) {
                        foreach ($value as $v) {  
                         
                              $request->merge(['fiyat'=> $v[1]]);
						      $request->merge(['product_image'=> "/uploads/products/".Str::slug($v[0])."png"]);
							  $request->merge(['product_categoryId'=>$request->categoryId]);
							  $request->merge(['product_status'=> $v[6]]);
							  $request->merge(['YeniUrun'=> $v[7]]);
							  $request->merge(['UrunİndirimOranı'=> $v[8]]);
							  $request->merge(['UrunOlcu'=> $v[9]]);
							$request->merge(['UrunTipi'=> $v[11]]);
							  $request->merge(['ExtraAdet'=> $v[12]]);
							  $request->merge(['Extrafiyat'=> $v[13]]);
							 $request->merge(['UrunBarkodu'=> $v[15]]);
							  $request->merge(['HaftanınUrunu'=> $v[18]]);
							  $request->merge(['Stok'=> $v[19]]);
							  $request->merge(['Desi'=> $v[22]]);
							  $request->merge(['created_at'=>Carbon::now()]);
							  $request->merge(['updated_at'=>Carbon::now()]);
                        
                        $product =  Product::create($request->all());

                      
                        
                        
                        foreach(Helper::Locales() as $key=>$value){
                            $product->translateOrNew($key)->product_title = $v[0];
                        $product->translateOrNew($key)->product_content = $v[2];
                        $product->translateOrNew($key)->product_slug = Str::slug($v[0]);

                        }
                              $product->save();
                    }

                    
                }
                }
                return redirect()->back()->with('success', 'Ürün Yükleme Başarılı');  
    }
	public function getProducts()
    {
        $products = Product::orderBy('list','asc')->orderBy('id','desc')->get();
        return view('backend.product.products')->with('products', $products);
    }

    public function getProductsAdd()
    {
        $categories = Category::where('up_categoryId','0')->get();
        $products = Product::where('product_categoryId',4)->orderBy('id','desc')->get();
        return view('backend.product.product-add')->with('categories', $categories)->with('products', $products);
    }

    public function getProductsEdit($productId)
    {
        $categories = Category::where('up_categoryId','0')->get();
        $product = Product::where('id',$productId)->first();
		  $galeri = ProductFiles::where('content_id',$productId)->get();
        return view('backend.product.product-edit')->with('categories', $categories)->with('product',$product)->with('galeri', $galeri);
    }


    public function postProducts(Request $request)
    {
        if (isset($request->item)){
        try {
            foreach ($_POST['item'] as $key => $value) {
                $products = Products::find(intval($value));
                $products->list = intval($key);
                $products->save();
            }
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Ürün Sırası Değiştirildi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Ürün Sırası Değiştirilemedi']);
        }
    }
      else  if (isset($request->delete)) {
            try {
                $products =  Product::where('id',$request->id)->first();
                File::delete(public_path($products->product_image));
                Product::where('id', $request->id)->delete();
                ProductTranslation::where('product_id', $request->id)->delete();
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Ürün Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Ürün Silinemedi']);
            }
        } elseif (isset($request->product_status)) {
            try {
                Product::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Ürün Durumu Değiştirildi']);
				} catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Ürün Durumu Değiştirilemedi']);
            }
			} elseif (isset($request->fiyat)) {
            try {
                Product::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Ürün Fiyat Değiştirildi']);
				} catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Ürün Fiyatı Değiştirilemedi']);
            }
        }
    }

    public function postProductsAdd(Request $request)
    {
      
            $date = Str::slug(Carbon::now());
            $slug = Str::slug($request->product_title) . '-' . $date;
            $slug2 = Str::slug($request->product_title);
            Image::make($request->file('image'))->save(public_path('/uploads/products/') . $slug . '.webp')->encode('webp', '50');
            $request->merge(['product_image' => '/uploads/products/' . $slug . '.webp']);
            $request->merge(['product_status' => $request->product_status == 'on' ? 'on' : 'off']);
          
            
            $product =  Product::create($request->all());

            $existingProduct = ProductTranslation::where('product_slug', $slug2)->first();
            if ($existingProduct) {
                $slug2 = Str::slug($request->product_title . "-" . $product->id);
            }
            foreach(Helper::Locales() as $key=>$value){
                $product->translateOrNew($key)->product_title = $request->product_title;
                $product->translateOrNew($key)->product_title_2 = $request->product_title_2;
                $product->translateOrNew($key)->product_content = $request->product_content;
                $product->translateOrNew($key)->product_slug = $slug2;
            }
            $product->save();

            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Ürün Eklendi']);
       
    }

    public function postProductsEdit(Request $request, $productId)
    {
        try {
            $product = Product::find($productId);
            $products =  Product::where('id',$productId)->first();
			
            $date = Str::slug(Carbon::now());
            $slug = Str::slug($request->product_title) . '-' . $date;
            $slug2= Str::slug($request->product_title);
            if ($request->hasFile('product_image')){
                File::delete(public_path($products->product_image));
                Image::make($request->file('product_image'))->save(public_path('/uploads/products/') . $slug . '.webp')->encode('webp','100');
            }
         
             Product::where('id',$productId)->update([
               
                'YeniUrun' => $request->YeniUrun,
                'UrunİndirimOranı' => $request->UrunİndirimOranı,
                'ExtraAdet' => $request->ExtraAdet,
                'Extrafiyat' => $request->Extrafiyat,
                'HaftanınUrunu' => $request->HaftanınUrunu,
                'UrunOlcu' => $request->UrunOlcu,
                'GrupUrunu' => $request->GrupUrunu,
                'Stok' => $request->Stok,
                'ExtraAdet' => $request->ExtraAdet,
                'Extrafiyat' => $request->Extrafiyat,
                'Desi' => $request->Desi,
                'fiyat' => $request->fiyat,
                'Color' => $request->Color,
                'Color_2' => $request->Color_2,
                'Sekli' => $request->Sekli,
                'product_image' => $request->hasFile('product_image') ? '/uploads/products/' . $slug . '.webp' : $products->product_image,
                'product_categoryId' => $request->product_categoryId,
                'product_status' => $request->product_status == 'on' ? 'on' : 'off',
            ]);

            foreach(Helper::Locales() as $key=>$value){
                $product->translate($key)->product_title_2 =$request['product_title_2_'.$key];
                $product->translate($key)->product_title =$request['product_title_'.$key];
                $product->translate($key)->product_content = $request['product_content_'.$key];
                $product->translate($key)->product_slug = $request['product_slug_'.$key];

              
             }

             $product->save();
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Ürün Güncellendi ']);
        } catch (\Exception $e) {
           
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Ürün Güncellenemedi']);
        }
    }


    public function getProductsCategory(Request $request)
    {
    $parent=	$request->parent;
    if (empty($parent)) {
        $parent =0;
    }
    $categories = Category::where('up_categoryId', $parent) 
    ->orderBy('categori_order', 'asc')
    ->get();
        return view('backend.product.product-category')->with('categories', $categories);
    }

    public function getProductsCategoryAdd()
    {
        $categories = Category::all();
        return view('backend.product.product-category-add')->with('categories', $categories);
    }

    public function getProductsCategoryEdit($categoryId)
    {
        $categories = Category::all();
        $category = Category::where('id', $categoryId)->first();
        return view('backend.product.product-category-edit')->with('categories', $categories)->with('category', $category);
    }

    public function postProductsCategory(Request $request)
    {
        if (isset($request->item)){
        try {
            foreach ($_POST['item'] as $key => $value) {
                $categori = Category::find(intval($value));
                $categori->categori_order = intval($key);
                $categori->save();
            }
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kategori Sırası Değiştirildi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kategori Sırası Değiştirilemedi']);
        }
    }
    else if (isset($request->delete)) {
            try {
                Category::where('id', $request->id)->delete();
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kategori Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kategori Silinemedi']);
            }
        } elseif (isset($request->category_status)) {
            try {
                Category::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kategori Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kategori Durumu Değiştirilemedi']);
            }
        }
    }

    public function postProductsCategoryAdd(Request $request)
    {
        try {
                     $date = Str::slug(Carbon::now());   

  if ($request->hasFile('image')) {
					$imageName = Str::slug($request->category_name) . '-' . $date;      
					Image::make($request->file('image'))->save(public_path('/uploads/categories/') . $imageName . '.png')->encode('png', '50');   
                     $request->merge(['category_resim' => '/uploads/categories/' . $imageName . '.png']);  
}

            $slug = Str::slug($request->category_name, '-');
            $request->merge(['category_slug' => $slug]);


         $cat=Category::create($request->all());

            foreach(Helper::Locales() as $key=>$value){
                $cat->translateOrNew($key)->category_name = $request->category_name;
                $cat->translateOrNew($key)->category_slug = $slug;
                $cat->translateOrNew($key)->category_detail = $request->category_detail;
            }
            $cat->save();
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kategori Eklendi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kategori Eklenemedi']);
        }
    }

    public function postProductsCategoryEdit(Request $request, $categoryId)
    {
        try {

            $cat = Category::find($categoryId);
			$category =  Category::where('id',$categoryId)->first();
            $slug = Str::slug($request->category_name_tr, '-');
            $request->merge(['category_slug' => $slug]);
            $request->merge(['category_status' => $request->category_status == 'on' ? 'on' : 'off']);
             $request->merge(['category_slug' => $slug]);
			


			
			
			
            $cat->fill($request->all())->save();
              foreach(Helper::Locales() as $key=>$value){
                $cat->translate($key)->category_name =$request['category_name_'.$key]; 
                $cat->translate($key)->category_slug = Str::slug($request['category_slug_'.$key], '-');
                $cat->translate($key)->category_detail = $request['category_detail_'.$key];
            }
            $cat->save();
			if ($request->hasFile('category_resim')){
                File::delete(public_path($category->category_resim));
                Image::make($request->file('category_resim'))->save(public_path('/uploads/categories/') . $slug . '.webp')->encode('webp','50');
				  Category::where('id', $categoryId)->update(['category_resim' => '/uploads/categories/' . $slug . '.webp' ]);
				
            }
			if ($request->hasFile('category_banner')){
                File::delete(public_path($category->category_banner));
                Image::make($request->file('category_banner'))->save(public_path('/uploads/categories/') . $slug . '-banner.webp')->encode('webp','50');
				  Category::where('id', $categoryId)->update(['category_banner' => '/uploads/categories/' . $slug . '-banner.webp' ]);
				
            }
			
			if ($request->hasFile('category_banner_mobil')){
                File::delete(public_path($category->category_banner_mobil));
                Image::make($request->file('category_banner_mobil'))->save(public_path('/uploads/categories/') . $slug . '-bannerM.webp')->encode('webp','50');
				  Category::where('id', $categoryId)->update(['category_banner_mobil' => '/uploads/categories/' . $slug . '-bannerM.webp' ]);
				
            }
			
			
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kategori Güncellendi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kategori Güncellenemedi']);
        }
    }

}
