<?php
	namespace App\Http\Controllers\Backend\Siparis;
	use App\Http\Controllers\Controller;
	use App\Models\Siparis;
	use App\Models\SiparisDetay;
	use App\Models\Bayi;
	use App\Models\adres_siparis;
	use App\Models\Product;
	use App\Models\iller;
	use App\Models\ilceler;
	use App\Models\adres_customer;
	use App\Models\mahalleler;
	use App\Models\Customers;
	use Illuminate\Http\Request;
	use Illuminate\Support\Str;
	use Illuminate\Support\Facades\Hash;
	use App\Services\SmsService;
	use App\Services\Cargo\Yurtici;
	use Illuminate\Support\Facades\Mail;
	use DB;
	class SiparisController extends Controller
	{
		public function getSiparis()
		{
			$siparis = Siparis::orderBy('id','desc')->get();
			return view('backend.siparis.siparis')->with('siparis', $siparis);
		}
		public function getSiparisAdd()
		{
			$customers = Bayi::all();
			$products = Product::orderBy('id','desc')->get();
			return view('backend.siparis.siparis-add')->with('customers', $customers)->with("products",$products);
		}
		public function getSiparisEdit($siparisId)
		{
			$siparis=Siparis::where("id",$siparisId)->first();
			$customer=adres_siparis::where("Siparis_Id",$siparisId)->first();
			$siparisdetay=SiparisDetay::where("siparis_Id",$siparisId)->get();
			$siparisall=Siparis::where("User_Id",$siparis->User_Id)->get();
			return view('backend.siparis.siparis-edit')
			->with("siparis",$siparis)
			->with("siparisdetay",$siparisdetay)
			->with("customer",$customer)
			->with("siparisall",$siparisall);
		}
		public function postSiparis(Request $request)
		{
			if (isset($request->item)){
				try {
					foreach ($_POST['item'] as $key => $value) {
						$menus = Siparis::find(intval($value));
						$menus->list = intval($key);
						$menus->save();
					}
					return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Siparis Sırası Değiştirildi']);
					} catch (\Exception $e) {
					return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Siparis Sırası Değiştirilemedi']);
				}
			}
            elseif(isset($request->kargo)){
				$siparis=Siparis::where('id',$request->id)->first();
				$siparis_adres=Siparis::where('id',$request->id)->first();
                $customer=adres_siparis::where("Siparis_Id",$request->id)->first();
                $yurtici = new Yurtici([
				'username' => '7024N304530958G', 
				'password' => 'G5cU267Jrp40d08g',
				'test'     => false
				]);
				$string1 = str_replace('(', '', $customer->Telefon);
				$string2 = str_replace(')', '', $string1);
				$string3 = str_replace(' ', '', $string2);
				$Telefon = Str::of($string3)->ltrim('0');
				$kargoYolla = $yurtici->createCargo([
				'cargoKey'         => $siparis->SiparisNo,
				'invoiceKey'       => 'Sanalkahvalti-'.$siparis->SiparisNo,
				'receiverCustName' => $customer->Ad_Soyad,
				'receiverAddress'  => $customer->Adres,
				'cityName'   =>$customer->ilAd->il_adi,
				'townName'   =>$customer->ilceAd->ilce_adi,
				'receiverPhone1'   =>$Telefon ,
				'emailAddress'   => $customer->Eposta,
				]);
				if($kargoYolla->ShippingOrderResultVO->outFlag){
					Siparis::where('id', $request->id)->update(['Kargokey'=>"S".$siparis->SiparisNo."K"]);
					return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Kargo Başarılı']);
				}
				else{
					return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Kargo Başarısız']);
				}
			}
			else if(isset($request->delete)){
				try {
					Siparis::where('id', $request->id)->delete();
					return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Siparis Silindi']);
					} catch (\Exception $e) {
					return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Siparis Silinemedi']);
				}
			}
			elseif(isset($request->Durum)){
				
					Siparis::where('id', $request->id)->update($request->all());
					$siparis=adres_siparis::where('Siparis_Id',$request->id)->first();
					$sms = "";
					$user_mail=$siparis->Eposta;
					$Siparis=Siparis::where('id',$request->id)->first();
					if($request->Durum==2){
						$sms = "Sayın " .$siparis->Ad_Soyad. " siparişiniz  başarılı bir şekilde kargoya verilmiştir";
					}
					if($request->Durum==3){
						$sms = "Sayın " .$siparis->Ad_Soyad. " siparişiniz  başarılı bir şekilde teslim edilmiştir";
					}
					if($request->Durum==4){
						$sms = "Sayın " .$siparis->Ad_Soyad. " siparişiniz  iptal edilmiştir";
					}
					Mail::send('mail.index', ['sms' => $sms], function ($message) use ($user_mail , ) {
                        $message->from(env('MAIL_FROM_ADDRESS'), env('MAIL_USERNAME'));
                        $message->subject(env('APP_NAME') ." Siparis Durumu");
                        $message->to($user_mail);
                    });
					return response(['status' => 'success', 'title' => 'Başarılı', 'content' => "Siparis Durumu Değiştirildi"]);
					
			}
			elseif(isset($request->tumsiparis)){
				try {
					$siparisTotalCount = DB::table('siparis')->count();
					$siparis = DB::table('siparis')
                    ->select(['siparis.id','siparis.SiparisNo','siparis.OdemeSekli','siparis.ToplamTutar','siparis.created_at','siparis.Durum','adres_siparis.Ad_Soyad','adres_siparis.Telefon','siparis.KargoKey'])
					->join('adres_siparis', 'adres_siparis.Siparis_Id', '=', 'siparis.id')
					->limit($request->length)
					->offset($request->start)
                    ->orderBy('siparis.id','desc')
                    ->get();
                    return response(array("data" => $siparis , "recordsTotal" =>$siparis->count() ,"recordsFiltered" => $siparisTotalCount));
					} catch (\Exception $e) {
					return response(0);
				}
			}
		}
		public function postSiparisAdd(Request $request)
		{
			if (isset($request->adresgetir)) {
				$adresgetir = adres_customer::where('User_Id',$request->id)
				->orderBy('id','asc')->get();
				return  $adresgetir;
			}
			else{
				try {
					return response(['status' => 'success', 'title' => 'Başarılı', 'content' =>'Siparis Eklendi']);
					} catch (\Exception $e) {
					return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Siparis Eklenemedi']);
				}
			}
		}
		public function postSiparisEdit(Request $request, $siparisId)
		{
			try {
				Siparis::where('id', $siparisId)->update($request->all());
				return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Siparis Güncellendi']);
				} catch (\Exception $e) {
				return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Siparis Güncellenemedi']);
			}
		}
	}