<?php

namespace App\Http\Controllers\Backend\Sliders;

use App\Http\Controllers\Controller;
use App\Models\Slider;
use Carbon\Carbon;

use App\Models\iller;
use App\Models\ilceler;
use App\Models\mahalleler;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use App\Models\Product;
use App\Services\Notification\Firebase;
use Illuminate\Support\Facades\Log;

use Helper;
class SlidersController extends Controller
{ 
    public function getSliders()
    {
        $sliders = Slider::all();
        return view('backend.sliders.sliders')->with('sliders', $sliders);
    }
    public function getSlidersAdd()
    {



       
		$uruns = Product::orderBy('id','desc')->get();
        return view('backend.sliders.slider-add')->with('Urun', $uruns);
    
    }

    public function getSlidersEdit($sliderId)
    {
		$uruns = Product::orderBy('id','desc')->get();
        $slider = Slider::where('id',$sliderId)->first();
     
        return view('backend.sliders.slider-edit')->with('slider',$slider)->with('Urun', $uruns);
    }


    public function postSliders(Request $request)
    {

        if (isset($request->item)){
            try {
                foreach ($_POST['item'] as $key => $value) {
                    $sliders = Slider::find(intval($value));
                    $sliders->sort = intval($key);
                    $sliders->save();
                }
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Slider Sırası Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Slider Sırası Değiştirilemedi']);
            }
        }

     else if (isset($request->delete)) {
            try {
                $sliders =  Slider::where('id',$request->id)->first();
                File::delete(public_path($sliders->slider_image));
                Slider::where('id', $request->id)->delete();
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Slider Silindi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Slider Silinemedi']);
            }
        } elseif (isset($request->slider_status)) {
            try {
                Slider::where('id', $request->id)->update($request->all());
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Slider Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Slider Durumu Değiştirilemedi']);
            }
        }
    }

    public function postSlidersAdd(Request $request)
    {					
					try {   
					
					$date = Str::slug(Carbon::now());   
					$imageName = Str::slug($request->slider_name) . '-' . $date;      
					Image::make($request->file('image'))->save(public_path('/uploads/sliders/') . $imageName . '.webp')->encode('webp', '50');   
                    Image::make($request->file('mobil_image'))->save(public_path('/uploads/sliders/m_') . $imageName . '.webp')->encode('webp', '50'); 
                    
					$request->merge(['slider_image' => '/uploads/sliders/' . $imageName . '.webp']);  
					$request->merge(['slider_mobil_image' => '/uploads/sliders/m_' . $imageName . '.webp']);  
					$request->merge(['slider_status' => $request->slider_status == 'on' ? 'on' : 'off']); 
				
                    $slide =Slider::create([
                        'Urun_Id'=>$request->Urun_Id,
                        'Slider_Url'=>$request->Slider_Url,
                        'slider_image' => '/uploads/sliders/' . $imageName . '.webp',
                        'slider_mobil_image' => '/uploads/sliders/m_' . $imageName . '.webp',
                        'slider_status' => $request->slider_status == 'on' ? 'on' : 'off',
                    ]);
                    
                     foreach(Helper::Locales() as $key=>$value){
                       $slide->translateOrNew($key)->slider_name = $request->slider_name;
                       $slide->translateOrNew($key)->slider_detail = $request->slider_detail;
                      
                     }
                    $slide->save();
						return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Slider Eklendi']);
					} catch (\Exception $e) {  
						return response(['status' => 'error', 'title' => 'Başarısız', 'content' =>'Slider Eklenemedi']);  
					}				
											
    }

    public function postSlidersEdit(Request $request,$sliderId)
    {
        try {
            $sliders = Slider::find($sliderId);
          
            if ($request->hasFile('slider_image')){
                File::delete(public_path($sliders->slider_image));
                $date = Str::slug(Carbon::now());
                $imageName = Str::slug($request->slider_name_tr) . '-' . $date;
                Image::make($request->file('slider_image'))->save(public_path('/uploads/sliders/') . $imageName . '.webp')->encode('webp','50');
            }
            if ($request->hasFile('slider_mobil_image')){
                File::delete(public_path($sliders->slider_mobil_image));
                $date = Str::slug(Carbon::now());
                $imageName = Str::slug($request->slider_name_tr) . '-' . $date;
                Image::make($request->file('slider_mobil_image'))->save(public_path('/uploads/sliders/m') . $imageName . '.webp')->encode('webp','50');
            }
            Slider::where('id',$sliderId)->update([
                
                'slider_image'=> $request->hasFile('slider_image') ? '/uploads/sliders/' . $imageName . '.webp' : $sliders->slider_image,
                'slider_mobil_image'=> $request->hasFile('slider_mobil_image') ? '/uploads/sliders/m' . $imageName . '.webp' : $sliders->slider_mobil_image,
                'slider_url' => $request->slider_url,
                'Urun_Id' => $request->Urun_Id,
                'slider_status'=> $request->slider_status == 'on' ? 'on' : 'off',
            ]);


            
            foreach(Helper::Locales() as $key=>$value){
                
                $sliders->translate($key)->slider_name = $request['slider_name_'.$key];
                $sliders->translate($key)->slider_detail = $request['slider_detail_'.$key];
                
            }
            $sliders->save();
            

            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Slider Güncellendi ']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Slider Güncellenemedi']);
        }
    }
}
