<?php
	namespace App\Http\Controllers\Frontend\Ajax;
	use App\Http\Controllers\Controller;
	use App\Models\iller;
	use App\Models\ilceler;
	use App\Models\mahalleler;
	use App\Models\SiparisDetay;
	use App\Models\adres_customer;
	use App\Models\adres_siparis;
	use App\Models\Product;
	use App\Models\Bayi;
	use App\Models\Form;
	use App\Models\Page;
	use Carbon\Carbon;
	use Illuminate\Http\Request;
	use Illuminate\Support\Facades\Auth;
	use Helper;
	use DB;
	class AjaxController extends Controller
	{ 
		public function index(Request $request)
		{
			if (isset($request->deger)) {
				$bayi_id =  session('customer_id');
				$bayi_idkontrol =  session('customer_id');
				if($bayi_id==null){
					$bayi_id =  str_replace(".", "",  \Request::ip());	
				}
				
					$res=SiparisDetay::where('Id',$request->val)->where('User_Id',$bayi_id)->update([
					'Adet' => $request->deger
					]);
				
				$siparis =  SiparisDetay::where('Id',$request->val)->where('Siparis_Id',0)->where('User_Id',$bayi_id)->first();
				$urun =  Product::where('id',$siparis->Urun_Id)->first();
				$indirimlifiyat = $urun->fiyat -  (($urun->fiyat * $urun->UrunİndirimOranı )/100);
				if($urun->ExtraAdet>0){
					$kolisayisi=0;
					if(isset($siparis)){
						$kolisayisi = $siparis->Adet + ($siparis->PaletAdet * $urun->PaletAdetSayısı);
					}
					if( $urun->ExtraAdet   <= $kolisayisi){
						$indirimlifiyat = $indirimlifiyat -  (($urun->fiyat * $urun->Extrafiyat )/100);
					}
				}
				if($bayi_idkontrol>0){
					$user = Bayi::where('id',$bayi_id)->first();
					if( $user->iskonta >0){
						$indirimlifiyat = $indirimlifiyat -  (($urun->fiyat * $user->iskonta )/100);
					}
				}
				SiparisDetay::where('Id',$request->val)->where('User_Id',$bayi_id)->update([
				'fiyat' => $indirimlifiyat
				]);
				$odenecektutar =  Helper::sipariscount() + Helper::sipariskargocount();
				$indirimsiztutar =  Helper::siparisİndirimsizcount();
				$indirim = $indirimsiztutar - Helper::sipariscount();
				$kargo = Helper::sipariskargocount();
				return response(['status' => 'success' , 'odenecektutar' => number_format($odenecektutar,2) , 'indirimsiztutar' => number_format($indirimsiztutar,2), 'indirim' => number_format($indirim,2), 'kargo' => number_format($kargo,2)]);
			} 
			if (isset($request->ilcegetir)) {
				$ilceler = ilceler::where("Durum",'on')
				->where('il_id',$request->id)
				->orderBy('id','asc')->get();
				return  $ilceler;
			}
			if (isset($request->mahallegetir)) {
				$mahalle = mahalleler::where("Durum",'on')
				->where('ilce_id',$request->id)
				->orderBy('mahalle_adi','asc')->get();
				return  $mahalle;
			}
			if (isset($request->adres)) {
				if($request->id>0){
					$getadres = 	adres_customer::where("id",$request->id)->first();
					$adresid= adres_siparis::create([
					"Tc"=> $getadres->Tc ,
					"Ad_Soyad"=> $getadres->Ad_Soyad ,
					"Eposta"=> $getadres->Eposta ,
					"Telefon"=> $getadres->Telefon ,
					"Baslik"	 => $getadres->Baslik ,
					"sehir" => $getadres->Sehir ,
					"ilce"	 => $getadres->İlce ,
					"mahalle"	=> $getadres->Mahalle ,
					"Adres"	 => $getadres->Adres ,
					"Posta_Kodu"	 => $getadres->Posta_Kodu ,
					"Firma_Unvani"	=> $getadres->Firma_Unvani ,
					"Vergi_No"	=> $getadres->Vergi_No ,
					"Vergi_Dairesi" => $getadres->Vergi_Dairesi ,
					]);
					$request->session()->put('adres', $adresid->id);
					}else{
					$adresid= adres_siparis::create($request->all());
					$request->session()->put('adres', $adresid->id);
				}
				return response(['status' => 'success']);
			}
			if (isset($request->siparistamamla)) {
				$request->session()->put('acıklama', $request->not);
				return response(['status' => 'success']);
			}
			if (isset($request->siparisde)) {
				$bayi_id =  session('customer_id');
				if($bayi_id==null){
					$bayi_id =  str_replace(".", "",  \Request::ip());	
				}
				$res=SiparisDetay::where('id',$request->val)->where('User_Id',$bayi_id)->delete();
				$remainingItems = SiparisDetay::where('User_Id', $bayi_id)->where('siparis_id', 0)->get();
				$count = $remainingItems->count();
				$total = $remainingItems->sum(DB::raw('(Adet * Fiyat)'));
				if (isset($res)) {
					return response(['status' => 'success', 'count'=>$count, 'total'=> $total]);
					}else{
					return response(['status' => 'error']);
				}
			}
		}
		public function store(Request $request)
		{
			if(isset($request["page_id"])){
				$result = array();
				$content = Page::Find($request["page_id"]);
				$form = json_decode($content->form, true);
				foreach($form as $item){
					if(isset($request[$item["name"]])){
						if($item["name"] != "page_id" && $item["name"] != "title"){
							array_push($result, [ "name" => $item["name"] , "value" => $request[$item["name"]] ]);
						}
					}
				}
				Form::create([
				'page_id' => $request["page_id"],
				'title' => $request["title"],
				'detail' => json_encode($result,true),
				'status' => false,
				]);
				return redirect($_SERVER['HTTP_REFERER'])->with('success','Mesajınız başarıyla gönderilmiştir' ) ;
				}else{
				return redirect($_SERVER['HTTP_REFERER'])->with('error','Mesaj gönderimi başarısız !!' ) ;
			}
		}
	} 	