<?php

namespace App\Http\Controllers\Frontend\Bayii;

use App\Http\Controllers\Controller;

use App\Models\Bayi;
use App\Models\Page;
use App\Models\iller;
use App\Models\adres_customer;
use App\Models\ilceler;
use App\Models\mahalleler;
use App\Models\Siparis;
use App\Models\SiparisDetay;
use Carbon\Carbon;
use App\Models\adres_siparis;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use DB;
use Helper;
use App;
use App\Services\SmsService;
use Illuminate\Support\Facades\Mail;
class BayiController extends Controller
{
    
    public function index()
    {
   $bayi_id =  session('customer_id');

     $bayii =  Bayi::where('id',$bayi_id)->first();
   
         return view('frontend.hesap')->with('bayii',$bayii);   
     }


      public function quit(Request $request)
    {
	
   $request->session()->forget('customer_id');
         return redirect('/');   
     }
    
   

    public function postindex(Request $request)
    {
      
        $bayi_id =  session('customer_id');
        if (isset($request->newpassword)) {
        $bayikontrol = Bayi::where("Id",$bayi_id)->where('status','on')->first();
        if(Hash::check( $request->password, $bayikontrol->password) == true){
            Bayi::where('id',$bayi_id)->update([
              
                'bayi_name' => $request->bayi_name,
                'bayi_surname' => $request->bayi_surname,
                'phone' => $request->phone,
                'email' => $request->email,
                'dt'=> $request->dt,
                'cinsiyet'=> $request->male,
                'password' => Hash::make($request->newpassword),
              
              
            ]);
        return redirect()->back()->with('success', ' Bilgileriniz başarılı bir şekilde güncellendi.'); 
        
            }
        }else{

            Bayi::where('id',$bayi_id)->update([
              
                'bayi_name' => $request->bayi_name,
                'bayi_surname' => $request->bayi_surname,
                'dt'=> $request->dt,
                'cinsiyet'=> $request->male,
                'phone' => $request->phone,
                'email' => $request->email,
              
              
            ]);
            return redirect()->back()->with('success', 'Bilgileriniz başarılı şekilde güncellendi.'); 
        }
        return redirect()->back()->with('error', 'Bilgileriniz güncellenemedi.'); 
    
}
public function adreslist(){
   
    $bayi_id =  session('customer_id');
  
 $adreslist =   adres_customer::where('User_Id',$bayi_id)->get();
    return view('frontend.adres')->with('adreslist',$adreslist); 

}

public function getadres(){
  
	
    $sehirlist = iller::orderBy('id','asc')->get();
	
    return view('frontend.adresekle')->with('sehirlist',$sehirlist); 

}
public function postadres(Request $request){
  
  if($request->mahalle==null || $request->ilce==null || $request->Adres==null || $request->sehir==null || $request->Baslik==null)
	{
	 return redirect()->back()->with('error', 'Lütfen gerekli alanları doldurunuz.'); 
	}
  
    $bayi_id =  session('customer_id');
    adres_customer::create([
              
        'Eposta' => $request->Eposta,
        'Telefon' => $request->Telefon,
        'Baslik' => $request->Baslik,
        'User_Id'=> $bayi_id,
        'Sehir' => $request->sehir,
        'İlce' => $request->ilce,
        'Mahalle' => $request->mahalle,
        'Adres' => $request->Adres,
        'Tc'=> $request->Tc,
        'Ad_Soyad'=> $request->Ad_Soyad,
        'Vergi_No'=> $request->Vergi_No,
        'Vergi_Dairesi'=> $request->Vergi_Dairesi,
        'Firma_Unvani'=> $request->Firma_Unvani,
        'Posta_Kodu'=> $request->Posta_Kodu,
        

      
    ]);
    return redirect('uye/adres-bilgilerim'); 

}
public function getadresduzenle(Request $request ,$locale ,$id){
    $adreslist =   adres_customer::where('id',$id)->first();
   
	   $bayi_id =  session('customer_id');
	    $bayikontrol = Bayi::where("Id",$bayi_id)->where('status','on')->first();
	  
    $sehirlist = iller::orderBy('id','asc')->get();
    $ilceler = ilceler::where("Durum",'on')
    ->where('il_id',$adreslist->Sehir)
    ->orderBy('id','asc')->get();
    $mahalle = mahalleler::where("Durum",'on')
			->where('ilce_id',$adreslist->İlce)
			->orderBy('id','asc')->get();
    return view('frontend.adresduzenle')->with("adreslist",$adreslist)->with('sehirlist',$sehirlist)->with('ilceler',$ilceler)->with('mahalle',$mahalle); 

}

public function postadresduzenle(Request $request ,$id){
	
	if($request->mahalle==null || $request->ilce==null || $request->Adres==null)
	{
	 return redirect()->back()->with('error', 'Lütfen gerekli alanları doldurunuz.'); 
	}
    adres_customer::where('Id',$id)->update([
              
        'Baslik' => $request->Baslik,
		'Sehir' => $request->sehir,
        'İlce' => $request->ilce,
        'Mahalle' => $request->mahalle,
        'Adres' => $request->Adres,
        'Tc'=> $request->Tc,
        'Ad_Soyad'=> $request->Ad_Soyad,
        'Telefon'=> $request->Telefon,
        'Eposta'=> $request->Eposta,
        'Vergi_No'=> $request->Vergi_No,
        'Vergi_Dairesi'=> $request->Vergi_Dairesi,
        'Firma_Unvani'=> $request->Firma_Unvani,
        'Posta_Kodu'=> $request->Posta_Kodu,
      
    ]);
    return redirect('uye/adres-bilgilerim'); 
}
 

public function siparis(){
    $bayi_id =  session('customer_id'); 
	
  $siparis = Siparis::where('User_Id', $bayi_id)->get();
	
    return view('frontend.siparis')->with('siparis',$siparis);

}
public function sepet(Request $request){
    
    $bayi_id =  session('customer_id'); 
    $request_ip =  str_replace(".", "",  $request->ip());	


	if($bayi_id==null){
	  $bayi_id = $request_ip;
		}
 
  
  
    if (SiparisDetay::where('User_Id',$bayi_id)->where('Siparis_Id',0)->exists()) {
$sepet = SiparisDetay::where('User_Id',$bayi_id)->where('Siparis_Id',0)->get();
   return view('frontend.sepet')->with('sepet',$sepet); 
	  
	  
  }else{
	 
	   return redirect(''); 
  }
  
   

}
public function teslimatadresi(){
     $bayi_id =  session('customer_id');
	 $sehirlist = iller::orderBy('id','asc')->get();
	if($bayi_id>0)
	{
        $adreslist =   adres_customer::where('User_Id',$bayi_id)->get();
       
        if($adreslist->count()==0){
            $adreslist ="";
        }
 return view('frontend.teslimatadres')->with('adreslist',$adreslist)->with('sehirlist',$sehirlist);
		}
		else{
          
            $adreslist ="";
			return view('frontend.teslimatadres')->with('adreslist',$adreslist)->with('sehirlist',$sehirlist);
			}
	

}
public function odeme(){
	
	  $pages = Page::where('Ust',18)->get();
	  
	
   return view('frontend.odeme')->with('pages',$pages);
	

}
public function siparisozet(Request $request){
     $bayi_id =  session('customer_id'); 
     $bayi_id2 =  session('customer_id'); 
     if($bayi_id==null){

		$clientIP = \Request::ip();

	 $bayi_id =  str_replace(".", "",  \Request::ip());	

		}

     
     $adresid =  session('adres'); 
   
     $odeme_id =  session('odeme'); 
	if($odeme_id==null){
        $odeme_id = 2; 

    }
	 if ($request->session()->has('adres')==null) {
    return redirect('');  
		}
		
	 $odemedurumu=0;
	 if($odeme_id==1){
		 
		 $odemedurumu=1; 
	 }
	   $sepet = SiparisDetay::where('User_Id',$bayi_id)->where('Siparis_Id',0)->count();
	  
		
           
	   if($sepet>0){
		   
		
        $customer=adres_siparis::where('Id',$adresid)->first();
		$kargo= Helper::sipariskargocount();
		 $İndirimlitutar = Helper::sipariscount();
		$İndirimsiztutar =   Helper::siparisİndirimsizcount();

     
	  $siparisId= Siparis::create([
            'User_Id' => $bayi_id,
            'Musteri_Adi' => $customer->Ad_Soyad,
            'SiparisNo' =>"",
            'Durum' => 1,
            'OdemeSekli' => $odeme_id,
            'OdemeDurumu' => $odemedurumu,
			'Kargo'=>$kargo,
			'İndirim'=>$İndirimsiztutar - $İndirimlitutar,
			'GenelToplam'=>$İndirimsiztutar,
			'ToplamTutar'=>$İndirimlitutar + $kargo,
]);

adres_siparis::where('Id',$adresid)->update([
       
    'Siparis_Id' =>$siparisId->id,
]);
            $SiparisNo =strval( rand(1000000, 9999999))."". $siparisId->id;

            Siparis::where('Id',$siparisId->id)->update([
       
                'SiparisNo' =>$SiparisNo,
            ]);

		SiparisDetay::where('User_Id',$bayi_id)->where('Siparis_Id',0)->update([
       
        'Siparis_Id' =>  $siparisId->id,
	]);


   
 
	$bayi_name=$customer->Ad_Soyad;
		$sms = "Sayın ".$bayi_name." siparişiniz  başarılı bir şekilde oluşturulmuştur";
		
        $user_mail = $customer->Eposta;

        Mail::send('mail.index', ['sms' => $sms], function ($message) use ($user_mail) {
            $message->from(env('MAIL_FROM_ADDRESS'), env('MAIL_USERNAME'));
            $message->subject(env('APP_NAME') ." Sipariş Sonucu");
            $message->to($user_mail);
        });
	
	
	$request->session()->forget('adres');
	$request->session()->forget('odeme');
	 
	 
	$siparis =  Siparis::where('id',$siparisId->id)->first();
	$siparisdetay =  SiparisDetay::where('Siparis_Id',$siparisId->id)->get();
	
	 return view('frontend.siparisozet')->with('siparis',$siparis)->with('siparisdetay',$siparisdetay); 
	   }
       return redirect('/'.App::getLocale());   

}
}
 