<?php

namespace App\Http\Controllers\Frontend\Login;

use App\Http\Controllers\Controller;
use App\Models\iller;
use App\Models\ilceler;
use App\Models\mahalleler;
use App\Models\Bayi;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\Page;
use App\Models\SiparisDetay;

use App\Services\SmsService;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Log;

use App;
use PDF;

class LoginController extends Controller
{
    
    public function login(Request $request)
    {
      
		
	
        if ($request->session()->has('')){

		
            return redirect(route('hesabim'));
			
        }else{

 
                return view('frontend.login');   


           
        }
        
     }
	 
	 
	public function sifre(Request $request)
     {
       
        if ($request->session()->has('customer_id')){
            return redirect(route('hesabim'));
        }else{
				return view('frontend.sifre');   
			}
        
     }
	 
	 public function postsifre(Request $request)
     {
       
        if ($request->session()->has('customer_id')){
            return redirect(route('hesabim'));
        }else{
            $users = Bayi::where(function($query) use ($request) {
                $query->where('bayi_kod', $request->bayi_kod)
                      ->orWhere('email', $request->bayi_kod)
                      ->orWhere('phone', $request->bayi_kod);
            })->where('status', 'on')->first();

		if(!empty($users)){
				$pass=Str::random(6);
				$pass2=	 Hash::make($pass);
				Bayi::where('id', $users->id)->update([ 'password' => $pass2 ]);
				$sms=env('APP_NAME') ." Şifre Bildirimi. Müşteri Kodunuz: ".$users->bayi_kod." Şifreniz : ".$pass." şifrenizi kimseyle paylaşmayınız.";
				$user_mail=$users->email;
				Mail::send('mail.index', ['sms' => $sms], function ($message) use ($user_mail) {
                    $message->from(env('MAIL_FROM_ADDRESS'), env('MAIL_USERNAME'));
                    $message->subject(env('APP_NAME') ." Şifre Yenileme");
                    $message->to($user_mail);
                });

				 return redirect()->back()->with('success', 'Şifreniz sisteme kayıtlı eposta adresinize gönderilmiştir.'); 
			}else{
			
			
			 return redirect()->back()->with('error', 'Lütfen Müşteri Kodunuzu Kontrol ediniz.'); 
			
			}
        
     }
	 }
	 
  public function postlogin(Request $request)
    {
$bayikontrol = Bayi::where(function ($query ) use ($request) {
    $query->where('bayi_kod', '=', $request->bayi_kod)
          ->orWhere('email', '=', $request->bayi_kod);
})->where(function ($query) {
    $query->where('status', '=', 'on');
       
})->first();
$request_ip =  str_replace(".", "",  $request->ip());	
if(!empty($bayikontrol)){

    if(Hash::check( $request->pass, $bayikontrol->password) == true){
   
    $request->session()->put('customer_id', $bayikontrol->id);

    if (SiparisDetay::where('User_Id',$bayikontrol->id)->where('Siparis_Id',0)->exists()) {
        SiparisDetay::where('User_Id',$request_ip)->where('Siparis_Id',0)->delete();

    }else{
        if (SiparisDetay::where('User_Id',$request_ip)->where('Siparis_Id',0)->exists()) {
            SiparisDetay::where('User_Id',$request_ip)->where('Siparis_Id',0)->update([
              
                'User_Id' =>  $bayikontrol->id,
            ]);
         }
    }


    return redirect('/');
   
    }

    
}

return redirect()->back()->with('error', 'Müşteri kodunuz yada şifreniz hatalıdır.'); 
}
    public function kayit(Request $request)
    {
        if ($request->session()->has('customer_id')){
            return redirect('/'.App::getLocale());
        }else{
       	$sehirlist = iller::where("Durum",'on')->orderBy('id','asc')->get();
        return view('frontend.uye')->with('sehirlist', $sehirlist);
    }
    }

    public function postkayit(Request $request)
    {
      
       
        $bayikontrol =  Bayi::where("email",$request->EPosta)->first();
    
            if(!empty($bayikontrol)){
        return redirect()->back()->with('error', $request->EPosta . ' e-posta adresi ile daha önce kayıt edilmiştir.'); 

            }
      
      $pass=Str::random(8);
       $bayi = Bayi::create([
                
                'bayi_name' => $request->name,
                'bayi_surname' => $request->surname,
                'phone' => $request->Telefon,
                'email' => $request->EPosta,
               'password' => Hash::make($request->password),
                'status' => 'on',
            ]);
           
            $pin =strval( rand(1000000, 9999999))."".$bayi->id;

             Bayi::where('id',$bayi->id)->update([
                'bayi_kod' =>  $pin,
            ]);
       if($bayi->id>0){
       $sms ='Müşteri Başvurunuz Başarılı Bir Şekilde Alınmıştır. Müşteri bilgileriniz ile giriş yapabilirsiniz.';
      $user_mail=$request->EPosta;
      Mail::send('mail.index', ['sms' => $sms], function ($message) use ($user_mail) {
        $message->from(env('MAIL_FROM_ADDRESS'), env('MAIL_USERNAME'));
        $message->subject(env('APP_NAME') ." Üyelik Bilgisi");
        $message->to($user_mail);
    });
	return redirect()->back()->with('success', $sms); 
       
       }else{
        return redirect()->back()->with('error', 'Müşteri Başvurunuz  Alınamamıştır. Lütfen Tekrar deneyiniz.'); 
    
       }

    
        
    }

}
