<?php



namespace App\Http\Controllers\Frontend\Product;



use App\Http\Controllers\Controller;

use App\Models\Category;

use App\Models\Product;
use App\Models\ProductFiles;
use App\Models\SiparisDetay;

use App\Models\Bayi;

use Carbon\Carbon;

use Illuminate\Http\Request;

use Illuminate\Support\Facades\Auth;



class ProductController extends Controller

{

 

    public function index($id ,Request $request)

    {

     $urun =  Product::where('product_slug',$id)->first();
 if ($urun==null) {
			 abort(500, 'My custom 500 message');
			 }
     $altkategori =  Category::where('Id', $urun->product_categoryId)->first();
	 
	  if ($altkategori==null) {
			 abort(500, 'My custom 500 message');
			 }

     $ustkategori =  Category::where('Id', $altkategori->up_categoryId)->first();
	
    // $urunlist =  Products::where('product_categoryId',$ustkategori->id)->inRandomOrder()->limit(6)->get();
$urunlist = DB::table('products')
    ->select('products.*')
    ->join('categories', 'categories.id', '=', 'products.product_categoryId')
    ->where('categories.up_categoryId', $ustkategori->id)
   ->inRandomOrder()
   ->limit(6)
   ->get();
    $galeri = ProductFiles::where('content_id',$id)->get();




         return view('frontend.product')->with('urun',$urun)->with('ustkategori',$ustkategori)->with('urunlist',$urunlist)->with('galeri',$galeri);   

     }

     public function postindex($id ,Request $request)

     {
		$id=$request->id;
        $urun =  Product::where('id',$id)->first();
		$fiyat = $urun->fiyat;
        $indirimlifiyat =$fiyat -  (($fiyat * $urun->UrunİndirimOranı )/100);
		
			
       $user_id = $request->session()->get('customer_id');

       $siparis =  SiparisDetay::where('Urun_Id',$id)->where('Siparis_Id',0)->where('User_Id', $user_id)->first();

      

       $imagePath = public_path($urun->product_image);

       $base64 = "data:image/png;base64,".base64_encode(file_get_contents($imagePath));

  
		if($urun->ExtraAdet>0){
			$kolisayisi=0;
			if(isset($siparis)){
			$kolisayisi = $siparis->Adet + $request->adetkoli + ($siparis->PaletAdet * $urun->PaletAdetSayısı) + ($request->adetpalet * $urun->PaletAdetSayısı);
			}else{
			
			$kolisayisi = $request->adetkoli + ($request->adetpalet * $urun->PaletAdetSayısı);
			
			}
			if( $urun->ExtraAdet   <= $kolisayisi){
			
			
			 $indirimlifiyat = $indirimlifiyat -  (($fiyat * $urun->Extrafiyat )/100);
			
			}
			
			}

			$user = Bayi::where('id',$user_id)->first();
			if( $user->iskonta >0){
			
			
			 $indirimlifiyat =$indirimlifiyat -  (($fiyat * $user->iskonta )/100);
			
			}


        if(isset($siparis)){

            SiparisDetay::where('id',$siparis->id)->update([

              
				'Fiyat' => $indirimlifiyat,
				
                'Adet' => $siparis->Adet + $request->adetkoli,

                'PaletAdet' =>$siparis->PaletAdet + $request->adetpalet,

               

            ]);



        }else{

            SiparisDetay::create([

                'Siparis_Id' => 0,

                'Urun_Id' =>$id,
				
                'Urun_Title' =>$urun->getTranslation('tr')->product_title ,

                'Adet' =>$request->adetkoli,

                'PaletAdet' =>$request->adetpalet,

                'Fiyat' => $indirimlifiyat,

                'İndirimsizFiyat' =>  $fiyat,

                'KoliAdetSayısı' =>  $urun->KoliAdet,

                'PaletAdetSayısı' =>  $urun->PaletAdet,

                'Desi' =>  $urun->Desi,

                'User_Id'=>$user_id,

                'Image'=> $base64 ,

            ]);

        }

        





      if($id>0){



        $siparis =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $user_id)->count();

        $siparis2 =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $user_id)->sum(DB::raw('((Adet * KoliAdetSayısı) +( PaletAdet * KoliAdetSayısı * PaletAdetSayısı ) ) * Fiyat '));



        return response(['status' => 'success' , 'count' => $siparis , 'amount' => number_format( $siparis2,2)]);

      }

      return response(['status' => 'error', 'title' => 'Hata', 'content' => 'Ürün Eklenemedi']);

           

      }

     public function ustkategori($locale ,$katslug , Request $request)

     {

        $ustkategori =  Category::whereTranslation('locale', $locale)->whereTranslation('category_slug', $katslug)->first();
      
			 if ($ustkategori==null) {
			 abort(500, 'My custom 500 message');
			 }
        $ustkategori_id=$ustkategori->id;
		$allcategori = Category::where('up_categoryId' ,$ustkategori_id)->pluck('id');

    $urun =  Product::whereIn('product_categoryId',$allcategori)->get();
      
 

           return view('frontend.kategori')->with('ustkategori',$ustkategori)->with('urun',$urun);  

     }



     public function kategori($locale ,$katslug , $altkatslug, Request $request)

     {

        $ustkategori =  Category::whereTranslation('locale',$locale)->whereTranslation('category_slug', $katslug)->first();
		
		 if ($ustkategori==null) {
			 abort(500, 'Page not found');
			 }

        $altkategori =  Category::whereTranslation('locale',$locale)->whereTranslation('category_slug', $altkatslug)->first();
 if ($altkategori==null) {
			 abort(500, 'Page not found');
			 }
        $altkategori_id=$altkategori->id;

        $urun =  Product::where('product_categoryId',$altkategori_id)->get();
		 
           return view('frontend.kategori')->with('ustkategori',$ustkategori)->with('urun',$urun); 

     }



    public function postkayit(Request $request)

    {

          

      

    }



}

