<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App; // Gerekli olan
use Illuminate\Support\Facades\Session;

class Localization
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->method() === 'GET') {
            $segment = $request->segment(1);
        
            // Admin kontrolü
            if ($segment === 'admin') {
                app()->setLocale('tr');
                return $next($request);
            }
        
            // Geçerli dil kontrolü
            $validLanguages = ['tr', 'en'];
        
            if (!in_array($segment, $validLanguages)) {
                $segments = $request->segments();
                $browserLanguage = $request->getPreferredLanguage($validLanguages);
        
                // Fallback dili belirleme
                $fallback = session('locale', $browserLanguage ?? config('app.fallback_locale'));
                
                // Segmentleri güncelle ve yönlendir
                $segments = \Arr::prepend($segments, $fallback);
                return redirect()->to(implode('/', $segments));
            }
        
            // Oturumda ve uygulamada geçerli dili ayarla
            session(['locale' => $segment]);
            app()->setLocale($segment);
        }
       
        return $next($request);
    }
}
