<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Models\FullLog;
use Carbon\Carbon;
class LogAccess
{
    public function handle(Request $request, Closure $next)
    {
        $segment = $request->segment(1);

        if ($segment != 'admin') {
             if (in_array($segment, ['tr','en','de','es','fr','it','pl','pt','ru','ar'])) {
            $today = Carbon::today();

            // İpucu: Bu isteğin bulunduğu gün için bir log var mı kontrol et
            $log = FullLog::where('ip', $request->ip())
                     ->where('Url', $request->fullUrl())
                      ->whereDate('created_at', $today)
                      ->first();

            if ($log) {
              
                // Eğer bugüne ait bir log varsa, sayacı artır
                $log->increment('count');
                $log->save();
            } else {
                // Eğer bugüne ait bir log yoksa, yeni bir log oluştur
                FullLog::create([
                    'ip' => $request->ip(),
                    'Url' => $request->fullUrl(),
                    'count' => 1, // İlk kez erişim olduğu için sayacı 1 yap
                ]);
            }
        }
 }
        return $next($request);
    }
} 