<?php

namespace App\Models;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Eloquent;
use Illuminate\Database\Eloquent\Model;

class Category extends Model implements TranslatableContract
{
    use Translatable;
	protected $table = 'categories';
    public $translatedAttributes = ['category_name','category_slug','category_detail'];
    protected $fillable = [
        'id',
        'category_color',
        'up_categoryId',
        'category_status',
        'category_resim',
        'category_banner',
        'categori_order',
        'category_banner_mobil',
    ];
    public function children(){
        return $this->hasMany('App\Models\Category','up_categoryId');
    }
    
}
class CategoryTranslation extends Eloquent {

    protected $table = 'categorie_translations';
    public $timestamps = false;
    protected $fillable = ['category_id','category_name','category_slug','category_detail'];

}


