<?php

namespace App\Models;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Eloquent;
use Illuminate\Database\Eloquent\Model;

class Menu extends Model implements TranslatableContract
{
    use Translatable;
	protected $table = 'menus';
    public $translatedAttributes = ['menu_name'];
    protected $fillable = [
     
        'page_id',
        'menu_slug',
        'menu_status',
        'E_Ticaret',
        'list',
    ];

    

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function pageName()
    {
        return $this->hasOne('App\Models\Page', 'id', 'page_id')->withDefault([
            'page_name' => 'Anasayfa',
            'page_slug' => '/',
        ]);
        
    }
    
}
class MenuTranslation extends Eloquent {

    protected $table = 'menu_translations';
    public $timestamps = false;
    protected $fillable = ['menu_id','menu_name'];

}


