<?php

namespace App\Models;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Eloquent;
use Illuminate\Database\Eloquent\Model;
use App\Models\ProductFiles;
class Product extends Model implements TranslatableContract
{
    use Translatable;
	protected $table = 'products';
    public $translatedAttributes = [ 'product_title','product_title_2','product_content', 'product_slug'];
    protected $fillable = [
        'id',
        'fiyat',
        'product_image',
        'product_categoryId',
        'product_status',
        'YeniUrun',
        'UrunİndirimOranı',
        'UrunOlcu',
        'ÜrünTipi',
        'ExtraAdet',
        'Extrafiyat',
        'UrunBarkodu',
        'HaftanınUrunu',
        'Stok',
        'Desi',
        'GrupUrunu',
        'Color',
        'Color_2',
        'Sekli',
    ];
   


    
   

    /**
     * @return \Illuminate\Database\Eloquent\Relations\hasOne
     */
    public function Kategori()
    {
        return $this->hasOne('App\Models\Category', 'id', 'product_categoryId')->withDefault([
            'category_name' => 'Anasayfa',
        ]);
    }
    public function files()
    {
        return $this->hasMany(ProductFiles::class, 'content_id');
    }
}
class ProductTranslation extends Eloquent {

    protected $table = 'product_translations';
    public $timestamps = false;
    protected $fillable = ['product_id', 'product_title','product_title_2','product_content', 'product_slug'];

}


