@extends('layouts.app')
@section('title', "Favorilerim")
@section('canonical', Request::url())
@section('keywords', "sanal kahvaltı")
@section('description', "Favorilerim")
@section('content')


@php
 $banner = "/frontend/assets/images/headers/sut-urunleri.png";


@endphp

<div class="page-header">
    <div class="container">
        <ul class="breadcrumb">
          	<li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a></li>
            <li><a href="{{route('kampanya')}}"> {{__('system.İndirimli Ürünler')}}</a></li>
        </ul>

        <div class="page-cover">
            <h1 class="page-title">{{__('system.İndirimli Ürünler')}}</h1>
            <img src="{{$banner}}" alt="{{__('system.İndirimli Ürünler')}}">
        </div>
    </div>
</div>


<div class="page-details">
    <div class="container">
        <div class="category-details">
            <div class="sidebar">
                <div class="menu">
                    <p class="menu-title">Ürün Grupları</p>
                    <ul>
                      @foreach(Helper::Categori(0,0) as $item)
                        <li>
                            <a href="/{{Config::get('app.locale')}}/{{$item->translate(Config::get('app.locale'))->category_slug}}">
                                <img src="/frontend/assets/images/icons/{{$item->translate(Config::get('app.locale'))->category_detail}}" alt="{{$item->translate(Config::get('app.locale'))->category_name}}">
                               {{$item->translate(Config::get('app.locale'))->category_name}}
                            </a>
                        </li>
                        	@endforeach			
                        
                    </ul>
                </div>
            </div>
            <div class="page-content">
               

                <div class="products-container filter-products">
                   @foreach($urun as $index =>$item)
                   <div class="product-item filter-product" data-count="{{Helper::coksatan($item->id)}}" data-gramaj="{{str_contains($item->Gramaj, 'gr')==1?str_replace(' gr','',$item->Gramaj ):str_replace(' Kg','000',$item->Gramaj )}}" data-fiyat="{{$item->fiyat}}" data-new="{{$item->id}}">
                            <div class="image">
                                <div class="tags">
                               
                                @if($item->UrunİndirimOranı>0)
                                    <span class="tag tag-discount">İndirimde</span>
                                    @endif
                                    <span class="tag tag-fast-shipping">Anında Kargo</span>
                                </div>
                                <span class="add-favorite {{ Helper::favori($item->id) }} " data-url="{{route('favorite-add')}}" data-val="{{$item->id}}" data-id="{{$item->id}}">
                                    <i class="fas fa-heart"></i>
                                </span>
                                <a href="/{{Config::get('app.locale')}}/{{$item->translate(Config::get('app.locale'))->product_slug}}">
                                    <img src="{{$item->product_image}}" alt="{{Str::lower($item->translate(Config::get('app.locale'))->product_title)}}">
                                </a>
                            </div>
                            <div class="content">
                                <div class="meta">
                                    <div class="stars star-{{ Helper::UrunYildiz($item->id) }}">
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                    </div>
                                    <div class="point">{{ Helper::UrunYildiz($item->id) }} Puan</div>
                                    <div class="comments">{{ Helper::UrunYorumz($item->id) }} Yorum</div>
                                </div>
                                <a href="/{{Config::get('app.locale')}}/{{$item->translate(Config::get('app.locale'))->product_slug}}" class="brand">Cebel</a>
                                <a href="/{{Config::get('app.locale')}}/{{$item->translate(Config::get('app.locale'))->product_slug}}" class="title">{{$item->translate(Config::get('app.locale'))->product_title}}</a>
                                <div class="price-wrapper">
                                    <div class="amount">
                                     @php
								$array = explode("." , $item->fiyat);
								$indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
							
								@endphp
                                        <div class="discount-wrapper">
                                            <div class="rate">%{{$item->UrunİndirimOranı}}</div>
                                            <div class="off-price">{{$item->fiyat}}</div>
                                        </div>
                                        <div class="price">
                                            {{$indirimlifiyat}} TL
                                        </div>
                                    </div>
                                    <div class="action">
                                        <span class="add-basket" data-url="{{route('cart-add',$item->id)}}" data-val="{{$item->id}}">Sepete Ekle</span>
                                    </div>
                                </div>
                            </div>
                        </div>
	@endforeach		
                </div>

            </div>
        </div>

        <section class="main-banner-2">
            <div class="container">
                <a href="">
                    <img src="/frontend/assets/images/banner-2.png" alt="">
                </a>
            </div>
        </section>

        <section class="main-widgets">
            <div class="container">
                <div class="widgets-container">
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/verified.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Güvenli Alışveriş</p>
                            <p class="description">
                                SSL Sertifikası ve 3D ödeme ile alışverişleriniz güvenle gerçekleşir.
                            </p>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/truck.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Ücretsiz Kargo</p>
                            <p class="description">
                                300 TL ve üzeri alışverişlerinizde kargo ücretsiz.
                            </p>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/package.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Özenli Paketleme</p>
                            <p class="description">
                                Ürünleriniz taşıma esnasında zarar görmeyecek şekilde özenle paketlenir.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
@endsection

@section('js')
<script>
  $(".list").change(function(e){
   
var value=$(this).val();

if(value==1){
		sortByFiyat(1);
		}else if(value==2){
		sortByFiyat(0);
		}else if(value==3) {
		sortByCount(0);
		}else if(value==4) {
		
		sortByNew(0);
		}
	
	
})

function sortByCount(direction) {
	
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
		
        listitems.sort(function (a, b) {
            var compA = parseFloat($(a).data('count'));
            var compB = parseFloat($(b).data('count'));;
			
            return getOrderDirection(compA, compB, direction);
        });
        $.each(listitems, function (idx, itm) { mylist.append(itm); });
    }
function sortByFiyat(direction) {
	
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
        listitems.sort(function(a, b) {
            var valueA = parseFloat($(a).data('fiyat'));
            var valueB = parseFloat($(b).data('fiyat'));
            return getOrderDirection(valueA, valueB, direction);
        });
        $.each(listitems, function(idx, itm) { mylist.append(itm); });
    }
	 function sortByNew(direction) {
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
        listitems.sort(function(a, b) {
            var valueA = parseFloat($(a).data('new'));
            var valueB = parseFloat($(b).data('new'));
            return getOrderDirection(valueA, valueB, direction);
        });
        $.each(listitems, function(idx, itm) { mylist.append(itm); });
    }
    function getOrderDirection(compA, compB,direction) {
        if (direction == 0) {
            return (compA < compB) ? 1 : (compA > compB) ? -1 : 0;
        }
        else {
            return (compA < compB) ? -1 : (compA > compB) ? 1 : 0;
        }

    }
	
</script>
@endsection