<?php

namespace App\Services\Payment;

use Illuminate\Http\Request;
use Spatie\ArrayToXml\ArrayToXml;


class  Vakifbank
{
   
    protected $merchantID;

    
    protected $merchantPassword;

    protected $pan; 
    protected $HostTerminalId;
    protected $cvv; 

    protected $expiryDate;

    protected $purchaseAmount;

    protected $currency;

    protected $verifyEnrollmentRequestID;

    protected $brandName;
    
    protected $transactionType;

    protected $IsSecure;

    protected $AllowNotEnrolledCard;

    protected $successURL;

    
    protected $failureURL;


    
    public function settransactionType($transactionType): Vakifbank
    {
        $this->transactionType = $transactionType;

        return $this;
    }

    public function setIsSecure($IsSecure): Vakifbank
    {
        $this->IsSecure = $IsSecure;

        return $this;
    }
    public function setAllowNotEnrolledCard($AllowNotEnrolledCard): Vakifbank
    {
        $this->AllowNotEnrolledCard = $AllowNotEnrolledCard;

        return $this;
    }
    public function setVerifyEnrollmentRequestID($verifyEnrollmentRequestID): Vakifbank
    {
        $this->verifyEnrollmentRequestID = $verifyEnrollmentRequestID;

        return $this;
    }

    public function setPan($pan): Vakifbank
    {
        $this->pan = $pan;

        return $this;
    }
    public function setHostTerminalId($HostTerminalId): Vakifbank
    {
        $this->HostTerminalId = $HostTerminalId;

        return $this;
    }
    
    public function setcvv($cvv): Vakifbank
    {
        $this->cvv = $cvv;

        return $this;
    }

  
    public function setExpiryDate($expiryDate): Vakifbank
    {
        $this->expiryDate = $expiryDate;

        return $this;
    }

   
    public function setPurchaseAmount($purchaseAmount): Vakifbank
    {
        $this->purchaseAmount = number_format($purchaseAmount, 2);

        return $this;
    }

   
    public function setCurrency($currency): Vakifbank
    {
        $this->currency = $currency;

        return $this;
    }

    
    public function setBrandName($brandName): Vakifbank
    {
        $this->brandName = $brandName;

        return $this;
    }

    public function setSuccessURL($successURL): Vakifbank
    {
        $this->successURL = $successURL;

        return $this;
    }

  
    public function setFailureURL($failureURL): Vakifbank
    {
        $this->failureURL = $failureURL;

        return $this;
    }

   
    public function setMerchantID(string $merchantID): Vakifbank
    {
        $this->merchantID = $merchantID;

        return $this;
    }

   
    public function setMerchantPassword(string $merchantPassword): Vakifbank
    {
        $this->merchantPassword = $merchantPassword;

        return $this;
    }

    
    public function check()
    {
        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, 'https://3dsecure.vakifbank.com.tr:4443/MPIAPI/MPI_Enrollment.aspx');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type" => 'application/x-www-form-urlencoded']);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($this));

        $result = curl_exec($ch);

        $xml = simplexml_load_string($result, "SimpleXMLElement", LIBXML_NOCDATA);

        return $xml;
    }

   
    public function pay(Request $request)
    {
        $data = [
            'MerchantId'              => "000000000811901",
            'Password'                => "Ts3g8X9G",
            'TerminalNo'              => "VP256798",
            'TransactionType'         => 'Sale',
            'TransactionId'           => $request->input('VerifyEnrollmentRequestId'),
            'ECI'                     => $request->input('Eci'),
            'CAVV'                    => $request->input('Cavv'),
            'MpiTransactionId'        => $request->input('VerifyEnrollmentRequestId'),
            'OrderId'                 => $request->input('VerifyEnrollmentRequestId'),
            'TransactionDeviceSource' => 0,
            'Expiry'                  =>"20".$request->input('Expiry'),
            'CurrencyAmount'          =>number_format(($request->input('PurchAmount')/100), 2 ),
            'CurrencyCode'            =>949,
            'ClientIp'                =>$request->ip(),
            'Pan'                     =>$request->input('Pan'),
        ];

        $xml = ArrayToXml::convert($data, 'VposRequest', true, 'utf-8');


        $result = simplexml_load_string($this->curl($xml), "SimpleXMLElement", LIBXML_NOCDATA);

        return response()->json($result);
    }

   
    public function curl($xml)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://onlineodeme.vakifbank.com.tr:4443/VposService/v3/Vposreq.aspx");
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, 'prmstr=' . $xml);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_OPTIONS, ["CURLOPT_SSLVERSION" => "CURL_SSLVERSION_TLSv1_1"]);

        $result = curl_exec($ch);
        curl_close($ch);

        return $result;
    }


}