@extends('backend.app')
@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Şehirler</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Şehirler</li>
				</ol>
			</div>
		</div>
	</div>
</div>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <table id="datatable" class="table table-bordered table-striped">
                    <thead>
						<tr>
							<th>Kod</th>
							<th>Adı</th>
							<th>Düzenle</th>
							<th>Durum</th>
						</tr>
					</thead>
                    <tbody>
						@foreach($adres  as $adres_detay)
                        <tr>
                            <td>{{$adres_detay->id}}</td>
                            <td>{{$adres_detay->il_adi}}</td>
                            <td>
                                <a href="{{route('ilce',$adres_detay->id)}}" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
							</td>
                            <td>
                                @if($adres_detay->Durum == 'on')
								<button class="btn btn-success" onclick="adresdurum(this,'{{$adres_detay->id}}','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                @else
								<button class="btn btn-danger" onclick="adresdurum(this,'{{$adres_detay->id}}','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                @endif
							</td>
						</tr>
						@endforeach
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
@endsection
@section('js')
<script>
	function adresdurum(r, id, durum) {
		$.ajax
		({
			type: "Post",
			url: '{{route('adres')}}',
			data: {
				'id': id,
				'Durum': durum
			},
			success: function (response) {
				if (response.status == 'success') {
					toastr.success(response.content, response.title);
					window.location.reload();
                    } else {
					toastr.error(response.content, response.title);
				}
			}
		})
	}
</script>
@endsection
@section('css')
@endsection