<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{$title}}</title>

    <link rel="icon" href="{{$site_image}}">
    <link rel="stylesheet" href="/backend/libs/sweetalert2/sweetalert2.min.css">
    <link rel="stylesheet" href="/backend/libs/morris.js/morris.css" type="text/css" />
    <link href="/backend/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="/backend/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="/backend/libs/datatables.net-select-bs4/css//select.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="/backend/libs/dropzone/min/dropzone.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css"/>
    <link href="/backend/libs/bootstrap-editable/css/bootstrap-editable.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <!-- Responsive datatable examples -->
    <link href="/backend/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css" rel="stylesheet" type="text/css" />     
      <link href="/backend/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
     <link href="/backend/css/icons.min.css" rel="stylesheet" type="text/css" />
    <link href="/backend/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />

    @yield("css")
</head>
<body data-topbar="dark" data-layout="horizontal">

   <!-- Begin page -->
   <div id="layout-wrapper">

       <header id="page-topbar">
           <div class="navbar-header">
               <div class="d-flex">
                   <!-- LOGO -->
                   <div class="navbar-brand-box">
                       <a href="{{route('index')}}" class="logo">
                        <span class="logo-light  fs-5 fw-semibold ">
                           <i class="mdi mdi-camera-control"></i> RADİUS
                       </span>
                         
                       </a>

                   </div>

                   <button type="button" class="btn btn-sm px-3 font-size-24 d-lg-none header-item" data-bs-toggle="collapse" data-bs-target="#topnav-menu-content">
                    
                       <i class="mdi mdi-menu"></i>
                   </button>

               </div>

               <div class="d-flex">

                   <button type="button" class="btn header-item fs-4 rounded-end-0" id="light-dark-mode">
                       <i class="fas fa-moon align-middle"></i>
                   </button>

                   <div class="dropdown d-none d-lg-inline-block ms-1">
                       <button type="button" class="btn header-item noti-icon waves-effect" data-toggle="fullscreen">
                           <i class="mdi mdi-arrow-expand-all noti-icon"></i>
                       </button>
                   </div>

                   <div class="dropdown d-inline-block">
                       <button type="button" class="btn header-item noti-icon waves-effect" id="page-header-notifications-dropdown" data-bs-toggle="dropdown" aria-expanded="false">
                           <i class="mdi mdi-bell-outline noti-icon"></i>
                           <span class="badge rounded-pill text-bg-danger noti-dot">1</span>
                       </button>
                       <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end p-0" aria-labelledby="page-header-notifications-dropdown">
                           <div class="p-3">
                               <div class="row align-items-center">
                                   <div class="col">
                                       <h6 class="m-0"> Siparişler </h6>
                                   </div>
                               </div>
                           </div>
                           <div data-simplebar style="max-height: 230px;">
                               <a href="" class="text-reset notification-item">
                                   <div class="d-flex">
                                       <div class="avatar-xs me-3">
                                           <span class="avatar-title bg-success rounded-circle">
                                               <i class="mdi mdi-cart-outline"></i>
                                           </span>
                                       </div>
                                       <div class="flex-1">
                                           <p class="mb-0"><b class="mb-1 ">Yeni Sipariş</b></p>
                                           <div class="font-size-12 text-muted">
                                               <p class="mb-1">Trend Dekoratif Oval Duvar Saati 1 Adet</p>
                                           </div>
                                       </div>
                                   </div>
                               </a>
                             
                           </div>
                          
                       </div>
                   </div>

                   <div class="dropdown notification-list d-inline-block user-dropdown">
                       <button type="button" class="btn header-item waves-effect" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                           <img class="rounded-circle header-profile-user" src="{{\Illuminate\Support\Facades\Auth::user()->avatar}}" alt="{{\Illuminate\Support\Facades\Auth::user()->name}}">
                       </button>
                       <div class="dropdown-menu dropdown-menu-end profile-dropdown ">
                           <!-- item-->
                           <a class="dropdown-item" href="/admin/languages"><i class="mdi mdi-earth"></i> Dil Ayarları</a>
                           <a class="dropdown-item" href="{{route('mail')}}"><i class="mdi mdi-email"></i> Mail </a>
                           <a class="dropdown-item" href="{{route('settings')}}"><i class="mdi mdi-keyboard-settings"></i> Site Ayarları</a>
                           <a class="dropdown-item" target="_blank" href="{{route('home')}}"><i class="mdi mdi-web"></i> Site Göster</a>
                           <div class="dropdown-divider"></div>
                           <a class="dropdown-item text-danger" href="{{route('backend-logout')}}"><i class="mdi mdi-power text-danger"></i> Logout</a>
                       </div>
                   </div>

                    

               </div>
           </div>
       </header>
       <div class="topnav">
           <div class="container-fluid">
               <nav class="navbar navbar-light navbar-expand-lg topnav-menu">

                   <div class="collapse navbar-collapse" id="topnav-menu-content">
                       <ul class="navbar-nav">

                           <li class="nav-item">
                               <a class="nav-link" href="{{route('siparis')}}">
                                   <i class="mdi mdi-shopping me-2"></i> Siparişler
                               </a>
                           </li>
                           <li class="nav-item">
                              <a class="nav-link" href="{{route('files')}}">
                                  <i class=" mdi mdi-file-table-outline me-2"></i> Dosya Yöneticisi
                              </a>
                          </li>

                          
                        
                           <li class="nav-item dropdown">
                               <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-product" role="button">
                                   <i class="mdi mdi-view-comfy me-2"></i>Ürünler <div class="arrow-down"></div>
                               </a>

                               <div class="dropdown-menu " aria-labelledby="topnav-product">
                                 
                                             <a class="dropdown-item" href="{{route('products')}}">Ürün Listesi </a>
                                             <a class="dropdown-item" href="{{route('product-add')}}">Ürün Ekle</a>
                                             <a class="dropdown-item" href="{{route('product-category')}}">Kategori Listesi</a>
                                             <a class="dropdown-item" href="{{route('product-category-add')}}">Kategori Ekle</a>
                                             <a class="dropdown-item" href="{{route('excel-add')}}">Toplu Ürün İşlemleri</a>
                                        
                               </div>
                           </li>
                           <li class="nav-item dropdown">
                              <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-slide" role="button">
                                  <i class="mdi mdi-folder-multiple-image me-2"></i>Slider <div class="arrow-down"></div>
                              </a>

                              <div class="dropdown-menu " aria-labelledby="topnav-slide">
                                 <a class="dropdown-item" href="{{route('sliders')}}">Slider Listesi</a>
                                 <a class="dropdown-item" href="{{route('slider-add')}}">Slider Ekle</a>
                                 
                                       
                              </div>
                          </li>
                          <li class="nav-item dropdown">
                           <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-page" role="button">
                               <i class="icon-paper-sheet me-2"></i>Sayfalar <div class="arrow-down"></div>
                           </a>

                           <div class="dropdown-menu " aria-labelledby="topnav-page">
                              <a class="dropdown-item" href="{{route('pages')}}">Sayfa Listesi</a>
                              <a class="dropdown-item" href="{{route('page-add')}}">Sayfa Ekle</a>
                              
                                    
                           </div>
                       </li>
                       <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-menu" role="button">
                            <i class=" mdi mdi-xbox-controller-menu me-2"></i>Menüler <div class="arrow-down"></div>
                        </a>

                        <div class="dropdown-menu " aria-labelledby="topnav-menu">
                           <a class="dropdown-item" href="{{route('menus')}}">Menü Listesi</a>
<a class="dropdown-item" href="{{route('menu-add')}}">Menü Ekle</a>

                                 
                        </div>
                    </li>
                    <li class="nav-item">
                     <a class="nav-link" href="{{route('bayi')}}">
                         <i class="mdi mdi-face-profile me-2"></i> Kullanıcı
                     </a>
                 </li>


                 <!--   <li class="nav-item dropdown">
                     <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-sms" role="button">
                         <i class="mdi mdi-email-mark-as-unread me-2"></i>Sms <div class="arrow-down"></div>
                     </a>

                     <div class="dropdown-menu " aria-labelledby="topnav-sms">
                        <a class="dropdown-item" href="{{route('sms')}}">Sms Listesi </a>
                        <a class="dropdown-item" href="{{route('sms-add')}}">Sms Gönder</a>
                        <a class="dropdown-item" href="{{route('sms-template')}}">Sms Kalıp Listesi</a>
                        <a class="dropdown-item" href="{{route('sms-template-add')}}">Sms Kalıp Ekle</a>
                     </div>
                 </li>-->

                 <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-yonetici" role="button">
                      <i class="mdi mdi-lifebuoy me-2"></i>Yöneticiler <div class="arrow-down"></div>
                  </a>

                  <div class="dropdown-menu " aria-labelledby="topnav-yonetici">
                     <a class="dropdown-item" href="{{route('users')}}">Yönetici Listesi</a>
                     <a class="dropdown-item" href="{{route('user-add')}}">Yönetici Ekle</a>
                     
                  </div>
              </li>
              <li class="nav-item">
               <a class="nav-link" href="{{route('adres')}}">
                   <i class="mdi mdi-map-marker-multiple me-2"></i> Adres Listesi
               </a>
           </li>


                       </ul>
                   </div>
               </nav>
           </div>
       </div>
       
   
     <div class="main-content">

      <div class="page-content">
          <div class="container-fluid">
    @yield("content")

</div>
</div>
</div>
<footer class="footer">
   <div class="container-fluid">
       <div class="row">
           <div class="col-sm-6">
               <script>document.write(new Date().getFullYear())</script> © Radius.
           </div>
          
       </div>
   </div>
</footer>
</div>

<script src="/backend/libs/jquery/jquery.min.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
<script src="/backend/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="/backend/libs/metismenu/metisMenu.min.js"></script>
<script src="/backend/libs/simplebar/simplebar.min.js"></script>
<script src="/backend/libs/node-waves/waves.min.js"></script>

<script src="/backend/libs/morris.js/morris.min.js"></script>
<script src="/backend/libs/raphael/raphael.min.js"></script>


<script src="/backend/libs/sweetalert2/sweetalert2.min.js"></script>
<script src="/backend/js/pages/sweet-alerts.init.js"></script>

<script src="/backend/libs/datatables.net/js/jquery.dataTables.min.js"></script>
<script src="/backend/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js"></script>
<!-- Buttons examples -->
<script src="/backend/libs/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
<script src="/backend/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js"></script>
<script src="/backend/libs/jszip/jszip.min.js"></script>
<script src="/backend/libs/pdfmake/build/pdfmake.min.js"></script>
<script src="/backend/libs/pdfmake/build/vfs_fonts.js"></script>
<script src="/backend/libs/datatables.net-buttons/js/buttons.html5.min.js"></script>
<script src="/backend/libs/datatables.net-buttons/js/buttons.print.min.js"></script>
<script src="/backend/libs/datatables.net-buttons/js/buttons.colVis.min.js"></script>

<script src="/backend/libs/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
<script src="/backend/libs/datatables.net-select/js/dataTables.select.min.js"></script>

<!-- Responsive examples -->
<script src="/backend/libs/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
<script src="/backend/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js"></script>

<script src="/backend/libs/bootstrap-editable/js/index.js"></script>
<script src="/backend/js/pages/form-xeditable.init.js"></script>  

<!-- Datatable init js -->
<script src="/backend/js/pages/datatables.init.js"></script>
<!-- App js -->
<script src="/backend/libs/dropzone/min/dropzone.min.js"></script>
<script src="/backend/js/app.js"></script>

<script>
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    toastr.options = {
      "positionClass": "toast-bottom-right",
      "timeOut": "3000", 
      "extendedTimeOut": "1000",
      "closeButton": false, 
      "progressBar": false, 
      "showEasing": "swing",
      "hideEasing": "linear",
      "showMethod": "fadeIn",
      "hideMethod": "fadeOut",
      "showDuration": "2000",
      "hideDuration": "1000",
      "toastClass": "toast animate__animated animate__slideInRight"
    };
</script>

<script>
    var options = {
        filebrowserImageBrowseUrl: '/laravel-filemanager?type=Images',
        filebrowserImageUploadUrl: '/laravel-filemanager/upload?type=Images&_token=',
        filebrowserBrowseUrl: '/laravel-filemanager?type=Files',
        filebrowserUploadUrl: '/laravel-filemanager/upload?type=Files&_token='
    };
</script>

<script>
  
    $('#search-input').on('keypress', function (e) {
         if(e.which === 13){
			 $('#search-btn').trigger('click');
			return false;
         }
   });
	

	$('#search-btn').click(function(){
		var url= $(this).attr('data-url');
		var query= "?" + $(this).attr('data-query');				var extra = $(this).attr('data-extra');				if (typeof extra !== typeof undefined && extra !== false) {			var extras = [];			extras = extra.split(',');			extras = jQuery.grep(extras, function(n, i){ 			  return (n !== "" && n != null);			});			$.each(extras, function(u, i) {				if($('[name="'+i+'"]').length){					query += "&" + i + "=" + $('[name="'+i+'"]').val();									}			});		}				
		var search_input = $('#search-input').val();
		var search_pager = $('#search-pager').val();
		if(query.length>1){
			query += "&";
		}
		query += "per-page=" + search_pager;
		if(search_input.trim().length>0){
			query += "&search=" + search_input;
		}
		window.location = url + query;
	})
   $("#locale-array-insert-btn").click(function(){
			var value = $('#locale_insert_key').val();
			var key = $('#locale_insert_value').val();
			$.ajax({
				data: {  value:value,key:key },
				type: 'POST',
				url: "/admin/language-variable-insert",
				success: function (response) {
               toastr.success( "İşlem Başarılı", "İşlem başarıyla tamamlandı");
					
				},
				error: function (data) {
               toastr.error( "İşlem Başarısız", "Bir Hata Meydana Geldi");
				},
			})
	})
</script>



@yield("js")
</body>
</html>
