@extends('backend.app')

@section('content')

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Bayi Ekle</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Bayiler</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
                <form method="post">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card m-b-30">
                                <div class="card-body">
                                    <h3 class="card-title duzenlebg"><strong>Genel Bilgiler</strong></h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                       
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Adı</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="bayi_name" class="form-control" placeholder=" Adı Yazınız">
                                        </div>
                                        </div>
                                        
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Şifre</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="password" name="password" class="form-control"
                                                   placeholder="Şifre Yazınız">
                                        </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Bayi Durumu</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input type="checkbox" name="status" checked data-bootstrap-switch>
                                        </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="card m-b-30">
                                <div class="card-body">
                                    <h3 class="card-title duzenlebg"><strong>İletişim Bilgileri</strong></h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                       
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Email</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="email" name="email" class="form-control"
                                                   placeholder=" Email Yazınız">
                                        </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Telefon</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="phone" class="form-control"
                                                   placeholder="telefon numarası Yazınız">
                                        </div>
                                        </div>
										 <div class="form-group  row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Şehir</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <select required class="form-control select2" style="width: 100%;" name="sehir">
                                               <option value="0" >il seçiniz</option>
                                                @foreach($sehirler as $sehir)
                                                    <option value="{{$sehir->id}}" >{{$sehir->il_adi}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        </div>
										 <div class="form-group  row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">İlçe</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <select required id="ilceget" class="form-control select2" style="width: 100%;" name="ilce">
                                               <option value="0" >il seçiniz</option>
                                             
                                            </select>
                                        </div>
                                        </div>
										<div class="form-group  row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Mahalle</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <select required id="mahalleget" class="form-control select2" style="width: 100%;" name="mahalle">
                                             
                                           
                                                    <option value="0" >il seçiniz</option>
                                             
                                            </select>
                                        </div>
                                        </div>
                                       
                                      

                                    </div>
                                    <footer class=" text-right">
                                    <button class="btn btn-success" type="button" id="usersButton">Ekle</button>
                                    </footer>
                                </div>

                                
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </section>
    </div>

@endsection

@section('js')

    <script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>

    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        });
    </script>

    <script>

        $("#usersButton").click(function () {

            var url = "{{route("bayi-add")}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
					console.log(response);
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>


				<script type="text/javascript">
				
				$(function(){
					 var urlx = "{{route("bayi-add")}}";
					$('select[name="sehir"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('#ilceget').empty();
					$('#mahalleget').empty();
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'il_id': 'il_id'
                        },
							

							success: function (data) {
								$('#mahalleget').append('<option value="0">ilçe seçiniz</option>');
								$('#ilceget').append('<option value="0">ilce seçiniz</option>');
								$.each(data, function(index, ilce){
								$('#ilceget').append('<option value="'+ ilce.id +'">'+ ilce.ilce_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>
					<script type="text/javascript">
				
				$(function(){
					 var urlx = "{{route("bayi-add")}}";
					$('select[name="ilce"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('#mahalleget').empty();
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'ilce_id': 'ilce_id'
                        },
							

							success: function (data) {
							$('#mahalleget').append('<option value="0">mahalle seçiniz</option>');
								$.each(data, function(index, mahalle){
								$('#mahalleget').append('<option value="'+ mahalle.id +'">'+ mahalle.mahalle_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>

@endsection

@section('css')
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
@endsection
