@extends('backend.app')

@section('content')

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Kullanıcılar</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Kullanıcılar</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                    
                        <table id="defaulttable"  class="table table-bordered table-striped">
                            <thead>
                            <tr>
                              
                                <th>Müşteri Adı</th>
                                <th>Müşteri Eposta</th>
                                <th>Müşteri Telefon</th>
                                <th>Oluşturulma Tarihi</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($users as $user)
                                <tr>
                                    <td>{{$user->bayi_name}} {{$user->bayi_surname}}</td>
                                    <td>{{$user->email}}</td>
                                    <td>{{$user->phone}}</td>
                                  
                                
                                    <td>{{$user->created_at}}</td>
                                    <td>
                                        <a href="{{route('bayi-edit',$user->id)}}" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
                                      
                                    </td>
                                    <td>
                                         <button class="btn btn-danger" onclick="deleteUsers(this,'{{$user->id}}')"><i class="fas fa-trash-alt"></i>&nbsp;Sil</button>

                                    </td>
                                    <td>
                                        @if($user->status == 'on')
                                            <button class="btn btn-success" onclick="userStatus(this,'{{$user->id}}','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                        @else
                                            <button class="btn btn-danger" onclick="userStatus(this,'{{$user->id}}','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
    </div>

@endsection

@section('js')
   <script>
        function deleteUsers(r, id) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Sildiğinizde geri dönüşümü olmayacaktır!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '{{route('bayi')}}',
                        data: {
                            'id': id,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('defaulttable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }
    </script>

    <script>
        function userStatus(r, id, status) {
            $.ajax
            ({
                type: "Post",
                url: '{{route('bayi')}}',
                data: {
                    'id': id,
                    'status': status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                       
                    } else {
                        toastr.error(response.content, response.title);
                        
                    }
                }

            })

        }
    </script>

@endsection

@section('css')

@endsection
