@extends('backend.app')

@section('content')

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Menü Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Menü Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Menü Bilgisi</h5>
    </div>
    <div class="card-body">
        <ul class="nav nav-pills nav-justified mb-3" role="tablist">
        <?php $lang_index = 0;?>
        @foreach(Helper::Locales() as $key=>$value)
            <li class="nav-item waves-effect waves-light locale" >
                <a class="nav-link {{ $lang_index == 0 ? 'active' : '' }}" data-lang="{{ $key }}" data-bs-toggle="tab" href="#lang-{{ $key }}" role="tab">
                    <span class="d-none d-md-block">{{ $value }}</span><span class="d-block d-md-none"><i class="mdi mdi-home-variant h5"></i></span> 
                </a>
            </li>
            <?php $lang_index ++;?>

            @endforeach
            
        </ul>
        
                <form method="post">
                    <div class="card-body">
                    <div class="tab-content">
        <?php $lang_index = 0;?>
                    @foreach(Helper::Locales() as $key=>$value)
            <div class="tab-pane {{ $lang_index == 0 ? 'active' : '' }} " id="lang-{{ $key }}" role="tabpanel">
                        <div class="mb-3">
                            <label>Menü Adı</label>
                            <input name="menu_{{ $key }}_name" type="text" class="form-control"
                            placeholder="Menü Adı Yazınız" value="{{$menu->translate($key)->menu_name}}">
                        </div>
                        <?php $lang_index ++;?>
                        </div>
                    @endforeach
                    </div>
                        <div class="mb-3">
                            <label>Grup</label>
                            <select name="page_id" class="form-control select2" style="width: 100%;">
                                <option value="0">Anasayfa</option>
                                @foreach($pages as $page)
                                <option value="{{$page->id}}"  {{$menu->page_id==$page->id?"selected":""}} >{{$page->translate('tr')->page_name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <label >Menü Görünürlüğü</label>
                            <div class="square-switch">
                                <input type="checkbox" name="menu_status" id="square-switch1" switch="none"   {{$menu->menu_status == 'on' ? 'checked' : ' ' }}>
                                <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
                            </div>
                          </div>
                        <div class="mb-3">
                            <label >E Ticaret</label>
                            <div class="square-switch">
                                <input type="checkbox" name="E_Ticaret" id="square-switch2" switch="none"    {{$menu->E_Ticaret == 'on' ? 'checked' : ' ' }}>
                                <label for="square-switch2" data-on-label="On" data-off-label="Off"></label>
                            </div>
                        
                        </div>
                    </div>
                  
                        <button id="menusButton" type="button" class="btn btn-primary">Kaydet</button>
                  
                </form>
    </div>
</div>
      

@endsection

@section('js')

    <script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>

    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        });

    </script>

    <script>

        $("#menusButton").click(function () {

            var url = "{{route("menu-edit",$menu->id)}}";
            var form = new FormData($("form")[0]);
            var lang = $(".locale .active" ).data('lang');
            form.append("locale", lang);
            console.log(lang);
            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {

                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>




@endsection

@section('css')
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
@endsection
