﻿@extends('backend.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Sayfa Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Sayfa Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
	<div class="col-12 mb-3">
	<div class="d-flex gap-3">
		<h6 class="m-2 mt-0 p-2 bt-0 text-dark border-bottom">Sayfa Düzenle</h6>
	   <a href="{{route('pages',['group' => $pages->Tur,'parent' => $pages->id])}}"><h6 class="m-2  mt-0 p-2 bt-0 text-dark">Alt İcerik Listesi</h6></a>
	   <a href="{{route('page-add',['group' => $pages->Tur,'parent' => $pages->id])}}"><h6 class="m-2  mt-0 p-2 bt-0 text-dark">Alt İcerik Ekle </h6></a>
	</div>
</div>
</div>

<form method="post" enctype="multipart/form-data">
	<div class="row">
		<div class="col-md-8">
			<div class="card border border-primary">
				<div class="card-header bg-transparent border-primary">
					<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Detayı</h5>
				</div>
				<div class="card-body">
					<ul class="nav nav-pills nav-justified mb-4" role="tablist">
						<?php $lang_index = 0;?>
						@foreach(Helper::Locales() as $key=>$value)
						<li class="nav-item waves-effect waves-light locale" >
							<a class="nav-link {{ $lang_index == 0 ? 'active' : '' }}" data-lang="{{ $key }}" data-bs-toggle="tab" href="#lang-{{ $key }}" role="tab" style="padding:3px 0;">
									<span class="d-none d-md-block">{{ $value }}</span><span class="d-block d-md-none">{{ $key }}</span> 
								</a>
						</li>
						<?php $lang_index ++;?>
						@endforeach
					</ul>
					<div class="mb-3">
								<label >Tür Seçiniz</label>
								<select name="Ust" class="form-control select2" style="width: 100%;">
								<option value="0">Üst Grup</option>
										@foreach($Ust as $Ust_page)
										 
											<option value="{{$Ust_page->id}}" {{$pages->Ust==$Ust_page->id?'selected':''}}>{{$Ust_page->translate('tr')->page_name}}</option>
										@endforeach
									</select>
							</div>

					   <div class="tab-content">
					<?php $lang_index = 0;?>
					@foreach(Helper::Locales() as $key=>$value)
					<div class="tab-pane {{ $lang_index == 0 ? 'active' : '' }} " id="lang-{{ $key }}" role="tabpanel">
						<div class="mb-3">
							<label >Başlık</label>
							<input type="text" name="page_name_{{ $key }}" value="{{$pages->translate($key)->page_name}}"
							class="form-control" placeholder="Başlık Yazınız">
						</div>
						<div class="mb-3">
							<label >Seo Url</label>
							<input type="text" name="page_slug_{{ $key }}" value="{{$pages->translate($key)->page_slug}}"
							class="form-control" placeholder="Seo Url">
						</div>
						<div class="mb-3">
							<label >Kısa Açıklama</label>
							<input type="text" name="page_description_{{ $key }}" value="{{$pages->translate($key)->page_description}}"
							class="form-control" placeholder="Kısa Açıklama Yazınız">
						</div>
						<div class="mb-3">
							<label >Etiket</label>
							<input type="text" name="page_tags_{{ $key }}" value="{{$pages->translate($key)->page_tags}}"
							class="form-control" placeholder="Etiket">
						</div>
						<div class="mb-3">
							<label>İçerik</label>
							<textarea name="page_content_{{ $key }}"
							class="ckeditor" id="page_content_{{ $key }}" >{!! $pages->translate($key)->page_content !!}</textarea>
						</div>
						<div class="row">
							
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer1')}}</label>
									<input type="text" name="Layer1_{{ $key }}" value="{{$pages->translate($key)->Layer1}}" class="form-control" placeholder="">
								</div>
							</div>
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer2')}}</label>
									<input type="text" name="Layer2_{{ $key }}" value="{{$pages->translate($key)->Layer2}}" class="form-control" placeholder="">
								</div>
							</div>
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer3')}}</label>
									<input type="text" name="Layer3_{{ $key }}" value="{{$pages->translate($key)->Layer3}}" class="form-control" placeholder="">
								</div>
							</div>
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer4')}}</label>
									<input type="text" name="Layer4_{{ $key }}" value="{{$pages->translate($key)->Layer4}}" class="form-control" placeholder="">
								</div>
							</div>
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer5')}}</label>
									<input type="text" name="Layer5_{{ $key }}" value="{{$pages->translate($key)->Layer5}}" class="form-control" placeholder="">
								</div>
							</div>
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer6')}}</label>
									<input type="text" name="Layer6_{{ $key }}" value="{{$pages->translate($key)->Layer6}}" class="form-control" placeholder="">
								</div>
							</div>
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer7')}}</label>
									<input type="text" name="Layer7_{{ $key }}" value="{{$pages->translate($key)->Layer7}}" class="form-control" placeholder="">
								</div>
							</div>
							<div class="col-lg-6 col-md-12">
								<div class="mb-3">
									<label >{{Helper::PagesGetLayer($pages->Tur,'Layer8')}}</label>
									<input type="text" name="Layer8_{{ $key }}" value="{{$pages->translate($key)->Layer8}}" class="form-control" placeholder="">
								</div>
							</div>
						</div>
					</div>
					<?php $lang_index ++;?>
					@endforeach
					 <div class="mb-3">
								<label>Tarih</label>
								<input type="datetime-local" value="{{$pages->Add_Date}}" class="form-control" name="Add_Date" placeholder="Tarih"/>
							</div>
							<div class="mb-3">
								<label>Template</label>
								<input type="text" value="{{$pages->sablon}}" class="form-control" name="Sablon" placeholder="Template"/>
							</div>
					   </div>
					   <button id="pageButton" type="button" class="btn btn-primary">Kaydet</button>
				</div>
			
			</div>
		</div>
		<div class="col-md-4">
				<div class="card border border-primary">
					<div class="card-header bg-transparent border-primary">
						<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Resim - 1</h5>
					</div>
					<div class="card-body">
					<img id="coverImageShow" src="{{$pages->page_image}}" width="100%" height="auto">
					<div class=" mt-3">
						<div class="input-group">
							<div class="custom-file">
								<input id="coverImage" name="page_image" type="file" class="custom-file-input">
								<label class="custom-file-label" for="coverImage">Dosya Seç</label>
							</div>
						</div>
					</div>
					 </div>
				 </div>
	
				 <div class="card border border-primary">
					<div class="card-header bg-transparent border-primary">
						<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Resim - 2</h5>
					</div>
					<div class="card-body">
					<img id="opsiyonelimageShow" src="{{$pages->opsiyonel_image}}" width="100%" height="auto">
					<div class=" mt-3">
						<div class="input-group">
							<div class="custom-file">
								<input id="opsiyonelimage" name="opsiyonelimage" type="file" class="custom-file-input">
								<label class="custom-file-label" for="opsiyonelimage">Dosya Seç</label>
							</div>
						</div>
					</div>
					 </div>
				 </div>
				 <div class="card border border-primary">
					<div class="card-header bg-transparent border-primary">
						<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Banner</h5>
					</div>
					<div class="card-body">
					<img id="opsiyonelimageShow" src="{{$pages->page_banner}}" width="100%" height="auto">
					<div class=" mt-3">
						<div class="input-group">
							<div class="custom-file">
								<input id="coverImagebanner" name="page_banner" type="file" class="custom-file-input">
								<label class="custom-file-label" for="coverImagebanner">Dosya Seç</label>
							</div>
						</div>
					</div>
					 </div>
				 </div>


				 <div class="card border border-primary">
					<div class="card-header bg-transparent border-primary">
						<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Görünürlüğü</h5>
					</div>
					<div class="card-body">
						<div class="square-switch">
							<input type="checkbox" name="page_status" id="square-switch1" switch="none"   {{$pages->page_status == 'on' ? 'checked' : ' ' }}>
							<label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
						</div>
					 </div>
				 </div>

				 <div class="card border border-primary">
					<div class="card-header bg-transparent border-primary">
						<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Açılır Menü</h5>
					</div>
					<div class="card-body">
						<div class="square-switch">
							<input type="checkbox" name="page_dropdown" id="square-switch2" switch="none"   {{$pages->page_dropdown == 'on' ? 'checked' : ' ' }}>
							<label for="square-switch2" data-on-label="On" data-off-label="Off"></label>
						</div>
					 </div>
				 </div>
		</div>
	</div>
</form>
    <div class="card border border-primary">
			<div class="card-header bg-transparent border-primary">
				<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Galeri</h5>
			</div>
			<div class="card-body">
				@include ('backend.pages.galeri', ['formMode' => 'edit'])
			</div>
		</div>
		<div class="card border border-primary">
			<div class="card-header bg-transparent border-primary">
				<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Dökümanlar</h5>
			</div>
			<div class="card-body">
				@include ('backend.pages.dokuman', ['formMode' => 'edit'])
			</div>
		</div>

		<div class="card border border-primary">
			<div class="card-header bg-transparent border-primary">
				<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Form Oluştur</h5>
			</div>
			<div class="card-body">
				<div class="card-body">
									
					<div class="d-none">
										 {!! BootForm::text('Form', 'form' , $pages->form)->id('form-data') !!}
									 </div>
									 @include ('backend.pages.form', ['formMode' => 'edit'])
									 <button id="pageformButton" type="button" class="btn btn-primary">Kaydet</button>
					 </div>
			</div>
		</div>
@endsection
@section('css')
<style>
    .custom-file-label {
        position: absolute;
        top: -9px;
        right: 0;
        left: 0;
        z-index: 1;
        height: calc(2.25rem + 2px);
        padding: .375rem .75rem;
        font-weight: 400;
        line-height: 1.5;
        color: #495057;
        background-color: #fff;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        box-shadow: none;
    }

    .custom-file-label::after {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: 2.25rem;
        padding: .375rem .75rem;
        line-height: 1.5;
        color: #495057;
        content: "Dosya Seç";
        background-color: #e9ecef;
        border-left: inherit;
        border-radius: 0 .25rem .25rem 0;
    }
</style>
@endsection
@section('js')

    <script>
    	$(".sortable-list").sortable({
	items: '.sortable-item',
	opacity: 0.6,
	cursor: 'move',
	update: function (event, ui) {
		$.ajax({
			data: {  value:$(this).attr("data-value"),ids:$(this).sortable("toArray") },
			type: 'POST',
			url: "/admin/"+$(this).attr("data-target"),
			success: function (response) {
			toastr.success(response.content, response.title);
		
			},
			error: function (data) {
				
				console.log(data);
			},
		})
	}
});
    
         $(document).ready(function () {
    'use strict';
	var form_elements = [];
	var counter = 1;
	var total_counter = 1;
	$(document).on("click","[data-form-element-remove]",function(){
		$(this).parent().remove();
		set_form_json_data();
	});
	
	if($('#form-data').length){
		if($('#form-data').val().length>2){
			var data = jQuery.parseJSON( $('#form-data').val());
			$.each(data, function(i, item) {
				add_form_element(item);
			});
		}
	}
	
	function add_form_element(item){
		if(item["name"] != "page_id" && item["name"] != "title" ){
			var render = "";
			var data = '';
			var options = item['value'].split(',');
			render += "<div class='mb-3 form-element'  data-type='" +item['type'] + "'  data-name='" +item['name'] + "'  data-value='" +item['value'] + "'  data-rules='" +item['rules'] + "'><a class='btn btn-danger mr-1 py-0 px-2 btn-sm' data-form-element-remove>X</a>";
			if(item['type']=="text"){
				render += '<label>' + item['name'] + '</label><input type="text" class="form-control" value="' + item['value'] + '">';
			}else if(item['type']=="textarea"){
				render += '<label>' + item['name'] + '</label><textarea class="form-control">' + item['value']  + '</textarea>';
			}else if(item['type']=="select"){
				data = '<select class="form-control">';
				$.each( options, function( index, value ) {
					data += '<option value="' + value + '">' + value + '</option>';
					counter++;
				});
				data = data + '</select>';
				render += '<label>' + item['name'] + '</label>' + data + '';
			}else if(item['type']=="checkbox"){
				$.each( options, function( index, value ) {
					data += '<div class="form-check"> <input id="checkbox-' + counter + '" class="form-check-input" type="checkbox" name="check-' + total_counter + '"  value="' + value + '"> <label for="checkbox-' + counter + '" class="form-check-label">' + value + '</label></div>';
					counter++;
				});
				render += '<label>' + item['name'] + '</label>' + data + '';
			}else if(item['type']=="radio"){
				$.each( options, function( index, value ) {
					data += '<div class="form-check"> <input id="radio-' + counter + '" class="form-check-input" type="radio" name="radiolist-' + total_counter + '" value="' + value + '"> <label for="radio-' + counter + '" class="form-check-label">' + value + '</label></div>';
					counter++;
				});
				render += '<label>' + item['name'] + '</label>' + data + '';
			}if(item['type']=="file"){
				render += '<label>' + item['name'] + '</label><input type="file" class="form-control" value="' + item['value'] + '">';
            }
            if(item['type']=="static"){
				render += '<label>' + item['name'] + '</label><div  class="form-control" value="' + item['value'] + '">'+ item['name'] +'</div>';
            }
			render += "</div>";
			form_elements.push(item);
					
			$('[form-view]').append(render);
			set_form_json_data();
		}
	}
	
	function set_form_json_data(){
		var form_result = [];
		$('.form-element').each(function(){
			var item = {};
			item['type'] = $(this).attr('data-type');
			item['name'] = $(this).attr('data-name').replaceAll(" ", "_");	
			item['label'] = "system."+$(this).attr('data-name').replaceAll("_", " ");	
			if($(this).attr('data-type')=="static"){
			    
			    	item['value'] ="system."+$(this).attr('data-value').replaceAll("_", " ");
			}else{
			    	item['value'] =$(this).attr('data-value');
			    
			}
		
			item['rules'] = $(this).attr('data-rules');
		var choices = {};
			var choices_data = "";
			if($(this).attr('data-type')=="select"){
			$.each( $(this).attr('data-value').split(','), function( index, value ) {
				if(value.length >0){
					choices_data += '"'+value+'" : "' + value + '",';
				}
			});
		}else{
			$.each( $(this).attr('data-value').split(','), function( index, value ) {
				if(value.length >0){
					choices_data += '"'+value+'" : "' + value + '",';
				}
			});

		}
			if(choices_data.length>0){
				
				choices_data = choices_data.substring(0, choices_data.length-1);
				choices_data = '{'+choices_data+'}';
			
				choices = jQuery.parseJSON(choices_data);
				
			}
			item['choices'] = choices;
			form_result.push(item); 
		})
      
		$("#form-data").val(JSON.stringify(form_result));
	}
			
	
	$(document).on("click","[data-form-element-add]",function(){
			var type = $('[data-id="form-element-type"]:checked').val();
			var title = $('[data-id="form-element-title"]').val();
			var val = $('[data-id="form-element-val"]').val();
			var req = "";
			if ($('[data-id="form-element-req"]').is(':checked')) {
				req = "required";
			}
			if(title.trim().length == 0){
			    	toastr.error("Lütfen başlık giriniz.", "İşlem Başarısız");
			
			}else{
				var item = {};
				item['type'] = type;
				item['name'] = title;
				item['value'] = val;
				item['rules'] = req;
				add_form_element(item);
				total_counter ++;
			}
	})
	
	
	$(".form-element-list").sortable({
		items: '.form-element',
		opacity: 0.6,
		cursor: 'move',
		update: function (event, ui) {
			set_form_json_data();
		}
	});
})	
       
    </script>


    <script type="text/javascript">
        $(document).ready(function () {
            bsCustomFileInput.init();
        });
    </script>
    <script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
   
    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
			});
			
			$("#opsiyonelimage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#opsiyonelimageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
			  $("#coverImagebanner").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShowbanner').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
			});
    </script>
    <script>
  $("#pageformButton").click(function () {
            var form = $("input[name='form']").val();
           
            var url = "{{route("page-edit",$pages->id)}}";
            $.ajax({
                type: "POST",
                url: url,
                data:JSON.stringify(form),
                contentType: 'application/json',
              processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status == "success") {
                        toastr.success(response.content, response.title);
                    } else {
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        });
        $("#pageButton").click(function () {

  $('textarea.ckeditor').each(function () {
   var $textarea = $(this);
   var $name = $textarea.attr('name');
    CKEDITOR.instances[$name].updateElement();
});
           
       
          
            var url = "{{route("page-edit",$pages->id)}}";
            var form = new FormData($("form")[0]);



            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status == "success") {
                        toastr.success(response.content, response.title);
                    } else {
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>
    <script>

      
		
		 $("[data-edit]").click(function(e){
	
	var id = $(this).attr("data-edit");
    
	var title = $('[data_id="'+id+'"]').val();
	var download = $('[data_id="download"]').prop('checked') ? 'on' : 'off';

	$.ajax({
		type:'POST',
		url:'/admin/file-edit',
		data:{id:id, title:title ,download:download},
        success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                }
	});
});
$("[data-delete]").click(function(e){
	var id = $(this).attr("data-delete");
    var id2='#'+id;
	$.ajax({
		type:'POST',
		url:'/admin/file-delete',
		data:{id:id},
        success: function (response) {
            $(id2).hide();
            toastr.success(response.content, response.title);
        }
       
	});
});
    </script>
	 <script>
$(function() {
    var $sourceList = $("#source-list");
    var $targetList = $("#target-list");

    $sourceList.sortable({
        connectWith: "#target-list",
        placeholder: "ui-state-highlight",
		receive: function(event, ui) {
          
		 
		  saveOrder();
		
	  }
    }).disableSelection();

    $targetList.sortable({
        connectWith: "#source-list",
        placeholder: "ui-state-highlight",
        receive: function(event, ui) {
          
            var item = ui.item;
			saveOrder();
          
        }
    }).disableSelection();

   

    function saveOrder() {
        var order = [];
		var id={{$pages->id}};

        $("#target-list li").each(function(index, element) {
            order.push($(this).data('id'));
        });
console.log(id);
		return false;
        // AJAX isteği ile sırayı kaydedin
        $.ajax({
            url: '/save-order',
            method: 'POST',
            data: {
                order: order,
				id:id,
                _token: '{{ csrf_token() }}'
            },
            success: function(response) {
                alert('Order saved successfully');
            },
            error: function(xhr, status, error) {
                console.log(error);
            }
        });
    }  
});


</script>
@endsection

