@extends('backend.app')

@section('content')

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Sayfalar</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Sayfalar</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <table id="defaulttable"  class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>Başlık</th>
                        <th>Oluşturulma Tarihi</th>
                        <th>Listele</th>
                        <th>Ekle</th>
                        <th>Düzenle</th>
                        <th>Sil</th>
                        <th>Top Menu</th>
                        <th>Durum</th>
                    </tr>
                    </thead>
                    <tbody id="sortable">
                    @foreach($pages as $page)
                   
                        <tr id="item-{{$page->id}}">
                            <td class="sortable">{{$page->translate('tr')->page_name}}</td>
                            <td>{{$page->created_at}}</td>
                             <td>
                                <a href="{{route('pages',['group' => $page->Tur,'parent' => $page->id])}}" class="btn btn-primary"><i class="fas fa-th-list
"></i>Alt icerik</a>
                             </td>

                              <td>
                                <a href="{{route('page-add',['group' => $page->Tur,'parent' => $page->id])}}" class="btn btn-primary"><i class="fas fa-plus-square
"></i>icerik Ekle</a>
                             </td>
                            <td>
                                <a href="{{route('page-edit',$page->id)}}" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
                             </td>
                            <td>
                               
                                <button class="btn btn-danger" onclick="deletePages(this,'{{$page->id}}','{{$page->page_image}}')"><i class="fas fa-trash-alt"></i>&nbsp;Sil
                                </button>

                            </td>
                            <td>
                                @if($page->topmenu_status == 'on')
                                      <button class="btn btn-success" onclick="pageStatusMenuTop(this,'{{$page->id}}','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                  @else
                                      <button class="btn btn-danger" onclick="pageStatusMenuTop(this,'{{$page->id}}','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                  @endif

                              </td>
                            <td>
                              @if($page->page_status == 'on')
                                    <button class="btn btn-success" onclick="pageStatus(this,'{{$page->id}}','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                @else
                                    <button class="btn btn-danger" onclick="pageStatus(this,'{{$page->id}}','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                @endif

                            </td>
                        </tr>
                    @endforeach
                    </tbody>

                </table>

            </div>
        </div>
        </div>
    </div>


      

@endsection

@section('js')

 <script>
        $(function () {
            $('#sortable').sortable({
                revert: true,
                handle: ".sortable",
                stop: function (event, ui) {
                    var data = $(this).sortable('serialize');
                   
                    $.ajax({
                        type: "POST",
                        data: data,
                        url: "{{route('pages')}}",
                        success: function (response) {
                            if (response.status == "success") {
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }
                    });

                }
            });
            $('#sortable').disableSelection();
        });
    </script>
    <script>
        function deletePages(r, id, page_image) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Sildiğinizde geri dönüşümü olmayacaktır!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '{{route('pages')}}',
                        data: {
                            'id': id,
                            'page_image': page_image,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('defaulttable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }
    </script>
    <script>
        function pageStatus(r, id, page_status) {
            $.ajax
            ({
                type: "Post",
                url: '{{route('pages')}}',
                data: {
                    'id': id,
                    'page_status': page_status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },1000);
                    } else {
                        toastr.error(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },1000);
                    }
                }

            })

        }

        function pageStatusMenuTop(r, id, topmenu_status) {
            $.ajax
            ({
                type: "Post",
                url: '{{route('pages')}}',
                data: {
                    'id': id,
                    'topmenu_status': topmenu_status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },1000);
                    } else {
                        toastr.error(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },1000);
                    }
                }

            })

        }
    </script>

@endsection

@section('css')

@endsection
