@extends('backend.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Ürün Ekle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <form action="{{route('excel-list')}}"  class="ml-4" method="POST" enctype="multipart/form-data">
						@csrf
                    <button class="btn btn-success" type="submit">Ürün Listesi Al</button>
					 </form>
                </ol>
            </div>
        </div>
    </div>
</div>


<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Toplu Ürün Yükle</h5>
    </div>
    <div class="card-body">
        @if (\Session::has('success'))
        <div class="alert alert-success">
            <ul>
                <li>{!! \Session::get('success') !!}</li>
            </ul>
        </div>
    @endif
                          
    <form action="{{route('excel-add')}}"  class="d-flex align-item-center justify-content-between mb-5" method="POST" enctype="multipart/form-data">
    @csrf
    <div class="row w-100" >
        <div class="col-lg-6 mb-3">
    <select class="form-control"  name="categoryId">
                                                <option value="0" selected="selected">Diğer</option>
                                                @foreach($categories as $category)
                                                    <option value="{{$category->id}}">{{$category->category_name}}</option>
                                                    @foreach($category->children as $downCategory)
                                                    <option value="{{$downCategory->id}}">{{$category->category_name}} -> {{$downCategory->category_name}}</option>
                                                @endforeach
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="col-lg-6 mb-3">
                        <input type="file" name="xlsfile"  class="form-control"  >
                    </div> 
                    <div class="col-lg-12">
                        <button class="btn btn-success" style="width: 100%;" type="submit">Yükle</button>
                    </div>
                </div>
    </form>
    
    </div>
</div>


<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Toplu Ürün Güncelle</h5>
    </div>
    <div class="card-body">
        <form action="{{route('excel-update')}}"  class="d-flex align-item-center justify-content-between mb-5" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="row w-100" >
            <div class="col-lg-12 mb-3">          
                            <input type="file" name="xlsfileupdate" class="form-control"  >
            </div>
                            <div class="col-lg-12">
                            <button class="btn btn-success" style="width: 100%;" type="submit">Yükle</button>
                        </div>
                    </div>
        </form>
    </div>
</div>


       
@endsection

@section('js')

@endsection

@section('css')

@endsection
