@extends('backend.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Kategori Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Kategori Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<form method="post">
    <div class="row">
        <div class="col-lg-8">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Bilgileri</h5>
                </div>
                <div class="card-body">
                    <ul class="nav nav-pills nav-justified mb-3" role="tablist">
                        <?php $lang_index = 0;?>
                        @foreach(Helper::Locales() as $key=>$value)
                            <li class="nav-item waves-effect waves-light locale" >
                                <a class="nav-link {{ $lang_index == 0 ? 'active' : '' }}" data-lang="{{ $key }}" data-bs-toggle="tab" href="#lang-{{ $key }}" role="tab">
                                    <span class="d-none d-md-block">{{ $value }}</span><span class="d-block d-md-none">{{ $key }}</span> 
                                </a>
                            </li>
                            <?php $lang_index ++;?>

                            @endforeach
                            
                        </ul>
                        <div class="mb-3">
                            <label>Kategoriler</label>
                            <select class="form-control select2" style="width: 100%;" name="up_categoryId">
                                <option value="0" selected="selected">Üst Kategori</option>
                                @foreach($categories as $categoryy)
                                  @if($categoryy->up_categoryId==0)
                                    <option value="{{$categoryy->id}}" {{ $category->up_categoryId == $categoryy->id ? 'selected' : '' }} >{{$categoryy->category_name}}</option>
                                      @foreach($categoryy->children as $downCategory)
                                    <option value="{{$downCategory->id}}" {{ $category->up_categoryId == $downCategory->id ? 'selected' : '' }}  >{{$categoryy->category_name}} -> {{$downCategory->category_name}}</option>
                               
                                    @endforeach
                                    @endif
                                @endforeach
                            </select>
                        </div>

                        <div class="tab-content">
                    <?php $lang_index = 0;?>
                                @foreach(Helper::Locales() as $key=>$value)
                  <div class="tab-pane {{ $lang_index == 0 ? 'active' : '' }} " id="lang-{{ $key }}" role="tabpanel">
                        <div class="mb-3">
                            <label for="exampleInputEmail1">Kategori Adı</label>
                            <input type="text" name="category_name_{{ $key }}" value="{{$category->translate($key)->category_name}}" class="form-control" placeholder="Kategori Adı Yazınız">
                        </div>
                        <div class="mb-3">
                            <label for="exampleInputEmail1">Seo Url</label>
                            <input type="text" name="category_slug_{{ $key }}" value="{{$category->translate($key)->category_slug}}" class="form-control" placeholder="Kategori Seo Url Yazınız">
                        </div>
                        <div class="mb-3">
                            <label for="exampleInputEmail1">Kategori Detay</label>
                            <textarea name="category_detail_{{ $key }}" class="ckeditor" id="editor_{{ $key }}">{!! $category->translate($key)->category_detail !!}</textarea>
                          </div>

                        <?php $lang_index ++;?>
                                    </div>
                                @endforeach

</div>

                        <div class="mb-3">
                            <label for="exampleInputEmail1">Kategori  Rengi</label>
                            <input type="text" name="category_color" value="{{$category->category_color}}" class="form-control" placeholder="Renk Kodu Giriniz">
                        </div>
           
                    <button id="categoryButton" type="button" class="btn btn-primary">Kaydet</button>
               
                </div>
            </div>
        </div>


        <div class="col-md-4">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Banner</h5>
                </div>
                <div class="card-body">
                    <img id="coverBannerShow" src="{{$category->category_banner}}"  width="100%"  height="auto" style="margin:0 auto;">
						
                    <div class=" mt-3">
                        <div class="input-group">
                            <div class="custom-file">
                                <input id="coverBanner" name="category_banner" type="file" class="custom-file-input" >
                             <label class="custom-file-label" for="coverBanner">Dosya Seç</label>
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Resim</h5>
                </div>
                <div class="card-body">
                    <img id="coverImageShow"  src="{{$category->category_resim}}"  width="100%"  height="auto" style="margin:0 auto;">
						
                    <div class=" mt-3">
                        <div class="input-group">
                            <div class="custom-file">
                                <input id="coverImage" name="category_resim" type="file" class="custom-file-input">
                         <label class="custom-file-label" for="coverImage">Dosya Seç</label>
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
       
            
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Görünürlüğü</h5>
                </div>
                <div class="card-body">
                    <div class="square-switch">
                        <input type="checkbox" name="category_status" id="square-switch1" switch="none"  {{$category->category_status == 'on' ? 'checked' : ' '}}>
                        <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
                    </div>
                </div>
            </div>
		</div>
    </div>
    </form>


@endsection

@section('js')
<script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
 <script type="text/javascript">
        $(document).ready(function () {
            bsCustomFileInput.init();
        });
    </script>
  
    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
	<script>
        $("#coverBanner").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverBannerShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
    <script>

        $("#categoryButton").click(function () {
            CKEDITOR.instances['editor_tr'].updateElement();
            var url = "{{route("product-category-edit",$category->id)}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>




@endsection

@section('css')
<style>
    .custom-file-label {
        position: absolute;
        top: -9px;
        right: 0;
        left: 0;
        z-index: 1;
        height: calc(2.25rem + 2px);
        padding: .375rem .75rem;
        font-weight: 400;
        line-height: 1.5;
        color: #495057;
        background-color: #fff;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        box-shadow: none;
    }

    .custom-file-label::after {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: 2.25rem;
        padding: .375rem .75rem;
        line-height: 1.5;
        color: #495057;
        content: "Dosya Seç";
        background-color: #e9ecef;
        border-left: inherit;
        border-radius: 0 .25rem .25rem 0;
    }
</style>
@endsection
