@extends('backend.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Kategori</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Kategori</li>
				</ol>
			</div>
		</div>
	</div>
</div>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <table id="datatable" class="table table-bordered dt-responsive nowrap" >
                  
                        <thead>
                        <tr>
                            <th>Sıra</th>
                            <th>Kategori Adı</th>
                            <th>Oluşturulma Tarihi</th>
                            <th>Alt Kategori</th>
                            <th>İşlemler</th>
                            <th>İşlemler</th>
                            <th>İşlemler</th>
                        </tr>
                        </thead>
                         <tbody id="sortable">
                        @foreach($categories as $category)
                          <tr id="item-{{$category->id}}">
                            <td class="sortable">{{$category->categori_order}}</td>
                                <td class="sortable">{{$category->category_name}}</td>
                                <td>{{$category->created_at}}</td>
                                <td>
                                    <a href="{{route('product-category',['parent' => $category->id])}}" class="btn btn-primary"><i class="fas fa-th-list
                                        "></i>Alt Kategori</a>
                                </td>
                                <td>
                                    <a href="{{route('product-category-edit',$category->id)}}" class="btn btn-primary"><i class="fas fa-edit"></i>Düzenle</a>
                                   
                                </td>
                                <td>
                                    <button class="btn btn-danger" onclick="deleteCategory(this,'{{$category->id}}')"><i class="fas fa-trash-alt"></i>&nbsp;Sil</button>

                                   
                                </td>
                                <td>
                                   @if($category->category_status == 'on')
                                        <button class="btn btn-success" onclick="categoryStatus(this,'{{$category->id}}','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                    @else
                                        <button class="btn btn-danger" onclick="categoryStatus(this,'{{$category->id}}','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                    @endif
                                </td>
                            </tr>
                           
                        @endforeach
                        </tbody>

                    </table>
			</div>
		</div>
	</div>
</div>




@endsection

@section('js')

    <script>
        function deleteCategory(r, id) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Bu kategoriyi sildiğinizde bu kategoriye ait ürünlerin  hepsi silinecektir!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '{{route('product-category')}}',
                        data: {
                            'id': id,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('datatable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }
    </script>
 <script>
        $(function () {
            $('#sortable').sortable({
                revert: true,
                handle: ".sortable",
                stop: function (event, ui) {
                    var data = $(this).sortable('serialize');
                   
                    $.ajax({
                        type: "POST",
                        data: data,
                          url: '{{route('product-category')}}',
                        success: function (response) {
                            if (response.status == "success") {
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }
                    });

                }
            });
            $('#sortable').disableSelection();
        });
    </script>
    <script>
        function categoryStatus(r, id, category_status) {
            $.ajax
            ({
                type: "Post",
                url: '{{route('product-category')}}',
                data: {
                    'id': id,
                    'category_status': category_status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },5000);
                    } else {
                        toastr.error(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },5000);
                    }
                }

            })

        }
    </script>

@endsection

@section('css')

@endsection
