@extends('backend.app')
@section('content')
<div class="row">
	<div class="col-12">
		<div class="page-title-box d-sm-flex align-items-center justify-content-between">
			<h4 class="mb-sm-0">Ürün Düzenle</h4>
			<div class="page-title-right">
				<ol class="breadcrumb m-0">
					<li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
					<li class="breadcrumb-item active">Ürün Düzenle</li>
				</ol>
			</div>
		</div>
	</div>
</div>
<form method="post">
    <div class="row">
        <div class="col-lg-8">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Ürün Bilgileri</h5>
                </div>
                <div class="card-body">
					<ul class="nav nav-pills nav-justified mb-3" role="tablist">
						<?php $lang_index = 0;?>
						@foreach(Helper::Locales() as $key=>$value)
						<li class="nav-item waves-effect waves-light">
							<a class="nav-link {{ $lang_index == 0 ? 'active' : '' }}" data-lang="{{ $key }}" data-bs-toggle="tab" href="#lang-{{ $key }}" role="tab">
								<span class="d-none d-md-block">{{ $value }}</span>
								<span class="d-block d-sm-none">{{ $key }}</span>
							</a>
						</li>
						<?php $lang_index ++;?>
						@endforeach
					</ul>
                    <div class="mb-3">
                        <label>Kategori</label>
						<select class="form-control select2" style="width: 100%;" name="product_categoryId">
							<option value="{{$product->product_categoryId}}"  selected></option>
							<option value="0">Diğer</option>
							@foreach($categories as $category)
							<option value="{{$category->id}}" {{$category->id==$product->product_categoryId?"selected":""}}>{{$category->category_name}}</option>
							@foreach($category->children as $downCategory)
							<option value="{{$downCategory->id}}" {{$downCategory->id==$product->product_categoryId?"selected":""}}>{{$category->category_name}} -> {{$downCategory->category_name}}</option>
							@endforeach
							@endforeach
						</select>
					</div>
					<div class="tab-content">
						<?php $lang_index = 0;?>
						@foreach(Helper::Locales() as $key=>$value)
						<div class="tab-pane {{ $lang_index == 0 ? 'active' : '' }} " id="lang-{{ $key }}" role="tabpanel">
							<div class="mb-3">
								<label >Ürün Adı</label>
								<input type="text" name="product_title_{{ $key }}" value="{{$product->translate($key)->product_title}}" class="form-control" placeholder="Ürün Adı">
							</div>
							<div class="mb-3">
								<label >Ürün Tanim</label>
								<input type="text" name="product_title_2_{{ $key }}" value="{{$product->translate($key)->product_title_2}}" class="form-control" placeholder="Ürün Tanim">
							</div>
							<div class="mb-3">
								<label>Ürün Şekli</label>
								<input type="text" name="Sekli" value="{{$product->Sekli}}" class="form-control" placeholder="Ürün Şekli">
							</div>
							<div class="mb-3">
								<label >Seo Url</label>
								<input type="text" name="product_slug_{{ $key }}" value="{{$product->translate($key)->product_slug}}" class="form-control" placeholder="Seo Url">
							</div>
							<div class="mb-3">
								<label >Fiyat</label>
								<input type="text" name="fiyat" value="{{$product->fiyat}}" class="form-control" placeholder="Fiyat">
							</div>
							
							<div class="mb-3">
								<label >Stok</label>
								<input type="text" name="Stok" value="{{$product->Stok}}"  class="form-control" placeholder="Stok Adeti">
							</div>
							<div class="mb-3">
								<label >İndirim Oranı</label>
								<input type="text" name="UrunİndirimOranı" value="{{$product->UrunİndirimOranı}}" class="form-control" placeholder="İndirim Oranı">
							</div>
							<div class="mb-3">
								<label >Çoklu Alım Adeti</label>
								<input type="text" name="ExtraAdet" value="{{$product->ExtraAdet}}" class="form-control" placeholder="Çoklu Alım Adeti">
							</div>
							<div class="mb-3">
								<label >Çoklu Alım İndirimi</label>
								<input type="text" name="Extrafiyat" value="{{$product->Extrafiyat}}" class="form-control" placeholder="Çoklu Alım İndirimi">
							</div>
							<div class="mb-3">
								<label >Kargo Desi-Kg</label>
								<input type="text" name="Desi" value="{{$product->Desi}}" class="form-control" placeholder="Kargo Desi-Kg">
							</div>
							<div class="mb-3">
								<label>Ürün Ölçü</label>
								<input type="text" name="UrunOlcu" value="{{$product->UrunOlcu}}"  class="form-control" placeholder="Ürün Ölçü">
							</div>
							<div class="mb-3">
								<div class="row">
									<div class="col-md-6 ">
                                        <label >Renk(Ürün Rengi) </label>
                                        <input type="text" name="Color" value="{{$product->Color}}" class="form-control" placeholder="Renk(Ürün Rengi)">
									</div>
									<div class="col-md-6 ">
                                        <label >Renk(Aksesuar Rengi) </label>
                                        <input type="text" name="Color_2" value="{{$product->Color_2}}" class="form-control" placeholder="Renk(Aksesuar Rengi)">
									</div>
								</div>
							</div>
							<div class="mb-3">
								<label>Açıklama</label>
								<textarea name="product_content_{{ $key }}" class="ckeditor" id="editor_{{ $key }}">{!! $product->translate($key)->product_content !!}</textarea>
							</div>
							<?php $lang_index ++;?>
						</div>   
						@endforeach
					</div>
                    <button id="productsButton" type="button" class="btn btn-primary">Kaydet</button>
				</div>
			</div>
		</div>
        <div class="col-md-4">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Ürün Resim</h5>
                </div>
                <div class="card-body">
                    <img id="coverImageShow"  src="{{$product->product_image}}"  width="100%" height="auto">
						
                    <div class=" mt-3">
                        <div class="input-group">
                            <div class="custom-file">
                                <input id="coverImage" name="product_image" type="file" class="custom-file-input">
                                <label class="custom-file-label" for="coverImage">Dosya Seç</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Ürün Görünürlüğü</h5>
                </div>
                <div class="card-body">
                    <div class="square-switch">
                        <input type="checkbox" name="product_status" id="square-switch1" switch="none"
                        {{$product->product_status == 'on' ? 'checked' : ' '}}>
                        <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
                    </div>
                </div>
            </div>

            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Yeni Ürün</h5>
                </div>
                <div class="card-body">
                    <div class="square-switch">
                        <input type="checkbox" name="YeniUrun" id="square-switch2" switch="none"  {{$product->YeniUrun == 'on' ? 'checked' : ' '}}>
                        <label for="square-switch2" data-on-label="On" data-off-label="Off"></label>
                    </div>
                </div>
            </div>
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Haftanın Ürünü</h5>
                </div>
                <div class="card-body">
                    <div class="square-switch">
                        <input type="checkbox" name="HaftanınUrunu" id="square-switch3" switch="none"
                        {{$product->HaftanınUrunu == 'on' ? 'checked' : ' '}}>
                        <label for="square-switch3" data-on-label="On" data-off-label="Off"></label>
                    </div>
                </div>
            </div>
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Özel Ürün</h5>
                </div>
                <div class="card-body">
                    <div class="square-switch">
                        <input type="checkbox" name="GrupUrunu" id="square-switch4" switch="none"
                        {{$product->GrupUrunu == 'on' ? 'checked' : ' '}}>
                        <label for="square-switch4" data-on-label="On" data-off-label="Off"></label>
                    </div>
                </div>
            </div>
		</div>
	</div>
</form>
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Ürün Galeri</h5>
    </div>
    <div class="card-body">
        @include ('backend.product.galeri', ['formMode' => 'edit'])
    </div>
</div>
@endsection
@section('js')

    <script type="text/javascript">
        $(document).ready(function () {
            bsCustomFileInput.init();
        });
    </script>
    <script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
   
    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>

    <script>

        $("#productsButton").click(function () {

            CKEDITOR.instances['editor_tr'].updateElement();
          
            var url = "{{route("product-edit",$product->id)}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
						 
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
		
        
		 $("[data-edit]").click(function(e){
	
	var id = $(this).attr("data-edit");
    
	var title = $('[data_id="'+id+'"]').val();
   

	$.ajax({
		type:'POST',
		url:'/admin/file-edit',
		data:{id:id, title:title , group:"product"},
        success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                }
	});
});
$("[data-delete]").click(function(e){
	var id = $(this).attr("data-delete");
    var id2='#'+id;
	$.ajax({
		type:'POST',
		url:'/admin/file-delete',
		data:{id:id,group:"product"},
        success: function (response) {
            $(id2).hide();
            toastr.success(response.content, response.title);
        }
       
	});
});
    </script>

@endsection
@section('css')
<style>
	.custom-file-label {
	position: absolute;
	top: -9px;
	right: 0;
	left: 0;
	z-index: 1;
	height: calc(2.25rem + 2px);
	padding: .375rem .75rem;
	font-weight: 400;
	line-height: 1.5;
	color: #495057;
	background-color: #fff;
	border: 1px solid #ced4da;
	border-radius: .25rem;
	box-shadow: none;
	}
	.custom-file-label::after {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	z-index: 3;
	display: block;
	height: 2.25rem;
	padding: .375rem .75rem;
	line-height: 1.5;
	color: #495057;
	content: "Dosya Seç";
	background-color: #e9ecef;
	border-left: inherit;
	border-radius: 0 .25rem .25rem 0;
	}
</style>
@endsection