@extends('backend.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Site Ayarları </h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Site Ayarları</li>
                </ol>
            </div>
        </div>
    </div>
</div>
  
   

<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Düzenle</h5>
    </div>
    <form method="post">
                                <div class="card-body">
                                    @if($setting->setting_type == 'input')
                                        <div class="mb-3">
                                            <label >{{$setting->setting_description}}</label>
                                            <input type="text" name="setting_value" value="{{$setting->setting_value}}"
                                                   class="form-control">
                                        </div>
                                    @elseif($setting->setting_type == 'textarea')
                                        <div class="mb-3">
                                            <label >{{$setting->setting_description}}</label>
                                            <textarea name="setting_value" value="{{$setting->setting_value}}"
                                                      class="form-control" id="" cols="30" rows="10"></textarea>
                                        </div>
                                    @else
                                        <div class="mb-3">
                                            <label >{{$setting->setting_description}}</label>
                                            <div class="input-group">
                                                <div class="custom-file">
                                                    <input type="file"
                                                           name="setting_value"
                                                           class="custom-file-input" id="customFile">
                                                    <label class="custom-file-label" for="customFile">Choose
                                                        file</label>
                                                </div>
                                            </div>
                                        </div>
                                    @endif

                                    <button id="settingsButton" type="button" class="btn btn-primary w-100">Kaydet</button>
                                </div>
                            </form>
                               
                            </div>
                        
@endsection

@section('js')



    <script>

        $("#settingsButton").click(function () {

            var url = "{{route("setting-edit",$setting->id)}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status == "success") {
                        toastr.success(response.content, response.title);
                    } else {
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>
@endsection

@section('css')

@endsection
