@extends('backend.app')
@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Siparis Detay</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Siparis Detay</li>
				</ol>
			</div>
		</div>
	</div>
</div>
<div class="row">
    <div class="col-lg-4">
	<div class="card border border-primary">
		<div class="card-header bg-transparent border-primary">
			<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Müşteri Bilgileri</h5>
		</div>
		<div class="card-body">
			<form>
				<div class="mb-3">
					<label  class="">Siparis Tarihi</label>
					<input id="tarih" type="date" disabled value="{{$siparis->created_at->format('Y-m-d')}}" class="form-control">
				</div>
				@php
				$mytime = Carbon\Carbon::now();
				@endphp
				<div class="mb-3">
					<label  class="">Müşteri Adı Soyadı</label>
					<input id="phone" type="text"  value="{{$customer->Ad_Soyad}}" class="form-control">
				</div>	
				<div class="mb-3">
					<label  class="">Telefon</label>
					<input id="phone" type="text"  value="{{$customer->Telefon}}" class="form-control">
				</div>	
				<div class="mb-3">
					<label  class="">Eposta</label>
					<input id="phone" type="text"  value="{{$customer->Eposta}}" class="form-control">
				</div>			
				<div class="mb-3">     
                    <label  class="">Adres</label>
                    <input id="adres" type="text" name="adres" value="{{$customer->Adres}}" disabled class="form-control">	
                </div>		    
                    <div class="mb-3">
					<label class="">Sipariş Durumu</label>
					<select class="form-control" name="durum" required>
						<option value="1"  {{$siparis->Durum==1?'selected':''}}>Beklemede</option>
						<option value="2"  {{$siparis->Durum==2?'selected':''}}>Dagıtıma Cıktı</option>
						<option value="3"  {{$siparis->Durum==3?'selected':''}}>  Tamamlandı </option>
						<option value="4"  {{$siparis->Durum==4?'selected':''}}>İptal</option>
					</select>
				</div>
				<div class="mb-3">
					<label class="">Ödeme Şekli</label>
					<select class="form-control" name="OdemeSekli" required>
						<option value="1" {{$siparis->OdemeSekli==1?"selected":""}} >Kredi Kartı  </option>
						<option value="2" {{$siparis->OdemeSekli==2?"selected":""}} >Havale  </option>
					</select>
				</div>
				<div class="mb-3">
					<label class="">Ödeme Durumu</label>
					<select class="form-control" name="OdemeDurumu" required>
						@if($siparis->OdemeDurumu==1){
						<option value="1"  selected>Tamamlandı </option>
						<option value="0" >Beklemede</option>
						}
						@else{
						<option value="0" selected>Beklemede</option>
						<option value="1"  >Tamamlandı </option>
						}
						@endif
					</select>
				</div>
				<div class="mb-3">
					<label  class="">Gönderim Tarihi</label>
					<input id="tarih" type="date" min="{{ $mytime->format('Y-m-d')}}" name="GonderimTarihi" value="{{$siparis->GonderimTarihi}}" class="form-control">
				</div>	
				<button  id="pageButton" type="button" class="btn btn-primary">Kaydet</button>
			
	</form>
</div>
</div>
</div>

	
		<div class="col-md-8 col-xl-8">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sipariş Bilgileri</h5>
                </div>
                <div class="card-body">
					<div class="table-responsive">
						<table  class="table table-hover" >
							<thead>
								<tr>
									<th scope="col" >Ürün Adı</th>
									<th scope="col"> Adet</th>
									<th scope="col">Fiyat</th>
									<th scope="col">Toplam Fiyat</th>
								</tr>
							</thead>
							<tbody>
								@php($count=0)
								@foreach($siparisdetay as $product)
								<tr role="row" class="odd"  >
									<td  style="width:25%">{{$product->Urun->product_title}}</td>
									<td style="width:25%">{{$product->Adet}}</td>
									<td  style="width:25%">{{number_format($product->Fiyat,2)}}</td>
									<td  style="width:25%">{{number_format(($product->Adet * $product->Fiyat ) ,2)  }}</td>
								</tr>
								@endforeach
                                <tr>
                                    <td class="thick-line"></td>
                                    <td class="thick-line"></td>
                                    <td class="thick-line text-end">
                                        <strong>Toplam  Tutar</strong>
                                    </td>
                                    <td class="thick-line text-end">{{number_format($siparis->GenelToplam,2)}} TL</td>
                                </tr>
                                <tr>
                                    <td class="thick-line"></td>
                                    <td class="thick-line"></td>
                                    <td class="thick-line text-end">
                                        <strong>İndirim Tutarı</strong>
                                    </td>
                                    <td class="thick-line text-end">{{number_format($siparis->İndirim,2)}} TL</td>
                                </tr>
                                <tr>
                                    <td class="thick-line"></td>
                                    <td class="thick-line"></td>
                                    <td class="thick-line text-end">
                                        <strong>Kargo</strong>
                                    </td>
                                    <td class="thick-line text-end">{{number_format($siparis->Kargo,2)}} TL</td>
                                </tr>
                                <tr>
                                    <td class="thick-line"></td>
                                    <td class="thick-line"></td>
                                    <td class="thick-line text-end">
                                        <strong>Ödenecek Tutar</strong>
                                    </td>
                                    <td class="thick-line text-end">{{number_format($siparis->ToplamTutar ,2)}} TL</td>
                                </tr>
							</tbody>
						</table>
					</div>
			</div>
        </div>
        <div class="card border border-primary">
            <div class="card-header bg-transparent border-primary">
                <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Diğer Siparişler</h5>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table  class="table  table-hover">
                        <thead>
                            <tr>
                                <th>Siparis Kodu</th>
                                <th>Müşteri Adı</th>
                                <th>Oluşturulma Tarihi</th>
                                <th>Toplam Tutar</th>
                                <th>İşlemler</th>
                            </tr>
                        </thead>
                        <tbody >
                            @foreach($siparisall as $sipariss)
                            <tr id="item-{{$sipariss->id}}">
                                <td class="sortable">{{$sipariss->SiparisNo}}</td>
                                <td>{{$sipariss->Musteri_Adi}}</td>
                                <td>{{$sipariss->created_at->format('Y-m-d')}}</td>
                                <td>{{number_format($sipariss->ToplamTutar,2)}}</td>
                                <td >
                                    <a href="{{route('siparis-edit',$sipariss->id)}}" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Gör/Düzenle</a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
        </div>
    </div>
	
	</div>

@endsection
@section('js')

<script>
	$("#pageButton").click(function () {
		var url = "{{route("siparis-edit",$siparis->id)}}";
		var form = new FormData($("form")[0]);
		$.ajax({
			type: "POST",
			url: url,
			data: form,
			processData: false,
			contentType: false,
			success: function (response) {
				if (response.status == "success") {
					toastr.success(response.content, response.title);
                    } else {
					toastr.error(response.content, response.title);
				}
			},
			error: function () {
			}
		});
	})
</script>
@endsection
@section('css')

@endsection