@extends('backend.app')
@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Siparisler</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Siparisler</li>
				</ol>
			</div>
		</div>
	</div>
</div>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <table id="siparisall" class="table table-bordered dt-responsive nowrap" >
                    <thead>
						<tr>
							<th>Sipariş Kodu</th>
							<th>Müşteri Ad Soyad</th>
							<th>Oluşturulma Tarihi</th>
							<th>Ödeme Tipi</th>
							<th>Tutar</th>
							<th>İşlemler</th>
							<th>İşlemler</th>
							<th>Kargo </th>
							<th>Yazdır</th>
							<th>Sipariş Durumu</th>
						</tr>
					</thead>
				</table>
			</div>
		</div>
	</div>
</div>
<div style="display:none">
	<div id="outprint">
        <div style="max-width:400px; padding:0 10px; margin:0 auto; margin-top: 0px;">
			<b style="display: block; border-bottom: 0.5px dashed black; text-align: center; font-size: 7px;">Sipariş Bilgisi</b>
			S.T. : <b><span class="cteslim"></span></b> <br>
			Sn. <span class="padsoyad"></span><br>
			Telefon : <b><span class="pphone"></span></b><br>
		</div>
	</div>
</div>
@endsection
@section('js')
<script>
	function deleteSiparis(r, id) {
		var list = r.parentNode.parentNode.rowIndex;
        Swal.fire({
        title: 'Silmek istediğinize emin misiniz?',
        text: "Sildiğinizde geri dönüşümü olmayacaktır!",
        icon: 'warning',
        icon: 'warning',
        showCancelButton: true,
        cancelButtonText: 'İptal',
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Evet, Sil!'
    }).then((result) => {
        if (result.isConfirmed) {
            $.ajax({
                type: "POST",
                url: '{{ route('siparis') }}',
                data: {
                    'id': id,
                    'delete': 'delete'
                },
                beforeSend: function () {
                    Swal.fire({
                        title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i>',
                        html: 'Siliniyor, lütfen bekleyiniz...',
                        showConfirmButton: false,
                        willOpen: () => {
                            Swal.showLoading();
                        }
                    });
                },
                success: function (response) {
					Swal.close();
                    if (response.status == 'success') {
                        document.getElementById('siparisall').deleteRow(list);
                        toastr.success(response.content, response.title);
                    } else {
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {
                    toastr.error("Bir hata oluştu. Lütfen tekrar deneyin.", "Hata");
                }
            });
        }
    });
	}
</script>
<script>
	function Durum(r, id, durum) {
		$.ajax
		({
			type: "Post",
			url: '{{route('siparis')}}',
			data: {
				'id': id,
				'Durum': durum
			},
			success: function (response) {
				if (response.status == 'success') {
					toastr.success("Sipariş Durumu Değiştirildi", "Sipariş Durumu");
					$(r).parent().children('td button').removeClass("btn-success");
					$(r).parent().children('td button').addClass("btn-primary");
					$(r).addClass("btn-success");
					$(r).removeClass("btn-primary");
                    } else {
					toastr.error("Sipariş Durumu Değiştirilemedi", "Sipariş Durumu");
				}
			}
		})
	}
</script>
<script>
	function kargoSiparis(r, id) {
	    $.ajax
		({
			type: "Post",
			url: '{{route('siparis')}}',
			data: {
				'id': id,
				'kargo': "kargo"
			},
			success: function (response) {
				console.log(response.status)
				if (response.status == 'success') {
					toastr.success(response.content, response.title);
                    } else {
					toastr.error(response.content, response.title);
				}
			}
		})
		return false;
	}
	function yazdir(e) {
        var baseUrl = "{{asset('/')}}";
	    window.open(
		baseUrl+"print/"+$(e).data('sipid'),
		"_blank",
		"width=1124px,height=768,scrollbars=1"
        );
        return false;
	}
</script>
<script>
	var  url= '{{route('siparis')}}';
	$('#siparisall').DataTable({
		"searchDelay": 400,
		"processing": true,
		"serverSide": true,
		"pageLength": 10,
		"lengthMenu": [
		[5, 10, 25, 50],
		['5', '10', '25', '50']
		],
		"ajax": {
            "url": url,
            "type": "POST",
            "data": {
				'tumsiparis': "siparisdata",
			}
		},
        columns: [
		{
			"data": "SiparisNo",
		},
		{
			"data": "Ad_Soyad"
		},
		{
			"data": "created_at"
		},
		{
			"data": function(row, type, set) {
				var data ='';
				if(row.OdemeSekli == 2 ){
					data="Havale";
					}else{
					data="Kredi Kartı";
				}
				return   data;
			}
		},
		{
			"data": "ToplamTutar"
		},
		{
			"data": function(row, type, set) {
				var dd="siparis/siparis-edit/"+row.id+"";
				var data='<a href="'+dd+'" class="btn btn-primary"><i class="fas fa-edit"></i>Gör/Düzenle</a>'
				return   data;
			}
		},
		{
			"data": function(row, type, set) {
				var data=' <button class="btn btn-danger" onclick="deleteSiparis(this,'+row.id+')"><i class="fas fa-trash-alt"></i>Sil</button>'
				return   data;
			}
		}, 
		{
			"data": function(row, type, set) {
				var data=' <button class="btn btn-success" >Kargo</button>'
				if(row.KargoKey ==null ){
					data=' <button class="btn btn-secondary" onclick="kargoSiparis(this,'+row.id+')">Kargo</button>'
				}
				return   data;
			}
		}, 
		{
			"data": function(row, type, set) {
				var data='<button class="btn btn-success" data-sipid="'+row.SiparisNo+'"   onclick="yazdir(this)">Yazdır</button>';
				return   data;
			}
		},
		{
			"data": function(row, type, set) {
				var data ='';
				if(row.Durum == 1 ){
					data+='<button title="Beklemede"     class="btn btn-success" onclick="Durum(this,'+row.id+',1)"><i class="fas fa-stop"></i></button>'
					data+='<button title="Kargoya Verildi"       class="btn btn-primary" onclick="Durum(this,'+row.id+',2)"><i class="fas fa-truck"></i></button>';
					data+='<button title="Teslim Edildi" class="btn btn-primary" onclick="Durum(this,'+row.id+',3)"><i class="fas fa-check"></i></button>';									
					data+='<button title="İptal Edildi"     class="btn btn-primary" onclick="Durum(this,'+row.id+',4)"><i class="fas fa-window-close"></i></button>';	 
					}else if(row.Durum == 2){
					data+='<button title="Beklemede"     class="btn btn-primary" onclick="Durum(this,'+row.id+',1)"><i class="fas fa-stop"></i></button>'
					data+='<button title="Kargoya Verildi"       class="btn btn-success" onclick="Durum(this,'+row.id+',2)"><i class="fas fa-truck"></i></button>';
					data+='<button title="Teslim Edildi" class="btn btn-primary" onclick="Durum(this,'+row.id+',3)"><i class="fas fa-check"></i></button>';									
					data+='<button title="İptal Edildi"  class="btn btn-primary" onclick="Durum(this,'+row.id+',4)"><i class="fas fa-window-close"></i></button>';
					}else if(row.Durum == 3){
					data+='<button title="Beklemede"     class="btn btn-primary" onclick="Durum(this,'+row.id+',1)"><i class="fas fa-stop"></i></button>'
					data+='<button title="Kargoya Verildi"       class="btn btn-primary" onclick="Durum(this,'+row.id+',2)"><i class="fas fa-truck"></i></button>';
					data+='<button title="Teslim Edildi" class="btn btn-success" onclick="Durum(this,'+row.id+',3)"><i class="fas fa-check"></i></button>';									
					data+='<button title="İptal Edildi"  class="btn btn-primary" onclick="Durum(this,'+row.id+',4)"><i class="fas fa-window-close"></i></button>';
					}else if(row.Durum == 4){
					data+='<button title="Beklemede"     class="btn btn-primary" onclick="Durum(this,'+row.id+',1)"><i class="fas fa-stop"></i></button>'
					data+='<button title="Kargoya Verildi"       class="btn btn-primary" onclick="Durum(this,'+row.id+',2)"><i class="fas fa-truck"></i></button>';
					data+='<button title="Teslim Edildi" class="btn btn-primary" onclick="Durum(this,'+row.id+',3)"><i class="fas fa-check"></i></button>';									
					data+='<button title="İptal Edildi"  class="btn btn-success" onclick="Durum(this,'+row.id+',4)"><i class="fas fa-window-close"></i></button>';
				}
				return   data;
			}
		}
		],
		createdRow: function( row, data, dataIndex ) {
			$(row).addClass( 'bg-'+data.OdemeSekli  );
		},
	});
</script>
@endsection
@section('css')
@endsection