@extends('backend.app')

@section('content')

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Slider Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Slider Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Slider</h5>
    </div>

    <div class="card-body">

        <form method="post">                  

        <div class="row mb-3">
    <div class="col-sm-6">
    <center><img id="coverImageShow" src="{{$slider->slider_image}}"  height="250px"></center>
    </div>
    <div class="col-sm-6">
    <center><img id="coverImageShowMobil" src="{{$slider->slider_mobil_image}}"   height="250px" ></center>
    </div>
</div>
        <ul class="nav nav-pills nav-justified mb-3" role="tablist">
    <?php $lang_index = 0;?>
    @foreach(Helper::Locales() as $key=>$value)
        <li class="nav-item waves-effect waves-light locale" >
            <a class="nav-link {{ $lang_index == 0 ? 'active' : '' }}" data-lang="{{ $key }}" data-bs-toggle="tab" href="#lang-{{ $key }}" role="tab">
                <span class="d-none d-md-block">{{ $value }}</span><span class="d-block d-md-none"><i class="mdi mdi-home-variant h5"></i></span> 
            </a>
        </li>
        <?php $lang_index ++;?>

        @endforeach
        
    </ul>
        
        <div class="mb-3">
        <label>Slider Resim</label>
        
                <input id="coverImage" type="file" name="slider_image" class="form-control" >
          
    </div>

    <div class="mb-3">
        <label>Slider Mobil Resim</label>
       
                <input id="coverImageMobil" type="file" name="slider_mobil_image" class="form-control">
           
    </div>

    
    <div class="tab-content">
    <?php $lang_index = 0;?>
                @foreach(Helper::Locales() as $key=>$value)
        <div class="tab-pane {{ $lang_index == 0 ? 'active' : '' }} " id="lang-{{ $key }}" role="tabpanel">

        <div class="mb-3">
            <label>Slider Başlık</label>
            <input type="text"name="slider_name_{{ $key }}" value="{{$slider->translate($key)->slider_name}}" class="form-control" placeholder="Slider Başlık Yazınız">
        </div>
        <div class="mb-3">
            <label>Slider Detay</label>
            <input type="text"name="slider_detail_{{ $key }}" value="{{$slider->translate($key)->slider_detail}}" class="form-control" placeholder="Slider Detay Yazınız">
        </div>
                     
                    <?php $lang_index ++;?>
                    </div>
                @endforeach
            </div>
      

        <div class="mb-3">
            <label>Slider Yönlendirme</label>
            <input type="text" name="slider_url" value="{{$slider->slider_url}}" class="form-control" placeholder="Slider Yönlendirme Link">
        </div>
        <div class="mb-3">
            <label>Ürün Seçiniz</label>
           <select required class="form-control select2" style="width: 100%;" name="Urun_Id">
                    <option value="{{$slider->Urun_Id}}" selected ></option>
                    @foreach($Urun as $Uruns)
                        <option value="{{$Uruns->id}}" {{$slider->Urun_Id==$Uruns->id?"selected":""}}>{{$Uruns->product_title}}</option>
                    @endforeach
                </select>
        </div>
        
        
        
        
        <div class="mb-3">
            <label for="">Slider Durumu</label>
            <div class="square-switch">
                <input type="checkbox" name="slider_status" {{$slider->slider_status == 'on' ? 'checked' : ' '}} id="square-switch1" switch="none"
                checked>
                <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
            </div>

        </div>
        <button id="slidersButton" type="button" class="btn btn-primary">Kaydet</button>
        
</form>
    </div>

       
   
    </div>

@endsection


@section('js')

    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
 <script>
        $("#coverImageMobil").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShowMobil').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
    <script>

        $("#slidersButton").click(function () {

            var url = "{{route("slider-edit",$slider->id)}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>

@endsection

@section('css')
<style>
    #coverImageShow{object-fit: cover;}
</style>
@endsection
