@extends('backend.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Slider</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Slider</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <table id="datatable" class="table table-bordered dt-responsive nowrap">
                    <thead>
                        <tr>
                            <th>Sıra</th>
                            <th>Slider Resim</th>
                            <th>Slider Başlık</th>
                            <th>Yayınlanma Tarihi</th>
                            <th>İşlemler</th>
                            <th>İşlemler</th>
                            <th>İşlemler</th>
                        </tr>
                        </thead>
                        <tbody id="sortable">
                            @foreach($sliders as $slider)
                                <tr id="item-{{$slider->id}}">
                                    <td class="sortable">{{$slider->sort}}</td>
                                <td><img width="170" src="{{$slider->slider_image}}" ></td>
                                <td>{{$slider->slider_name}}</td>
                                <td>{{$slider->created_at}}</td>
                                <td>
                                    <a href="{{route('slider-edit',$slider->id)}}" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
                                  
                                </td>
                                <td>
                                    <button class="btn btn-danger" onclick="deleteSlider(this,'{{$slider->id}}')"><i class="fas fa-trash-alt"></i>&nbsp;Sil</button>

                                </td>
                                <td>
                                    @if($slider->slider_status == 'on')
                                        <button class="btn btn-success" onclick="sliderStatus(this,'{{$slider->id}}','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                    @else
                                        <button class="btn btn-danger" onclick="sliderStatus(this,'{{$slider->id}}','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>

                    </table>
            </div>
        </div>
    </div>
</div>



@endsection

@section('js')
   
    <script>
        function deleteSlider(r, id) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Sildiğinizde geri dönüşümü olmayacaktır!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '{{route('sliders')}}',
                        data: {
                            'id': id,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('datatable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }

        function sliderStatus(r, id, slider_status) {
            $.ajax
            ({
                type: "Post",
                url: '{{route('sliders')}}',
                data: {
                    'id': id,
                    'slider_status': slider_status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },5000);
                    } else {
                        toastr.error(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },5000);
                    }
                }

            })

        }

        $(function () {
            $('#sortable').sortable({
                revert: true,
                handle: ".sortable",
                stop: function (event, ui) {
                    var data = $(this).sortable('serialize');
                   
                    $.ajax({
                        type: "POST",
                        data: data,
                        url: "{{route('sliders')}}",
                        success: function (response) {
                            if (response.status == "success") {
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }
                    });

                }
            });
            $('#sortable').disableSelection();
        });
    </script>

@endsection

@section('css')

@endsection
