@extends('backend.app')

@section('content')

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Sms Düzenle</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Sms Düzenle</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
            <form method="post">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card card-primary">
                                <div class="card-header">
                                    <h3 class="card-title">Sms Düzenle</h3>
                                </div>
                                <form method="post">

                                    <div class="card-body">

                                        <div class="form-group">
                                            <label> Sms Baslik</label>
                                            <input name="Baslik" type="text" class="form-control" value="{{$sms_sablon->Baslik}}"
                                                   placeholder="Baslik Yazınız">
                                        </div>

										<div class="form-group">
                                            <label>Sms Detay</label>
                                            <input name="Sms" type="text" value="{{$sms_sablon->Sms}}" class="form-control"
                                                   placeholder="Sms Yazınız">
                                        </div>
                                    </div>

                                    <div class="card-footer">
                                        <button id="smsButton" type="button" class="btn btn-primary">Kaydet</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </section>
    </div>

@endsection

@section('js')


    <script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>

    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        });
    </script>

<script>

$("#smsButton").click(function () {

    var url = "{{route("sms-template-edit",$sms_sablon->id)}}";
    var form = new FormData($("form")[0]);

    $.ajax({
        type: "POST",
        url: url,
        data: form,
        processData: false,
        contentType: false,

        success: function (response) {
            if (response.status=="success"){
                toastr.success(response.content, response.title);
            }
            else{
                toastr.error(response.content, response.title);
            }
        },
        error: function () {

        }
    });
})
</script>




@endsection

@section('css')
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
@endsection
