@extends('layouts.app')
@section('title', __('system.Adres Ekle'))
@section('canonical', Request::url())
@section('content')

<div class="page-header bg-gray">
    <div class="container">
        <ul class="breadcrumb">
        <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a></li>
            <li><a href="{{route('adres-ekle')}}"> {{__('system.Adres Ekle')}}</a></li>
        </ul>
    </div>
</div>
<div class="auth-page">
    <div class="container">
        
        <div class="auth-page-content">
            <div class="auth-page-content-details">
                <div class="page-menu">
                    <div class="menu">
                        <ul>
						<li  ><a href="{{route('hesabim')}}">{{__('system.Hesap Bilgilerim')}}</a></li>
                        <li><a href="{{route('adres-bilgilerim')}}"> {{__('system.Adres Bilgilerim')}} </a></li>
                        <li  ><a href="{{route('siparislerim')}}">{{__('system.Siparişlerim')}}</a></li>
                        <li  ><a href="{{route('quit')}}">{{__('system.Çıkış Yap')}}</a></li>
                        </ul>
                    </div>
                </div>
                <div class="details">
                    <div class="form-content">
                        <h2>Adres Ekle</h2>
                        <p>
                            Bu sayfada yapacağınız adres değişiklikleri, daha önce vermiş olduğunuz siparişleri etkilemez.
                            Adres değişikliği için aşağıdaki bilgileri güncelleyebilirsiniz.
                        </p>
                    
						<form class="form " action="{{route('adreseklepost')}}" method="POST">
					@csrf

					<div class="input ">
							
							<input type="text"  class="input-item " required name="Ad_Soyad" placeholder="Adınız ve Soyadınız">
						  
						</div>
					<div class="input ">
							
                       		 <input type="text"  class="input-item " required  data-mask="99999999999" name="Tc" placeholder="TC Kimlik Numaranız">
                              
                            </div>

							<div class="input ">
							
							<input type="text"  class="input-item " data-mask="0(999) 999 9999"  required name="Telefon" placeholder="Telefon Numaranız">
						  
						</div>
						<div class="input ">
							
							<input type="email"  class="input-item " required name="Eposta" placeholder="E-posta Adresiniz">
						  
						</div>

                            <div class="input  w-100">
							
                       		 <input type="text"  class="input-item " required name="Baslik" placeholder="Adres Tanımı">
                              
                            </div>
                           

                            <div class="input" >
							<select class="input-item" name="sehir" aria-label=".form-select-lg example" required>
						  <option disabled  selected>Şehir</option>
						  @foreach($sehirlist as $item)
						  <option value="{{$item->id}}">{{$item->il_adi}}</option>
						  @endforeach
						</select>
                               
                            </div>
                            <div class="input">
                                <select class="input-item" name="ilce" aria-label=".form-select-lg example" required>
								
						  <option disabled  selected>ilçe</option>
						 
						</select>
                            </div>
							<div class="input">
                                <select class="input-item" name="mahalle" aria-label=".form-select-lg example" required>
								
						  <option disabled  selected>Semt/Mahalle</option>
						 
						</select>
                            </div>
							<div class="input ">
							
                       		 <input type="text"  class="input-item " name="Posta_Kodu" placeholder="Posta Kodu" required>
                              
                            </div>
                            <div class="input w-100">
                                <input type="text" class="input-item" name="Adres" placeholder="Adres" required>
                            </div>
							<div class="input d-flex align-items-center  w-100 mt-3">
							<label class="switch">
							<input type="checkbox">
							<span class="slider round"></span>
								</label>
							<d>Kurumsal Müşteri</d>
							</div>

					<div class="w-100 kurumsal  my-3">
					<div class="w-100  d-md-flex align-items-center justufiy-content-between gap-3">
							<div class="input w-33">
                                <input type="text" class="input-item" name="Firma_Unvani" placeholder="Firma Ünvanı">
                            </div>
							<div class="input w-33">
                                <input type="text" class="input-item" name="Vergi_Dairesi" placeholder="Vergi Dairesi">
                            </div>
							<div class="input w-33">
                                <input type="text" class="input-item" name="Vergi_No" placeholder="Vergi Numaranız">
                            </div>

						</div>
						</div>
                            <div class="button mt-3">
							<button type="submit " class="submit-btn">Ekle</button>
                              
                            </div>
						</form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection



@section('js')

<script src="//cdnjs.cloudflare.com/ajax/libs/jasny-bootstrap/3.1.3/js/jasny-bootstrap.min.js"></script>

<script type="text/javascript">
				$("input[type=checkbox]").click(function () {
	var values= $("input[type=checkbox]").prop('checked');
	if(values){
		$('.kurumsal').show();
	}else{
	$('.kurumsal').hide();
	
	}
});
	
				$(function(){
					 var urlx = "{{route("ajax-get")}}";
					$('select[name="sehir"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('select[name="ilce"]').empty();
					
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'ilcegetir': 'ilcegetir'
                        },
							

							success: function (data) {
								
								
								$('select[name="ilce"]').append('<option value="0" disabled  selected>ilçe / Semt </option>');
								$.each(data, function(index, ilce){
								$('select[name="ilce"]').append('<option value="'+ ilce.id +'">'+ ilce.ilce_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>

<script type="text/javascript">
				
				$(function(){
					 var urlx = "{{route("ajax-get")}}";
					$('select[name="ilce"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('select[name="mahalle"]').empty();
					
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'mahallegetir': 'mahallegetir'
                        },
							

							success: function (data) {
								
								
								$('select[name="mahalle"]').append('<option value="0" disabled  selected>Semt/Mahalle </option>');
								$.each(data, function(index, mahalle){
								$('select[name="mahalle"]').append('<option value="'+ mahalle.id +'">'+ mahalle.mahalle_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>
@endsection