@extends('layouts.app')
@section('title', __('system.Arama Sonuçları'))
@section('canonical', Request::url())
@section('keywords', __('system.Arama Sonuçları'))
@section('description', __('system.Arama Sonuçları'))
@section('content')


@php
 $banner = "/frontend/assets/images/headers/sut-urunleri.png";


@endphp

<div class="page-header">
    <div class="container">
        <ul class="breadcrumb">
          	<li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a></li>
            <li><a href="{{Request::url()}}"> {{__('system.Arama Sonuçları')}}</a></li>
        </ul>

        <div class="page-cover">
            <h1 class="page-title">{{__('system.Arama Sonuçları')}}</h1>
			 @foreach(Helper::PageGaleri(43) as $item)
              
				<picture>
							<source media="(min-width: 1200px)" srcset="{{$item->page_image}}">
							<source media="(max-width: 1200px)" srcset="/{{$item->file}}">
							<img src="{{$item->page_image}}" alt="{{__('system.Arama Sonuçları')}}"  loading="lazy">
						</picture>
                  
                
				@endforeach
           
        </div>
    </div>
</div>


<div class="page-detailsd ">
    <div class="container">
        <div class="category-details">
           
            <div class="page-content w-100">
                
                <div class="products-container filter-products">
                   @foreach($urun as $index =>$item)
                   <div class="product-item filter-product" data-count="{{Helper::coksatan($item->id)}}" data-gramaj="{{str_contains($item->Gramaj, 'gr')==1?str_replace(' gr','',$item->Gramaj ):str_replace(' Kg','000',$item->Gramaj )}}" data-fiyat="{{$item->fiyat}}" data-new="{{$item->id}}">
                            <div class="image">
                                <div class="tags">
                               
                                @if($item->UrunİndirimOranı>0)
                                    <span class="tag tag-discount">İndirimde</span>
                                    @endif
                                    <span class="tag tag-fast-shipping">Anında Kargo</span>
                                </div>
                                <span class="add-favorite {{ Helper::favori($item->id) }} " data-url="{{route('favorite-add')}}" data-val="{{$item->id}}" data-id="{{$item->id}}">
                                    <i class="fas fa-heart"></i>
                                </span>
                                <a href="/{{Config::get('app.locale')}}/{{$item->translate(Config::get('app.locale'))->product_slug}}">
                                    <img src="{{$item->product_image}}" alt="{{Str::lower($item->translate(Config::get('app.locale'))->product_title)}}">
                                </a>
                            </div>
                            <div class="content">
                                <div class="meta">
                                    <div class="stars star-{{ Helper::UrunYildiz($item->id) }}">
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                    </div>
                                    <div class="point">{{ Helper::UrunYildiz($item->id) }} Puan</div>
                                    <div class="comments">{{ Helper::UrunYorum($item->id) }} Yorum</div>
                                </div>
                                <a href="/{{Config::get('app.locale')}}/{{$item->translate(Config::get('app.locale'))->product_slug}}" class="brand">Cebel</a>
                                <a href="/{{Config::get('app.locale')}}/{{$item->translate(Config::get('app.locale'))->product_slug}}" class="title">{{$item->translate(Config::get('app.locale'))->product_title}}</a>
                                <div class="price-wrapper">
                                    <div class="amount">
                                     @php
								$array = explode("." , $item->fiyat);
								$indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
							
								@endphp
                                        @if($item->UrunİndirimOranı>0)
                                        <div class="discount-wrapper">
										
                                            <div class="rate">%{{$item->UrunİndirimOranı}}</div>
                                            <div class="off-price">{{$item->fiyat}}</div>
                                        </div>
										@endif
                                        <div class="price">
                                            {{$indirimlifiyat}} TL
                                        </div>
                                    </div>
                                    <div class="action">
                                        <span class="add-basket" data-url="{{route('cart-add',$item->id)}}" data-val="{{$item->id}}">Sepete Ekle</span>
                                    </div>
                                </div>
                            </div>
                        </div>
	@endforeach		
                </div>

            </div>
        </div>

        <section class="main-banner-2">
		
            <div class="container">
			@foreach(Helper::PageGaleri(39) as $item)
                <a href="/{{$item->page_slug}}">
				<picture>
							<source media="(min-width: 1200px)" srcset="{{$item->page_image}}">
							<source media="(max-width: 1200px)" srcset="/{{$item->file}}">
							<img src="{{$item->page_image}}" alt="sanal kahvalti"  loading="lazy">
						</picture>
                  
                </a>
				@endforeach
            </div>
			
        </section>

        <section class="main-widgets">
            <div class="container">
                <div class="widgets-container">
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/verified.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Güvenli Alışveriş</p>
                            <p class="description">
                                SSL Sertifikası ve 3D ödeme ile alışverişleriniz güvenle gerçekleşir.
                            </p>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/truck.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Ücretsiz Kargo</p>
                            <p class="description">
                                {{__('system.urun detay kargo')}} {{Str::lower(__('system.kargo ucretsiz'))}}.
                            </p>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/package.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Özenli Paketleme</p>
                            <p class="description">
                                Ürünleriniz taşıma esnasında zarar görmeyecek şekilde özenle paketlenir.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
@endsection

