@extends('layouts.app')
@section('title', "Beğendiklerim")
@section('content')
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li>{{__('system.Siparişlerim')}}</li>
                </ul>
    </section>

    <section class=" account-page">
    <div class="c-container">
        <div class="page-container">
            <div class="sidebar">
			<div class="account-name"> 
			 <i class="demo-icon icon-user">&#xe80b;</i>
				<p class="username"> <span>Merhaba,</span> {{Helper::Bayii()}} </p>
			</div>
                <ul>
                    <li><a href="{{route('hesabim')}}">Üyelik Bilgilerim</a></li>
                    <li><a href="{{route('adres-bilgilerim')}}">Adreslerim</a></li>
                    <li><a href="{{route('siparislerim')}}">{{__('system.Siparişlerim')}}</a></li>
                    <li class="active"><a href="{{route('favori')}}">Beğendiklerim</a></li>
                    <li><a href="{{route('quit')}}">{{__('system.Çıkış Yap')}}</a></li>


                </ul>
            </div>
<div class="content">
    <div class="page-header">
        
        <h1 class="page-title">Beğendiklerim
</h1>
<p>Beğendiğiniz ürünlere buradan ulaşabilir, ürün durumu uygunsa tekrar sipariş verebilirsiniz.</p>
           </div>
    <div class="page-body">
        <div class="categori-list">
        <div class="row">
            @foreach($favori as $index =>$item)
            @php
            $array = explode("." , $item->Urun->fiyat);
            $indirimlifiyat =number_format( $item->Urun->fiyat -  (($item->Urun->fiyat * $item->Urun->UrunİndirimOranı )/100),2);
        
            @endphp
        <div class="product product-sablon" >
                        <div class="image-container">
                            @if($item->Urun->YeniUrun=='On')
                        <div class="new-product-title">YENİ ÜRÜN</div>
                        @endif
                        <img class="img-fluid" src="{{$item->Urun->product_image}}" alt="{{$item->Urun->product_title}}">
                            <div class="right">
                                <span class="add-favorite {{ Helper::favori($item->Urun->id) }} " data-url="{{route('favorite-add')}}" data-val="{{$item->Urun->id}}">
                                    <i class="demo-icon icon-heart-regular"></i>
                                 </span>
                              
                                <span class="add-basket" data-url="{{route('cart-add',$item->Urun->id)}}" data-val="{{$item->Urun->id}}">
                                <i class="demo-icon icon-basket">&#xe800;</i>
                                    </span>
                                
                                
                                </div>
                        </div>
                        <div class="content">
                            <div class="left">
                            
                                <h4>{{$item->Urun->product_title}}</h4>
                                <p>{{$item->Urun->product_title_2}}</p>
                                <div class="price">
                                    <div class="amount">{{$indirimlifiyat}} TL</div>
                                    @if($item->Urun->UrunİndirimOranı>0)
                                    <div class="right">
                                        <span>%{{$item->Urun->UrunİndirimOranı}} İNDİRİM</span>
                                        <div class="discount-price">{{$item->Urun->fiyat}} TL</div>
                                    </div>
                                    @endif
                                </div>
                            </div>
                            
                        </div>
                    </a>
                    </div>
        @endforeach

        </div>
        </div>
    </div>
</div>
</div>
</div>
</section>

    
@endsection

@section('js')

<script>
    $(".add-basket").click(function () {
    
    var val= $(this).data('val');
    var url =$(this).data('url');
    $.ajax({
        type: "POST",
        url: url,
        data: { 
            
            "adet": 1,
            "id":val
              },
        
        success: function (response) {
            if (response.status=="success"){
                
                $(".sepet_adet span").text(response.count +" TL");
                $(".sepet_toplam_fiyat").text(response.amount +" TL");
                toastr.success("{{__('system.Ürün sepete eklendi')}}");
                window.location.reload();
            }
            else{
                toastr.error("{{__('system.Ürün sepete eklenemedi')}}");
            }
        },
        error: function () {
    
        }
    });
    
    return false;
    });
    $(".add-favorite").click(function () {
            var id = $(this).data("val");
            var url = $(this).data("url");
            var self = $(this);
            $.ajax({
                type: "POST",
                url: url,
                data: {
                    id: id,
                },
    
                success: function(response) {
                    if (response.status == "success") {
                       self.closest('.product').remove();
                        toastr.success(response.content);
                    } else {
                        toastr.warning("Lütfen önce hesabınıza giriş yapın");
                    }
                },
                error: function() {},
            });
    
            return false;
        });
    
    </script>
@endsection