
@extends('layouts.app')
@section('title', __('system.Hesap Bilgilerim'))
@section('canonical', Request::url())
@section('content')

<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li>{{__('system.Hesap Bilgilerim')}}</li>
                </ul>
    </section>

    <section class=" account-page">
    <div class="c-container">
        <div class="page-container">
            <div class="sidebar">
			<div class="account-name"> 
			 <i class="demo-icon icon-user">&#xe80b;</i>
				<p class="username"> <span>Merhaba,</span> {{Helper::Bayii()}} </p>
			</div>
                <ul>
                    <li class="active" ><a href="{{route('hesabim')}}">Üyelik Bilgilerim</a></li>
                    <li><a href="{{route('adres-bilgilerim')}}">Adreslerim</a></li>
                    <li  ><a href="{{route('siparislerim')}}">{{__('system.Siparişlerim')}}</a></li>
                    <li  ><a href="{{route('favori')}}">Beğendiklerim</a></li>
                    <li  ><a href="{{route('quit')}}">{{__('system.Çıkış Yap')}}</a></li>


                </ul>
            </div>
            <div class="content">
                <div class="page-header">
                    
                    <h1 class="page-title">Hesap Bilgilerim</h1>
					<p>Kişisel bilgilerinizi, şifrenizi ve iletişim bilgilerinizi bu alandan düzenleyebilir veya güncelleyebilirsiniz.</p>
                </div>
                <div class="page-body">
                    <div class="account-setting-form">
                        <form class="form"  action="{{route('hesabimpost')}}"  method="post">
                            @csrf
						 <h6 class="w-100">Kişisel Bilgiler</h6>
						 <div class="form-content">
                            <div class="w-50">
							<span>Ad</span>
                                <input type="text" value="{{$bayii->bayi_name}}" name="bayi_name" placeholder="Adınız" minlength="2" required>
                               
                            </div>
                            <div class="w-50">
							<span>Soyad</span>
                                <input type="text" value="{{$bayii->bayi_surname}}" name="bayi_surname" placeholder="Soyadınız" minlength="2" required>
                              
                            </div>
                            <div class="w-50">
								<span>Doğum Tarihi</span>
                                <input type="date" name="dt" value="{{$bayii->dt}}"  placeholder="1970-01-01"  >
                                
                            </div>
							 <div class="w-50 male">
								<span>Cinsiyet</span>
                               <div class="d-flex align-items-center ">
				     <input type="radio" value="1" id="tab1" name="male"  {{$bayii->cinsiyet==1?"checked":""}}>
					<label for="tab1">Kadın</label>

						<input type="radio" value="2" id="tab2" name="male" {{$bayii->cinsiyet==2?"checked":""}}>
						<label for="tab2">Erkek</label></div>
                            </div>
						</div>
							 <h6 class="w-100">İletişim Bilgileri</h6>
							  <div class="form-content">
							 <div class="w-100">
							  <span> Telefon Numarası </span>
                                <input type="tel" placeholder="Telefon Numarası"  data-mask="0(999) 999 9999" name="phone" value="{{$bayii->phone}}" minlength="10" maxlength="12" required>
                               
                            </div>
							 <div class="w-100">
							  <span> E-Posta Adresi </span>
                                <input type="email" value="{{$bayii->email}}" name="email" placeholder="E-Posta Adresi"  required>
                               
                            </div>
                            </div>
							
							 <h6 class="w-100">Şifre Değişikliği</h6>
							 <div class="form-content">
                            <div class="w-100">
							 <span>Mevcut Şifre</span>
                                <input type="password" name="password"  placeholder="" >
                               
                            </div> 
							<p class="w-100">Güvenliğiniz için adınız, soyadınız ve doğum tarihinizi içermeyen bir şifre belirleyin.</p>
							 <div class="w-100">
							 <span>Yeni  Şifre</span>
                                <input type="password" name="newpassword"  placeholder="" >
                               
                            </div>
							 <div class="w-100">
							 <span>Yeni Şifrenizi Doğrulayın</span>
                                <input type="password" id="confirm-password" oninput="this.setCustomValidity(this.value != document.getElementById('password').value ? 'Şifreler eşleşmiyor.' : '')"  placeholder="" >
                               
                            </div>
                            </div>
							 
                            <div class="button">
                                <button type="submit" class="g-btn">Değişiklikleri Kaydet</button>
                               
                            </div>
                        </form>
                  
                </div>
            </div>
        </div>
    </div>
</section>



@endsection
@section("js")
</div>
@if (\Session::has('success'))
<script>
    toastr.success("{!! \Session::get('success') !!}");
</script>

@endif

@endsection