@extends('layouts.app')
@section('title', $ustkategori->category_name)
@section('canonical', Request::url())
@section('keywords', $ustkategori->category_name)
@section('description', $ustkategori->category_name)
@section('image', $ustkategori->category_image)
@section('content')


<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li>{{$ustkategori->category_name}}</li>
    </ul>
</section>

<section class="categori-top">
    <div class="c-container">
        <div class="d-flex align-items-center justify-content-between">
            <div class="categori-title">
                <h1>Duvar Aksesuarları</h1>
            </div>

            <div class="categori-count-short">
            <span class="categori-count">Toplam {{$urun->count()}} ürün</span>
                <div class="per-page d-flex align-items-center gap-2">
                    <span>Her sayfada:</span>
                    <div class="page-per ">
                        <h5 class="d-flex align-items-center justify-content-between">
                        <span>12</span><i class="demo-icon icon-chevron-down-solid">&#xe835;</i></h5>
                        <ul class="listele" onclick="updatePerPage(event)" method="GET" action="">
                            <li data-value="12">12</li>
                            <li data-value="24">24</li>
                            <li data-value="48">48</li>
                        </ul>
                    </div>
                </div>
                <div class="sort ">
                    <h5 class="d-flex align-items-center justify-content-between"><span>Sıralama</span> <i class="demo-icon icon-chevron-down-solid">&#xe835;</i> </h5>
                    <ul class="listele list">
                        <li data-value="1">Önce En Düşük Fiyat</li>
                        <li data-value="2">Önce En Yüksek Fiyat</li>
                        <li data-value="3">Çok Satanlar</li>
                        <li data-value="4">İndirim Oranına Göre</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="categori-list">
    <div class="c-container">
    <div class="row">
    <div class="col-xl-3">
    <div class="bg-white">
    <h2>Duvar Saatleri</h2>
    <div class="shape">
<div>Ürün Şekli</div>
<ul id="group">
<li data-shape="Kare" ><label ></label>Kare</li>
<li data-shape="Dikdörtgen" ><label ></label>Dikdörtgen</li>
<li data-shape="Elips" ><label ></label>Elips</li>
<li data-shape="Yuvarlak" ><label ></label>Yuvarlak</li>
<li data-shape="Asimetrik" ><label ></label>Asimetrik</li>
</ul>
    </div>
    <div class="count-slider">
      <label for="priceRange">Fiyat Aralığı</label>
        <span id="priceRangeVal">0 TL - 10.000 TL</span>
      <div id="priceRange"></div>

    </div>
    </div>
    </div>
        <div class="col-xl-9">
            <div class="row">
                @foreach($urun as $index =>$item)
                @php
                $array = explode("." , $item->fiyat);
                $indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
            
                @endphp
               <div class="product product-sablon" data-fiyat="{{$indirimlifiyat}}" data-shape="{{$item->Sekli}}" data-count="{{Helper::coksatan($item->id)}}" >
                <a href="/{{$item->product_slug}}" data-indirim="{{$item->UrunİndirimOranı}}" title="{{$item->product_title}}">
                            <div class="image-container">
                                @if($item->YeniUrun=='On')
                            <div class="new-product-title">YENİ ÜRÜN</div>
                            @endif
                            <img class="img-fluid" src="{{$item->product_image}}" alt="{{$item->product_title}}">
                                <div class="right">
                                    <span class="add-favorite {{ Helper::favori($item->id) }} " data-url="{{route('favorite-add')}}" data-val="{{$item->id}}">
                                        <i class="demo-icon icon-heart-regular"></i>
                                     </span>
                                  
                                    <span class="add-basket" data-url="{{route('cart-add',$item->id)}}" data-val="{{$item->id}}">
                                    <i class="demo-icon icon-basket">&#xe800;</i>
                                        </span>
                                    
                                    
                                    </div>
                            </div>
                            <div class="content">
                                <div class="left">
                                
                                    <h4>{{$item->product_title}}</h4>
                                    <p>{{$item->product_title_2}}</p>
                                    <div class="price">
                                        <div class="amount">{{$indirimlifiyat}} TL</div>
                                        @if($item->UrunİndirimOranı>0)
                                        <div class="right">
                                            <span>%{{$item->UrunİndirimOranı}} İNDİRİM</span>
                                            <div class="discount-price">{{$item->fiyat}} TL</div>
                                        </div>
                                        @endif
                                    </div>
                                </div>
                                
                            </div>
                        </a>
                        </div>
@endforeach

            

            
        
            </div>
    </div>
</div>
</div>
</section>

<section class="categori-detay">
    <div class="c-container">
        {!!$ustkategori->category_detail!!}
    </div>
    </section>
    <section class="categori-etiket">
    <div class="c-container">
    <div class="border">
    <h2>Etiketler</h2>
    <ul class="d-flex align-items-center flex-wrap gap-2">
    <li>saat</li>
    <li>dekoratif</li>
    <li>trend</li>
    <li>zarif</li>
    <li>stil</li>
    </ul>
    </div>
    </div>
    </section>


@endsection
@section('js')


<script>
    $(".add-basket").click(function () {
    
    var val= $(this).data('val');
    var url =$(this).data('url');
    $.ajax({
        type: "POST",
        url: url,
        data: { 
            
            "adet": 1,
            "id":val
              },
        
        success: function (response) {
            if (response.status=="success"){
                
                $(".sepet_adet span").text(response.count +" TL");
                $(".sepet_toplam_fiyat").text(response.amount +" TL");
                toastr.success("{{__('system.Ürün sepete eklendi')}}");
                window.location.reload();
            }
            else{
                toastr.error("{{__('system.Ürün sepete eklenemedi')}}");
            }
        },
        error: function () {
    
        }
    });
    
    return false;
    });
    $(".add-favorite").click(function () {
            var id = $(this).data("val");
            var url = $(this).data("url");
            var self = $(this);
            $.ajax({
                type: "POST",
                url: url,
                data: {
                    id: id,
                },
    
                success: function(response) {
                    if (response.status == "success") {
                        self.toggleClass("added");
                        toastr.success(response.content);
                    } else {
                        toastr.warning("Lütfen önce hesabınıza giriş yapın");
                    }
                },
                error: function() {},
            });
    
            return false;
        });
    
    </script>
<script>
    const priceRangeSlider = document.getElementById('priceRange');
    const priceRangeVal = document.getElementById('priceRangeVal');
    const products = document.querySelectorAll('.product-sablon');
    const shapeListItems = document.querySelectorAll('#group li');
    let selectedShapes = [];
    const counts = Array.from(products).map(product => parseFloat(product.getAttribute('data-fiyat')));
    const maxCount = Math.max(...counts);
   
    noUiSlider.create(priceRangeSlider, {
        start: [0, maxCount],
        connect: true, 
        range: {
            'min': 0,
            'max': maxCount 
        },
        step: 0.100, 
        format: {
            to: function (value) {
                return value.toFixed(3);
            },
            from: function (value) {
                return parseFloat(value); 
            }
        }
    });
    
    function filterProducts() {
        const minPrice = parseFloat(priceRangeSlider.noUiSlider.get()[0]).toFixed(3);
        const maxPrice = parseFloat(priceRangeSlider.noUiSlider.get()[1]).toFixed(3);
    
        products.forEach(product => {
            const count = parseFloat(product.getAttribute('data-fiyat'));
            const shape = product.getAttribute('data-shape');
    
            if (count >= minPrice && count <= maxPrice &&
                (selectedShapes.length === 0 || selectedShapes.includes(shape))) {
                product.style.display = 'block';
            } else {
                product.style.display = 'none';
            }
        });
    }
    
    priceRangeSlider.noUiSlider.on('update', function () {
       
        let minPrice = parseFloat(priceRangeSlider.noUiSlider.get()[0]).toFixed(3);
        let maxPrice = parseFloat(priceRangeSlider.noUiSlider.get()[1]).toFixed(3);
        priceRangeVal.innerHTML = `${minPrice} TL - ${maxPrice} TL`;
    
        filterProducts();
    });
    
    shapeListItems.forEach(item => {
        item.addEventListener('click', function () {
            const shape = this.getAttribute('data-shape');
    
            if (this.classList.contains('active')) {
                this.classList.remove('active');
                selectedShapes = selectedShapes.filter(s => s !== shape);
            } else {
                this.classList.add('active');
                selectedShapes.push(shape);
            }
    
            filterProducts();
        });
    });
    
    </script>
    <script>
      $(".list").change(function(e){
   
var value=$(this).val();

if(value==1){
		sortByFiyat(1);
		}else if(value==2){
		sortByFiyat(0);
		}else if(value==3) {
		sortByCount(0);
		}else if(value==4) {
		
		sortByNew(0);
		}
	
	
})

function sortByCount(direction) {
	
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
		
        listitems.sort(function (a, b) {
            var compA = parseFloat($(a).data('count'));
            var compB = parseFloat($(b).data('count'));;
			
            return getOrderDirection(compA, compB, direction);
        });
        $.each(listitems, function (idx, itm) { mylist.append(itm); });
    }
function sortByFiyat(direction) {
	
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
        listitems.sort(function(a, b) {
            var valueA = parseFloat($(a).data('fiyat'));
            var valueB = parseFloat($(b).data('fiyat'));
            return getOrderDirection(valueA, valueB, direction);
        });
        $.each(listitems, function(idx, itm) { mylist.append(itm); });
    }
	 function sortByNew(direction) {
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
        listitems.sort(function(a, b) {
            var valueA = parseFloat($(a).data('new'));
            var valueB = parseFloat($(b).data('new'));
            return getOrderDirection(valueA, valueB, direction);
        });
        $.each(listitems, function(idx, itm) { mylist.append(itm); });
    }
    function getOrderDirection(compA, compB,direction) {
        if (direction == 0) {
            return (compA < compB) ? 1 : (compA > compB) ? -1 : 0;
        }
        else {
            return (compA < compB) ? -1 : (compA > compB) ? 1 : 0;
        }

    }
	
</script>
@endsection