@extends('layouts.app')
@section('title', "Üye Ol veya Giriş Yap")
@section('canonical', Request::url())
@section('content')
<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a> <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li>Üye Ol veya Giriş Yap</li>
    </ul>
</section>


<section class=" authentication-pages">
    <div class="c-container">
        <div class="login">
          <div class="form">
                <form  action="{{route('girisyappost')}}" method="post">
                    @csrf
                <div class="form-content-layout">
                    <div class="form-header">
                        <p class="form-title">Üye Girişi</p>
                        <p class="form-description">Sipariş vermek ve özel kampanyalardan yararlanmak için üye girişi yapın.</p>
                    </div>
                    <div class="form-content">
                        <div class="check-input">
                            <input type="email" placeholder="E-Posta Adresiniz veya telefon numaranız" name="bayi_kod"  required>
                            
                        </div>
                        <div class="check-input">
                            <input type="password"  name="pass" placeholder="Şifreniz" minlength="6" required>
                           
                        </div>
                        <div class="link-container">
                            <a href="{{route('sifreal')}}">{{__('system.Şifremi unuttum')}}</a>
                            
                        </div>
                    </div>
                </div>
                <div class="button">
                    <a href="/" class="g-btn">Üye Olmadan Devam Et</a>
                    <button class="g-btn" type="submit">{{__('system.Giriş Yap')}}</button>
                   
                </div>
            </form>
        </div>
            <div class="form dark-bg">
                <form class="form" action="{{route('sign')}}" method="post" enctype="multipart/form-data">
                    @csrf
                <div class="form-content-layout">
                    <div class="form-header">
                        <p class="form-title">Henüz üye değil misiniz?</p>
                        <p class="form-description">Üyelerimize özel kampanya, indirim ve avantajlardan yararlanmak için hemen üye olun!</p>
                    </div>

                    <div class="form-content">
                        <div class="check-input half-size">
                            <input type="text" name="name" placeholder="Adınız" minlength="2" required>
                         
                        </div>
                        <div class="check-input half-size">
                            <input type="text" name="surname" placeholder="Soyadınız" minlength="2" required>
                         
                        </div>
                        <div class="check-input half-size">
                            <input type="tel" placeholder="Telefon Numarası" name="Telefon" minlength="10" maxlength="12" required>
                          
                        </div>
                        <div class="check-input half-size">
                            <input type="email" placeholder="E-Posta Adresi" name="EPosta" required>
                          
                        </div>
                        <div class="check-input half-size">
                            <input type="password" name="password" id="password" placeholder="Şifreniz" minlength="6" required>
                          
                        </div>
                        <div class="check-input half-size">
                            <input type="password" id="confirm-password"  placeholder="Şifrenizi Doğrulayın" minlength="6" required  oninput="this.setCustomValidity(this.value != document.getElementById('password').value ? 'Şifreler eşleşmiyor.' : '')">
                           
                        </div>
                    </div>
                </div>
                <div class="button">
                    <div class="check">
                        <input type="checkbox" id="check2" class="checkbox">
                        <label for="check2"> <a href="{{Helper::pagesLink(10)}}"> {{__('system.Üyelik sözleşmesini')}}</a> {{__('system.okudum anladım')}}</label>
                    </div>
                    <button  class="g-btn" type="submit">Üye Ol</button>
                 
                </div>
            </form>
            </div>
        </div>
        <div class="mt-3">
            @if (\Session::has('success'))
						<div class="alert alert-success">
							<ul>
								<li>{!! \Session::get('success') !!}</li>
							</ul>
						</div>
					@endif
            @if (\Session::has('error'))
               <div class="alert alert-danger">
                  <ul>
                     <li>{!! \Session::get('error') !!}</li>
                  </ul>
               </div>
            @endif
      </div>
    </div>
	</section>


@endsection
@section('css')
<style>
.alert li {font-family: var(--font2);color:#000;font-size: 15px;font-weight: 500;}

</style>
@endsection

