@extends('layouts.app')
@section('title', __('system.Odeme'))
@section('canonical', Request::url())
@section('keywords', __('system.Odeme'))
@section('description', __('system.Odeme'))
@section('content')
<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}}</a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li>{{__('system.Odeme')}}</li>
    </ul>
</section>
<section class="card-page">
    <div class="c-container">
        <div class="d-flex align-items-start justify-content-between">
            <div class="left">
                
                <div class="order-navigation">
                    <div class="step active">Sepet</div>
                    <div class="step active">Teslimat Adresi</div>
                    <div class="step active">Ödeme</div>
                    <div class="step">Sipariş Özeti</div>
                </div>
                <div class=" d-flex align-items-center justify-content-between">
                    <h2 class="card-page-title">Ödeme Seçenekleri</h2>
                    
                </div>
                <div class="step-content-odeme">
                    
                    <ul class="nav nav-tabs" id="paymentTypesTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <span class="nav-link active" id="payment-type-2-tab" data-bs-toggle="tab" data-bs-target="#payment-type-2"
                            type="button"
                            role="tab" aria-controls="payment-type-2" aria-selected="false">
                                Kredi/Banka Kartı
                            </span>
                        </li>
                        <li class="nav-item" role="presentation">
                            <span class="nav-link " id="payment-type-1-tab" data-bs-toggle="tab"
                            data-bs-target="#payment-type-1" type="button"
                            role="tab" aria-controls="payment-type-1" aria-selected="true">
                                Havale/EFT
                            </span>
                        </li>
                        
                    </ul>
                    
                    <div class="tab-content ">
                        <div class="tab-pane fade show active" id="payment-type-2" role="tabpanel" aria-labelledby="payment-type-2-tab">
                           
                            <h4>Kart Bilgileri</h4>

                            <div class="d-flex align-items-stretch flex-wrap ">
                                <div class="w-50">
                            <form class="credit-card-form d-flex align-items-stretch flex-wrap" action="{{route('payment')}}" method="POST" >
								@csrf
                                   
                                        <div class=" w-100">
                                            <label for="cc-name">Kredi Kartı Üzerindeki İsim</label>
                                            <input type="text" name="name" id="cc-name"
                                                   placeholder="Kredi Kartı Üzerindeki İsim" required>
                                        </div>
                                        <div class=" w-100">
                                            <label for="cc-no">Kart Numarası</label>
                                            <input type="tel" minlength="16"  name="number" id="cc-no"
                                                   placeholder="Kart Numarası" required>
                                        </div>
                                        <div class=" w-50">
                                            <label for="cc-expiry">Son Geçerlilik Tarihi</label>
                                            <input type="tel" name="expiry" id="cc-expiry"
                                                minlength="5" maxlength="7" placeholder="MM/YY"   required>
                                        </div>
                                        <div class=" w-50">
                                            <label for="cc-ccv">Güvenlik Kodu</label>
                                            <input type="text" name="cvc" id="cc-ccv"
                                                 maxlength="3"   placeholder="Güvenlik Kodu" required>
                                        </div>
                                        <div class="button">
											<button id="paymentbutton" class="g-btn d-none"  type="submit"></button>
                                            
                                        </div>
									</form>
                                </div>
<div class="w-50 mt-4">
                                    <div class="card-wrapper "></div>
                                </div>
                                </div>
                        </div>
                        <div class="tab-pane fade " id="payment-type-1" role="tabpanel"
                        aria-labelledby="payment-type-1-tab">
                        <h4>Banka Hesap Bilgilerimiz</h4>
                            <div class="bank-accounts">
                                @foreach($pages as $bank)
                                <div class="account">
                                    <div class="image">
                                        <img src="{{$bank->page_image}}" alt="{{$bank->page_name}}" loading="lazy">
                                        <p class="bank-title">{{$bank->page_name}}</p>
                                    </div>
                                    <div class="details">
                                        <p class="receipt-name">ALICI ADI: {{$bank->Layer1}}</p>
                                        
                                        <div class="button">
                                            <p class="account-no">IBAN: <span
                                            id="bank-{{$bank->id}}">{{$bank->Layer2}}</span></p>
                                            <span class="site-btn copy-button" onclick="copytext('bank-{{$bank->id}}')">
                                                  <i class="demo-icon icon-group-52496">&#xe820;</i>
                                                IBAN Kopyala
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                @endforeach
                            </div>
                            <a href="{{route('siparis-ozet')}}" class="g-btn d-none "></a> 
                        </div>
                        
                    </div>
                </div>	                 
                
            </div>

            <div class="payment-summary">
                        <h3>Sepet Özeti</h3>
                       
                        <div class="price-table">
                            <ul>
                                <li>
                                    <span class="title">Ürünler Toplamı</span>
                                    <span class="value p2tutar">{!!  number_format( (Helper::siparisİndirimsizcount() ),2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">İndirim Bedeli</span>
                                    <span class="value p3tutar">{!!  number_format( (Helper::siparisİndirimsizcount() - Helper::sipariscount() ),2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">Kargo Bedeli</span>
                                    <span class="value p4tutar">{!!  number_format( Helper::sipariskargocount() ,2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">Kupon İndirimi</span>
                                    <span class="value p5tutar">0.00 TL</span>
                                </li>
                                
                            </ul>
                        </div>
                         <p class="description">Ödenecek Sipariş Tutarı</p>
                        <p class="price p1tutar">{!!  number_format( (Helper::sipariscount() +  Helper::sipariskargocount()  ),2)  !!} TL</p>
                        <div class="button">
                            <span  class="g-btn card-step-payment">Siparişi Tamamla</span> 
                          
                        </div>
                        <span class="ssl">Bu sitede yapacağınız tüm alışverişler 256bit SSL ile korunmaktadır.</span>
                    </div>
                </div>
            </div>
        </section>
        <section class="kvkk-page ">
            <div class="c-container">
            <div class="payment-agreement">
            <h4>Satış ve Bilgilendirme Sözleşmeleri</h4>
            <p>Veri Sorumlusu</p><p>Bu metinde "biz", [Şirket Adı] olarak ifade edilmiştir. Biz, [Şirket Adı], e-ticaret web sitesi üzerinden sunulan hizmetlerle ilgili olarak kişisel verilerin işlenmesinden sorumlu olan veri sorumlusu konumundayız.</p><p><br></p><p>Kişisel Verilerin İşlenme Amaçları</p><p>Kişisel verileriniz, aşağıdaki amaçlarla işlenmektedir:</p><p><br></p><p>Üyelik sürecini yönetmek ve üyelik hesabınızı oluşturmak,</p><p>Siparişlerinizi işlemek ve teslimatını sağlamak,</p><p>İlgili yasal düzenlemelere uygun olarak muhasebe ve faturalandırma işlemlerini gerçekleştirmek,</p><p>Size özel teklifler ve promosyonlar sunmak,</p><p>Taleplerinizi karşılamak ve müşteri desteği sağlamak,</p><p>Web sitemizin işlevselliğini artırmak ve kullanıcı deneyimini iyileştirmek.</p><p>Toplanan Kişisel Veriler</p><p>E-ticaret web sitemiz üzerinden toplanan kişisel veriler şunları içerebilir:</p><p><br></p><p>İsim, soyisim</p><p>İletişim bilgileri (e-posta adresi, telefon numarası)</p><p>Fatura ve teslimat adresi</p><p>Kullanıcı hesap bilgileri (kullanıcı adı, şifre)</p><p>Ödeme bilgileri (kredi kartı bilgileri, fatura bilgileri)</p><p>İlgili üçüncü taraf hizmetlerden gelen veriler (örneğin, sosyal medya hesaplarınızın bağlantısı)</p><p>Veri Paylaşımı ve Aktarımı</p><p>Kişisel verileriniz, yasal düzenlemelere ve bu aydınlatma metninde belirtilen amaçlara uygun olarak, işbirliği yapılan üçüncü taraflarla paylaşılabilir ve aktarılabilir. Bu üçüncü taraflar, ödeme işlemcileri, kargo firmaları, pazarlama hizmet sağlayıcıları ve benzeri hizmetleri sunan iş ortakları olabilir.</p><p><br></p><p>Kişisel Verilerin Saklanması</p><p>Kişisel verileriniz, yasal saklama süreleri boyunca ve işbu aydınlatma metninde belirtilen amaçlar doğrultusunda saklanacaktır.</p><p><br></p><p>Kişisel Veri Sahibinin Hakları</p><p>Kişisel veri sahipleri olarak, kişisel verileriniz üzerinde aşağıdaki haklara sahipsiniz:</p><p><br></p><p>Veri işlenip işlenmediğini öğrenme,</p><p>İşlenen verilerin hangi amaçlarla işlendiğini ve üçüncü kişilere aktarıldığını öğrenme,</p><p>Kişisel verilerinizin eksik veya yanlış işlenmiş olması halinde düzeltilmesini talep etme,</p><p>Kişisel verilerinizin silinmesini veya yok edilmesini talep etme,</p><p>Kişisel verilerinizin işlenmesinin durdurulmasını veya bu verilerin üçüncü kişilere aktarılmasını engelleme,</p><p>İşlenen verilerinizin otomatik sistemler vasıtasıyla analiz edilmesine itiraz etme.</p><p>Bu haklarınızı kullanmak için, [Şirket Adı]'ya başvurabilirsiniz.</p><p><br></p><p>Güvenlik</p><p>Kişisel verilerinizin güvenliğini sağlamak için gerekli teknik ve idari önlemleri alıyoruz. Ancak, internet üzerinden yapılan iletişimin tam güvenliğini garanti edemeyiz.</p><p><br></p><p>Bu aydınlatma metni, [Tarih] tarihinden itibaren geçerlidir ve zaman zaman güncellenebilir. Güncellenmiş versiyonları web sitemizden takip edebilirsiniz.</p><p><br></p><p>Bu örnek metin, üye ve ziyaretçilerin kişisel verilerinin nasıl işleneceğine dair genel bir çerçeve sunar. Ancak, spesifik ihtiyaçlarınıza ve yasal gerekliliklere uygun olarak metni özelleştirmeniz önemlidir.</p>
            </div>
            </div>
            </section>
	@endsection
    @section('css')
	<link rel="stylesheet" href="/frontend/card/card.css">
	
	@endsection
	@section('js')
	<script src="/frontend/card/jquery.card.js"></script>
	<script src="/frontend/card/card.js"></script>
    <script>
		$('form').card({
			// number formatting
			formatting: true,
			// selectors
			formSelectors: {
				numberInput: 'input[name="number"]',
				expiryInput: 'input[name="expiry"]',
				cvcInput: 'input[name="cvc"]',
				nameInput: 'input[name="name"]'
			},
			cardSelectors: {
				cardContainer: '.jp-card-container',
				card: '.jp-card',
				numberDisplay: '.jp-card-number',
				expiryDisplay: '.jp-card-expiry',
				cvcDisplay: '.jp-card-cvc',
				nameDisplay: '.jp-card-name'
			},
			// custom messages
			messages: {
				validDate: 'Tarih',
				monthYear: 'ay/yıl'
			},
			// custom placeholders
			placeholders: {
				number: '&bull;&bull;&bull;&bull; &bull;&bull;&bull;&bull; &bull;&bull;&bull;&bull; &bull;&bull;&bull;&bull;',
				cvc: '&bull;&bull;&bull;',
				expiry: '&bull;&bull;/&bull;&bull;',
				name: 'Adınız Soyadınız'
			},
			// enable input masking 
			masks: {
				cardNumber: true
			},
			// valid/invalid CSS classes
			classes: {
				valid: 'jp-card-valid',
				invalid: 'jp-card-invalid'
			},
			// debug mode
			debug: true
		});
		new Card({
			form: document.querySelector('form'),
			container: '.card-wrapper'
		});
        $('.card-step-payment').click(function(e) {
      var $element = $('.tab-content .active .g-btn');

    if ($element.is('button')) {
        $element.trigger('click');
    } 
    else if ($element.is('a')) {
        $element[0].click(); 
    }
});
	</script>
    @endsection