@extends('layouts.app')
@section('title', $urun->product_title)
@section('canonical', Request::url())
@section('keywords', $urun->product_title)
@section('description', $urun->product_title)
@section('image', $urun->product_image)
@section('content')


<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/" title="{{__('system.Anasayfa')}}">{{__('system.Anasayfa')}}</a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li><a href="/{{$ustkategori->category_slug}}" title="{{$ustkategori->category_slug}}">{{$ustkategori->category_name}}</a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li>{{$urun->product_title}}</li>
    </ul>
</section>
<section class="product-detail">
			<div class="c-container">
				<div class="d-flex align-items-stretch justify-content-between">
					<div class="col-lg-6">
						<div class="product-detail-slide">
							<div class="left">
								<div class="product-slider-nav">
									<div class="slide">
                                        <img src="{{$urun->product_image}}" alt="{{$urun->product_title}}" class="img-fluid">
                                    </div>
                                    @foreach($galeri as $index =>$item)	
									<div class="slide"><img src="/{{$item->file}}" data-src="/{{$item->file}}" alt="{{$urun->product_title}}" class="img-fluid"></div>
									@endforeach		
                                </div>
							</div>
							<div class="right">
								<div class="product-slider-for">
                                    <div>
                                        <img src="{{$urun->product_image}}" alt="{{$urun->product_title}}" class="img-fluid">
                                    </div>
                                    @foreach($galeri as $index =>$item)	
									<div><img src="/{{$item->file}}" data-src="/{{$item->file}}" alt="{{$urun->product_title}}" class="img-fluid"></div>
									@endforeach	
									
								</div>
							</div>
						</div>
					</div>
					<div class="col-xl-5 col-lg-6">
						<div class="d-flex align-items-start justify-content-between h-100 flex-column ">
							<div class="top">
                                @if($urun->YeniUrun=='on')
                                <span class="new-product-detail-title ">YENİ ÜRÜN</span>
                                @endif
								
								
								<h2>{{$urun->product_title}}</h2>
								<h3>{{$urun->product_title_2}}</h3>
								<div class="meta">
									<div class="stars star-0 star-rating" data-count="{{ Helper::UrunYildiz($urun->id)}}">
										<span class="star" data-value="1"></span>
										<span class="star" data-value="2"></span>
										<span class="star" data-value="3"></span>
										<span class="star" data-value="4"></span>
										<span class="star" data-value="5"></span>
									</div>
									<div class="comments">({{ Helper::urunYorum($urun->id) }} Yorum)</div>
								</div>   
								<ul>
								<li><span>KATEGORİ </span>{{$ustkategori->category_name}}</li>
                                @php
                              
                                $initials = collect(explode(' ', $ustkategori->category_name))
                                            ->map(function($word) {
                                                return mb_strtoupper(mb_substr($word, 0, 1));
                                            })
                                            ->implode('');
                            @endphp
						        <li><span>STOK KODU </span>TT{{$initials}}-O9{{sprintf('%02d', $urun->id)}}</li>
								</ul>

								<div class="variation" >
								<div>ÖLÇÜ SEÇİN:</div>
								<div class="custom-select" >
								<select name="olcu">
                                    @php
                                        $dimensions = $urun->UrunOlcu;
                                        $dimensions = explode('-', trim($dimensions));
                                    @endphp
									  <option value="0">Ölçü Seçiniz</option>
								  @foreach($dimensions as $size)
                                  <option value="{{ $size }}">{{ $size }}</option>
                              @endforeach
								</select>
								</div>
								</div>
                                @if(!empty($urun->Color))
								<div class="variation" >
								<div>RENK SEÇİN:</div>
								<div class="custom-select" >
								<select name="color">
                                    @php
                                    $colors = $urun->Color;
                                    $colors = explode('-', trim($colors));
                                @endphp
								  <option value="0">Renk Seçiniz</option>
                                  @foreach($colors as $size)
                                  <option value="{{ $size }}">{{ $size }}</option>
                              @endforeach
								</select>
								</div>
								</div>
                                @endif
                                @if(!empty($urun->Color_2))
								<div class="variation" >
								<div>AKREP VE YELKOVAN RENGİ:</div>
								<div class="custom-select" >
								
                                    <select name="color2">
                                        @php
                                        $twocolors = $urun->Color_2;
                                        $twocolors = explode('-', trim($twocolors));
                                    @endphp
									  <option value="0">Renk Seçiniz</option>
                                      @foreach($twocolors as $size)
                                      <option value="{{ $size }}">{{ $size }}</option>
                                  @endforeach
                                    </select>
								
								</div>
								</div>
                                @endif
                                    @if($urun->GrupUrunu=='on')
								<div class="variation" >
								<div>ÜRÜN YAZISI:</div>
								<input type="text" name="text" placeholder="Saat yazısını buraya yazın" />
								</div>
                                @endif
							</div>
							<div class="bottom">
								<div class="price">
                                    @php
                                    $indirimlifiyat =number_format( $urun->fiyat -  (($urun->fiyat * $urun->UrunİndirimOranı )/100),2);
				                    @endphp
									<div class="amount">{{$indirimlifiyat}} TL</div>
									<div class="right">
										<span>%{{$urun->UrunİndirimOranı}} İNDİRİM</span>
										<div class="discount-price">{{$urun->fiyat}} TL</div>
									</div>
								</div>
								<span class="add-favorite {{ Helper::favori($urun->id) }}" data-url="{{route('favorite-add')}}" data-val="{{$urun->id}}">
                                <i class="demo-icon icon-heart-regular"></i>
                                <span>Beğendiklerime ekle</span>
                            </span>
							<div class="d-flex align-items-stretch justify-content-between">
								<div class="adet ">
									<div class="qty d-flex align-items-center justify-content-between">
										<span class="qty-btn" data-action="dec">
											<i class="demo-icon icon-minus-solid">&#xe81c;</i> 
										</span>
										<input type="number" value="1" min="0" disabled id="adet">
										<span class="qty-btn" data-action="inc">
											  <i class="demo-icon icon-plus-solid">&#xe81d;</i>
										</span>
									</div>
								</div>
							<span class="add-basket g-btn" data-url="{{route('cart-add',$urun->id)}}"  data-val="{{$urun->id}}">	<i class="demo-icon icon-basket">&#xe800;</i>Sepete Ekle</span>
							</div>
							</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
        <section class="categori-tabs">
			<div class="c-container">
				<div class="tabs">
					<div class="tab-buttons">
						<button class="tab-button active" data-tab="description">Ürün Açıklaması</button>
						<button class="tab-button" data-tab="features">Ürün Özellikleri ve Ölçüleri</button>
						<button class="tab-button" data-tab="reviews">Yorumlar</button>
					</div>
					
					<div class="tab-content">
						<div class="tab-pane categori-detay active" id="description">
						{!!$urun->product_content!!}
                        </div>
						<div class="tab-pane" id="features">
							<div class="row justify-content-between">
								<div class="col-md-6 col-12">
									<table>
										<tr><td>Materyal</td><td>3 mm metal malzemeden üretilmektedir.</td></tr>
										<tr><td>Ölçüler</td><td>Ø30 ila 90 cm arasında ölçüler mevcuttur.</td></tr>
										<tr><td>Ambalaj</td><td>Kraft kutu paketleme.</td></tr>
									</table>
								</div>
								<div class="col-xl-4 col-lg-5 col-md-6 col-12">
									<img src="/frontend/urunler/urun-detay/urun-olculer.jpg"  class="img-fluid">
								</div>
							</div>
						</div>
						<div class="tab-pane" id="reviews">
							<div class="d-flex align-items-start justify-content-between">
								<div class="left-column">
									<h2>Ürünü Değerlendirin</h2>
									<p>Ürünü satın almak isteyen diğer kişilerle ürün ile ilgili deneyimlerinizi paylaşabilirsiniz.</p>
									<div class="product-info">
										<img src="/frontend/urunler/urun-listeleme/cocuklara-ozel/cover-urun-duvar-aksesuar-cocuk-odasi-01-m.jpg" height="90px" alt="">
										<div>
											<h4>Trend Dekoratif Oval Duvar Saati</h4>
											<p>30x30cm</p>
											<p>Mat Siyah</p>
											<p>Metalik Akrep Yelkovan</p>
										</div>
									</div>
                                    
									<form class="w-100 reviews-form"  enctype="multipart/form-data"> 
                                    
										<div class="rating">
											<h3>Ürünü değerlendirin</h3>
											<div class="stars">
												
												<div class="options">
													<div class="option active">
														<input type="radio" name="star" id="star1" value="1">
														<label for="star1">  <i class="demo-icon icon-star">&#xe80c;</i></label>
													</div>
													<div class="option active">
														<input type="radio" name="star" id="star2" value="2">
														<label for="star2">  <i class="demo-icon icon-star">&#xe80c;</i></label>
													</div>
													<div class="option active">
														<input type="radio" name="star" id="star3" value="3">
														<label for="star3">  <i class="demo-icon icon-star">&#xe80c;</i></label>
													</div>
													<div class="option active">
														<input type="radio" name="star" id="star4" value="4">
														<label for="star4">  <i class="demo-icon icon-star">&#xe80c;</i></label>
													</div>
													<div class="option active">
														<input type="radio" name="star" id="star5" value="5">
														<label for="star5">  <i class="demo-icon icon-star">&#xe80c;</i></label>
													</div>
												</div>
											</div>
											
										</div>
										
										<div class="comment-section">
											<h3>Ürün hakkındaki yorumunuz <sup>(isteğe bağlı)</sup> </h3>
											<textarea name="review" placeholder="Ürün ile ilgili düşüncelerinizi yazın..."></textarea>
										</div>
										
										<div class="photo-upload">
											<h3>Fotoğraf ekleyin<sup>(isteğe bağlı)</sup></h3>
											<div class="d-flex align-items-center gap-2">
												<label for="file-upload"> <i class="demo-icon icon-images-regular">&#xe81b;</i>Fotoğraf Ekle</label>
												<input type="file" id="file-upload" name="file-upload[]" multiple  accept="image/*">
												<p>En fazla 5 gorsel ekleyebilirsiniz. Yüklediğiniz görsellerin toplam boyutu 10 MB'ı geçmemeli ve .png,.jpg,.jpeg format tiplerinden biri olmalıdır.  </p>
											</div>
											<div class="image-preview" id="imagePreview"></div>
											<div class="error-message" id="error-message"></div>
											
										</div>
										
										<div class="name-visibility">
											<div>
												<h3 class="mb-2">Yorumda ismim görünsün</h3>
												<div id="maskedName" name="maskedName" class="masked-name" data-name="{{Helper::Bayii()}}"></div>
											</div>
											<label class="switch">
												<input type="checkbox"  id="name-visible">
												<span class="switch-slider"></span>
											</label>
										</div>
										<div class="warning">
											<p>Lütfen <a href="">yorum yayınlama kriterleri</a>ne uyduğunuzdan emin olun.</p><p>
											Yorumlarınız <a href="">Aydınlatma Metni</a>’nde belirtilen kapsamda işlenmektedir.</p>
										</div>
										<button class="g-btn" id="postreviews" type="submit">Ürünü Değerlendir</button>
									</form>
								</div>
								
								<div class="right-column">
									<h2>Ürünü satın aldıktan sonra deneyimleyen kişilerin değerlendirmeleri ve yorumları</h2>
									<p>Toplam {{$yorum->Count()}} değerlendirme</p>
									@foreach($yorum as $index =>$item)
									<div class="comment">
										<div class="d-flex align-items-center justify-content-between">
											<div class="namesurnama">{{$item->name}}</div>
											<div class="d-flex align-items-center justify-content-end "><div class="stars star-0 star-rating" data-count="{{$item->yildiz}}">
												<span class="star" data-value="1"></span>
												<span class="star" data-value="2"></span>
												<span class="star" data-value="3"></span>
												<span class="star" data-value="4"></span>
												<span class="star" data-value="5"></span>
											</div><span> | {{$item->created_at->translatedFormat(' j F Y')}}</span></div>
										</div>
										<p>{{$item->yorum}}</p>
                                        @foreach ($item->yorumFiles as $yorumfile) 
										<img src="/{{$yorumfile->file}}" height="64px" alt="">
										
                                        @endforeach
									</div>
									@endforeach
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>

<section class="categori-etiket">
    <div class="c-container">
        <div class="border">
            <h2>Etiketler</h2>
            <ul class="d-flex align-items-center flex-wrap gap-2">
                <li>saat</li>
                <li>dekoratif</li>
                <li>trend</li>
                <li>zarif</li>
                <li>stil</li>
            </ul>
        </div>
    </div>
</section>
<section class="home-banner-bottom">
    <div class="c-container pore">
        @foreach(Helper::pages(15) as $page)
        <picture>
        <source media="(min-width: 991px)" srcset="{{$page->page_image}}">
        <source media="(max-width: 991px)" srcset="{{$page->opsiyonel_image}}">
        <img src="{{$page->page_image}}" alt="" loading="lazy" width="100%">
        </picture>
        <div class="content">
            <div class="content-text">
                <h4>{{$page->page_description}}</h4>
                {!! $page->page_content !!}
                <a href="{{$page->Layer1}}" class="g-btn">Alışverişe Başla</a>
            </div>
        </div>
        @endforeach

    </div>
</section>
<section class="allproduct allproduct-detay">
    <div class="bg-white">
        <h4>Önerilen Ürünler</h4>
        <div class="c-container">
            <div class="allproduct-slider" data-rows="1">
                @foreach($urunlist as $index =>$item)
                <div class="product product-sablon ">
                    <a href="/{{$item->product_slug}}" title="">
                                <div class="image-container">
                                    @if($item->YeniUrun=='on')
                                <div class="new-product-title">YENİ ÜRÜN</div>
                                @endif
                                <img class="img-fluid" src="{{$item->product_image}}" alt="{{$item->product_title}}">
                                    <div class="right">
                                        <span class="add-favorite {{ Helper::favori($item->id) }} " data-url="{{route('favorite-add')}}" data-val="{{$item->id}}">
                                            <i class="demo-icon icon-heart-regular"></i>
                                         </span>
                                      
                                        <span class="add-basket" data-url="{{route('cart-add',$item->id)}}" data-one="true" data-val="{{$item->id}}">
                                        <i class="demo-icon icon-basket">&#xe800;</i>
                                            </span>
                                        
                                        
                                        </div>
                                </div>
                                <div class="content">
                                    <div class="left">
                                    
                                        <h4>{{$item->product_title}}</h4>
                                        <p>{{$item->product_title_2}}</p>
                                        <div class="price">
                                            @php
                                            $array = explode("." , $item->fiyat);
                                            $indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
                                        
                                            @endphp
                                                 
                                            <div class="amount">{{$indirimlifiyat}} TL</div>
                                            @if($item->UrunİndirimOranı>0)
                                            <div class="right">
                                                <span>%{{$item->UrunİndirimOranı}} İNDİRİM</span>
                                                <div class="discount-price">{{$item->fiyat}} TL</div>
                                            </div>
                                            @endif
                                        </div>
                                    </div>
                                    
                                </div>
                            </a>
                            </div>
                @endforeach
            </div>
            <div class="allproduct-dots"></div>
        </div>
    </div>
</section>
@endsection
@section('js')
	
<script>
    $(".add-basket").click(function () {
        adet=1;
        var dataOneValue = $(this).data('one');
if (!dataOneValue) {
    var adet= $("#adet").val();
}

   
var val= $(this).data('val');
var url =$(this).data('url');
$.ajax({
	type: "POST",
	url: url,
	data: { 
		
		"adet": adet,
		"id":val
          },
	
	success: function (response) {
		if (response.status=="success"){
			
			$(".sepet_adet span").text(response.count );
			$(".sepet_toplam_fiyat").text(response.amount +" TL");
            toastr.success("{{__('system.Ürün sepete eklendi')}}");
			
		}
		else{
            toastr.error("{{__('system.Ürün sepete eklenemedi')}}");
		}
	},
	error: function () {

	}
});

return false;
});
$(".add-favorite").click(function () {
        var id = $(this).data("val");
        var url = $(this).data("url");
        var self = $(this);
        $.ajax({
            type: "POST",
            url: url,
            data: {
                id: id,
            },

            success: function(response) {
                if (response.status == "success") {
                    self.toggleClass("added");
                    toastr.success(response.content);
                } else {
                    toastr.warning("Lütfen önce hesabınıza giriş yapın");
                }
            },
            error: function() {},
        });

        return false;
    });
    document.addEventListener('DOMContentLoaded', function () {
            const starContainers = document.querySelectorAll('.star-rating');
			
            starContainers.forEach(starContainer => {
			const stars = starContainer.querySelectorAll('.star');
			const averageRating = parseFloat(starContainer.getAttribute('data-count'));
			
			stars.forEach(star => {
			const starValue = parseInt(star.getAttribute('data-value'));
			
			if (starValue <= Math.floor(averageRating)) {
			star.classList.add('filled'); 
			
			} else if (starValue === Math.ceil(averageRating) && averageRating % 1 !== 0) {
			star.classList.add('half'); 
			
			} else {
			star.classList.remove('filled', 'half'); 
			
			}
			});
            });
			});
			$(document).ready(function() {
            const $maskedName = $('#maskedName');
            const fullName = $maskedName.data('name');
            const maskedName = maskName(fullName);
			
            function maskName(name) {
			const [firstName, lastName] = name.split(' ');
			const maskedFirstName = firstName.charAt(0) + '*'.repeat(firstName.length - 1);
			const maskedLastName = lastName.charAt(0) + '*'.repeat(lastName.length - 1);
			return `${maskedFirstName} ${maskedLastName}`;
            }
			
			
            $('#name-visible').change(function() {
			if ($(this).is(':checked')) {
			$maskedName.text(fullName);
			} else {
			$maskedName.text(maskedName);
			}
            }).trigger('change'); 
			});
			
			document.getElementById('file-upload').addEventListener('change', function (event) {
            const imagePreview = document.getElementById('imagePreview');
            const errorMessage = document.getElementById('error-message');
            const files = event.target.files;
			
			
            if (files.length > 5) {
			errorMessage.textContent = 'En fazla 5 görsel yükleyebilirsiniz.';
			imagePreview.innerHTML = '';
			event.target.value = ''; 
			return;
            }
			
            errorMessage.textContent = ''; 
            imagePreview.innerHTML = '';  
			
            for (const file of files) {
			const reader = new FileReader();
			
			reader.onload = function (e) {
			const img = document.createElement('img');
			img.src = e.target.result;
			imagePreview.appendChild(img);
			};
			
			reader.readAsDataURL(file);
            }
		});
		
		$('#postreviews').click(function(event) {
    event.preventDefault(); 
    const url = "{{ route('yorum', $urun->id) }}";
    const formData = new FormData(document.querySelector('.reviews-form'));
    const maskedName = document.getElementById('maskedName').textContent;
  
    formData.append('maskedName', maskedName);
    $.ajax({
        url: url,
        type: 'POST',
        data: formData,
        processData: false, 
        contentType: false,  
      
        success: function(response) {
            if(response.success) {
             
             toastr.success(response.message);
            } else {
                toastr.success(response.message);
            }
        },
        error: function(xhr, status, error) {
            toastr.error(response.error);
        }
    });
});
$(" .qty-btn").click(function () {
        event.preventDefault();
        var value = parseFloat($(this).parent().find('input').val());

        if ($(this).attr('data-action') === "dec") {
            value = value > 1 ? (value - 1) : value;
        } else {
            value = (value + 1);
        }

        $(this).parent().find('input').val(value);
    });
</script>


@endsection