@extends('layouts.app')
@section('title', __('system.Bayi Kayıt'))
@section('canonical', Request::url())
@section('content')

<div class="page-header bg-gray">
    <div class="container">
        <ul class="breadcrumb">
           <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a></li>
           <li><a href="{{route('kayitol')}}">{{__('system.Bayi Kayıt')}} </a></li>
        </ul>
    </div>
</div>



 <div class="auth-page">
    <div class="container">
        <div class="content">
            <div class="auth-page-content">
                <div class="form-content">
                    <h2>{{__('system.Müşteri Başvuru Formu')}}</h2>
                    <form class="form" action="{{route('sign')}}" method="post" enctype="multipart/form-data">
					 @csrf
                        <div class="input">
                            <input type="text" class="input-item" name="Firma" placeholder="Adınız ve Soyadınız">
                        </div>
                        <div class="input">
                            <input type="text" class="input-item"  data-mask="0(999) 999 9999"   name="Telefon" name="Telefon" placeholder="Telefon Numarası">
                        </div>
                        <div class="input">
                            <input type="text" class="input-item" data-mask="0(599) 999 9999" name="GSM" placeholder="GSM Numarası">
                        </div>
                        <div class="input">
                            <input type="text" class="input-item" name="EPosta" placeholder="E-Posta Adresi">
                        </div>

                        <div class="input">
                            <select class="input-item" name="sehir">
                                <option disabled  selected>{{__('system.Şehir')}}</option>
						@foreach($sehirlist  as $sehir)
						   <option value="{{$sehir->id}}">{{$sehir->il_adi}}</option>
						 @endforeach
                            </select>
                        </div>
                        <div class="input">
                            <select class="input-item" name="ilce"
                                    aria-label=".form-select-lg example">
                                <option disabled  selected>{{__('system.ilçe Semt')}}</option>
                            </select>
                        </div>
                        <div class="input w-100">
                            <input type="text" class="input-item" name="Adres" placeholder="Adres">
                        </div>
                        <div class="input w-100">
                            <div class="check-input">
                                <input type="checkbox" id="check2">
                                <label for="check2">
                                      {{__('system.Kvkk')}}
                                </label>

                            </div>
                            <div class="check-input">

                                <input type="checkbox" id="check1">
                                <label for="check1">
                                  <span  data-bs-toggle="modal" data-bs-target="#exampleModal" >{{__('system.Üyelik sözleşmesini')}} </span>{{__('system.okudum anladım')}} 
                                </label>
                            </div>
                        </div>
                        <div class="button">
						 <button  class="submit-btn" type="submit">{{__('system.Formu Gönder')}}</button>
                          
                        </div>
					</form>
					
					<div class="mt-3">
						@if (\Session::has('success'))
						<div class="alert alert-success">
							<ul>
								<li>{!! \Session::get('success') !!}</li>
							</ul>
						</div>
					@endif

						@if (\Session::has('error'))
						<div class="alert alert-danger">
							<ul>
								<li>{!! \Session::get('error') !!}</li>
							</ul>
						</div>
					@endif
					</div>
                </div>
            </div>
        </div>
    </div>
</div>
			 
@endsection


@section('js')
<script src="//cdnjs.cloudflare.com/ajax/libs/jasny-bootstrap/3.1.3/js/jasny-bootstrap.min.js"></script>
<script type="text/javascript">
				
				$(function(){
					 var urlx = "{{route("ajax-get")}}";
					$('select[name="sehir"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('select[name="ilce"]').empty();
					
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'ilcegetir': 'ilcegetir'
                        },
							

							success: function (data) {
								
								
								$('select[name="ilce"]').append('<option value="0" disabled  selected>ilçe / Semt </option>');
								$.each(data, function(index, ilce){
								$('select[name="ilce"]').append('<option value="'+ ilce.id +'">'+ ilce.ilce_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>

@endsection

@section('css')
<style>
	.modal-footer button {border:none;border-radius:10px;padding:10px 20px;}
	.check-input span {cursor:pointer;color:#CF1810;}
	</style>
@endsection
