@extends('layouts.home')
@section('title', "Anasayfa")
@section('canonical', Request::url())
@section('keywords', $keywords)
@section('description', $description)
@section('image', $site_image)
@section('content')

<section class="slider">
    <div class="default-slider">
        @foreach($sliders  as  $index =>$item)
        <div class="item " >
            <div class="content">
                <div class="c-container">
                    <div class="d-flex align-items-center justify-content-between"> 
                        <div class="content-detail">
                            <h2>{{$item->slider_name}}</h2>
                            <h3>{{$item->slider_detail}}</h3>
                            <a href="{{$item->slider_url}}">Alışverişe Başla</a>
                        </div>
                        <div class="content-product-detail">
                         
                            @foreach(Helper::ProductFirst($item->Urun_Id)  as  $product)
                            <h2>{{$product->product_title}}</h2>
                            <h3>{{$product->UrunOlcu}} <br/> {{$product->product_title_2}} </h3>
                            <div class="price">{{$product->fiyat}}<span>TL</span> </div>
                            <a href="{{$product->product_slug}}">Ürünü İncele</a>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
            <picture>
                <source media="(min-width: 991px)" srcset="{{$item->slider_image}}">
                    <source media="(max-width: 991px)" srcset="{{$item->slider_mobil_image}}">
                    <img src="{{$item->slider_image}}" alt="{{$item->slider_name}}" class="img-fluid" loading="lazy">
            </picture>
        </div>
        @endforeach
    </div>
    <div class="arrows">
        <div class="c-container">
            <div class="d-flex align-items-center justify-content-between">
                <div class="slick-slider-dots"></div>
                <div class="d-flex align-items-center arrows-btn">
                    <li class="prev" >   <i class="demo-icon icon-arrow-left-long-solid">&#xe817;</i> </li>
                    <li class="next" > <i class="demo-icon icon-arrow-right-long-solid">&#xe818;</i></li>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="feature">
    <div class="c-container">
        <div class="d-flex align-items-center justify-content-center">
            <div class="item">
                <i class="demo-icon icon-ozellik-ebat">&#xe809;</i>
                <div class="text">
                    <h4>Farklı ebat seçenekleri</h4>
                    <p>Ürününüzü size sunulan farklı ebatlarda sipariş edin.</p>
                </div>
            </div>
            <div class="item">
                <i class="demo-icon icon-ozellik-kisiye-ozel">&#xe808;</i>
                <div class="text">
                    <h4>Kişiye özel ürünler</h4>
                    <p>Kişiye özel ürünler ile kendinizi ve sevdiklerinizi özel hissettirin.</p>
                </div>
            </div>
            <div class="item">
                <i class="demo-icon icon-ozellik-teslimat">&#xe80a;</i>
                <div class="text">
                    <h4>Zamanında teslimat</h4>
                    <p>Siparişleriniz özenle hazırlanır ve zamanında teslim edilir.</p>
                </div>
            </div>
        </div>
    </div>
</section>


<section class="home-banner">
    <div class="c-container">
        <div class="d-flex align-items-start flex-wrap">
            @foreach(Helper::pages(16) as $page)
            <div class="col-lg-6 col-md-12">
                <div class="item">
                    <img src="{{$page->page_image}}" alt="" loading="lazy" width="100%">
                    <div class="content">
                        <h4>{{$page->page_description}}</h4>
                        {!! $page->page_content !!}
                        <a href="{{$page->Layer1}}" class="g-btn">Alışverişe Başla</a>
                    </div>
                </div>
            </div>
            @endforeach
            @foreach(Helper::pages(17) as $page)
            <div class="col-lg-6 col-md-12">
                <div class="item">
                    <img src="{{$page->page_image}}" alt="" loading="lazy" width="100%">
                    <div class="content">
                        <h4>{{$page->page_description}}</h4>
                        {!! $page->page_content !!}
                        <a href="{{$page->Layer1}}" class="g-btn">Alışverişe Başla</a>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </div>
</section>
<section class="highlights">
    <div class="c-container">
        <div class="d-flex align-items-end justify-content-between">
            <div class="left">
                <p>Mekanlarınızı zamansız stiller ile donatın</p>
                <h3>Öne Çıkan Ürünler</h3>
            </div>
            <div class="right">
                <div class="d-flex align-items-center gap-2">
                    <li class="highlights-prev " >   <i class="demo-icon icon-arrow-left-long-solid">&#xe817;</i> </li>
                    <li class="highlights-next" > <i class="demo-icon icon-arrow-right-long-solid">&#xe818;</i></li>
                    
                </div>
            </div>
        </div>
    </div>
    
    <div class="cl-container ">
        <div class="highlights-sliders ">
            @foreach($newproduct as $index =>$item)
            <div class="product product-home ">
               
                <div class="image-container">
                    @if($item->YeniUrun=="on")
                    <div class="new-product-title">YENİ ÜRÜN</div>
                    @endif
                    <a href="/{{$item->product_slug}}" title="{{$item->product_title}}">
                    <img class="img-fluid" src="{{$item->product_image}}" alt="{{$item->product_title}}">
                  @if($product->files->isNotEmpty())
                    <img class="overlay img-fluid" src="{{ $item->files->first()->file }}" alt="{{$item->product_title}}">
               
                @endif
            </a>
                </div>
                <div class="content">
                    <div class="left">
                    
                        <h4>{{$item->product_title}}</h4>
                        <p>{{$item->product_title_2}}</p>
                        <div class="price">
                            @php
                            $array = explode("." , $item->fiyat);
                            $indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
                        
                            @endphp
                                 
                            <div class="amount">{{$indirimlifiyat}} TL</div>
                            @if($item->UrunİndirimOranı>0)
                            <div class="right">
                                <span>%{{$item->UrunİndirimOranı}} İNDİRİM</span>
                                <div class="discount-price">{{$item->fiyat}} TL</div>
                            </div>
                            @endif
                        </div>
                    </div>
                    <div class="right">
                    <span class="add-basket" data-url="{{route('cart-add',$item->id)}}" data-val="{{$item->id}}">
                    <i class="demo-icon icon-basket">&#xe800;</i>
                        </span>
                    
                     <span class="add-favorite {{ Helper::favori($item->id) }} " data-url="{{route('favorite-add')}}" data-val="{{$item->id}}">
                           <i class="demo-icon icon-heart-regular"></i>
                        </span>
                     
                    </div>
                </div>
            
            </div>
            @endforeach
                </div>
                </div>
            <div class="highlights-dots"></div>
</section>
<section class="home-banner-bottom">
    <div class="c-container pore">
        @foreach(Helper::pages(15) as $page)
        <picture>
        <source media="(min-width: 991px)" srcset="{{$page->page_image}}">
        <source media="(max-width: 991px)" srcset="{{$page->opsiyonel_image}}">
        <img src="{{$page->page_image}}" alt="" loading="lazy" width="100%">
        </picture>
        <div class="content">
            <div class="content-text">
                <h4>{{$page->page_description}}</h4>
                {!! $page->page_content !!}
                <a href="{{$page->Layer1}}" class="g-btn">Alışverişe Başla</a>
            </div>
        </div>
        @endforeach

    </div>
</section>
<section class="allproduct">
<div class="bg-white">
<p>Mekanlarınızı zamansız stiller ile donatın</p>
<h4>Tüm Ürünler</h4>
<div class="c-container">
<div class="allproduct-slider" data-rows="2">
    @foreach($allproduct as $index =>$item)
<div class="product product-sablon ">
    <a href="/{{$item->product_slug}}" title="">
                <div class="image-container">
                    @if($item->YeniUrun=='on')
                <div class="new-product-title">YENİ ÜRÜN</div>
                @endif
                <img class="img-fluid" src="{{$item->product_image}}" alt="{{$item->product_title}}">
                    <div class="right">
                        <span class="add-favorite {{ Helper::favori($item->id) }} " data-url="{{route('favorite-add')}}" data-val="{{$item->id}}">
                            <i class="demo-icon icon-heart-regular"></i>
                         </span>
                      
                        <span class="add-basket" data-url="{{route('cart-add',$item->id)}}" data-val="{{$item->id}}">
                        <i class="demo-icon icon-basket">&#xe800;</i>
                            </span>
                        
                        
                        </div>
                </div>
                <div class="content">
                    <div class="left">
                    
                        <h4>{{$item->product_title}}</h4>
                        <p>{{$item->product_title_2}}</p>
                        <div class="price">
                            @php
                            $array = explode("." , $item->fiyat);
                            $indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
                        
                            @endphp
                                 
                            <div class="amount">{{$indirimlifiyat}} TL</div>
                            @if($item->UrunİndirimOranı>0)
                            <div class="right">
                                <span>%{{$item->UrunİndirimOranı}} İNDİRİM</span>
                                <div class="discount-price">{{$item->fiyat}} TL</div>
                            </div>
                            @endif
                        </div>
                    </div>
                    
                </div>
            </a>
            </div>
            @endforeach
            
</div>
<div class="allproduct-dots"></div>
</div>
</div>
</section>
    <section class="newlester">
<div class="bg-white">
<h4>Kampanyalar ve fırsatlar için bültene kaydolun.</h4>
<form class="form"  method="post">
                <div class="d-flex justify-content-between align-items-stretch newlester-border">
                        <input type="email" required="" name="email" placeholder="E-posta adresinizi yazınız" >
                        <button type="submit" class="g-btn" title="kaydol">Kaydol <i class="demo-icon icon-newsletter">&#xe804;</i></button>
                        </div>
                    <div class="check-input">
                            <input type="checkbox" id="check2" required="">
                    <label for="check2">
                    E-posta adresimin duyuru ve kampanyalar hakkında bilgilendirme için kullanılmasına izin veriyorum.
                    <a href="">KVKK metni için tıklayın</a></label>
                    </div>	
                </form>
</div>
</section>
<section class="home-instagram text-center" >
    <h2>{{Helper::PagesGetLayer(13,'Layer1')}}</h2>
    {!!Helper::PagesGetLayer(13,'page_content')!!}
</div>
<div class="instagram-slider">
    @foreach(Helper::pagesdokumanfull(13) as $item)				
<div class="instagram-slide">
<img src="{{asset($item->file)}}" class="img-fluid" alt="{{Helper::PagesGetLayer(13,'Layer1')}}">
<a class="icon"data-fancybox="{{Helper::PagesGetLayer(13,'Layer1')}}" href="{{ asset($item->file)}}" target="_blank" title="{{Helper::PagesGetLayer(13,'Layer1')}}">
    <i class="demo-icon icon-instagram-brands-solid">&#xe83c;</i>
</a>
</div>
@endforeach
</div>
</section>

@endsection
@section('css')

@endsection
@section('js')
<script>
$(".add-basket").click(function () {

var val= $(this).data('val');
var url =$(this).data('url');
$.ajax({
	type: "POST",
	url: url,
	data: { 
		
		"adet": 1,
		"id":val
          },
	
	success: function (response) {
		if (response.status=="success"){
			
			$(".count").text(response.count +" TL");
            $(".sepet_toplam_fiyat").text(response.amount +" TL");
            toastr.success("{{__('system.Ürün sepete eklendi')}}");
            window.location.reload();
		}
		else{
            toastr.error("{{__('system.Ürün sepete eklenemedi')}}");
		}
	},
	error: function () {

	}
});

return false;
});
$(".add-favorite").click(function () {
        var id = $(this).data("val");
        var url = $(this).data("url");
        var self = $(this);
        $.ajax({
            type: "POST",
            url: url,
            data: {
                id: id,
            },

            success: function(response) {
                if (response.status == "success") {
                    self.toggleClass("added");
                    toastr.success(response.content);
                } else {
                    toastr.warning("Lütfen önce hesabınıza giriş yapın");
                }
            },
            error: function() {},
        });

        return false;
    });

</script>
@endsection