<!doctype html>
<html lang="tr">

<head>

    <meta charset="utf-8" />
    <title>Fatura</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <link href="/backend/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="/backend/css/icons.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="/backend/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />

</head>
<body data-topbar="dark" data-layout="horizontal">
<div id="layout-wrapper">
<div class="main-content">
 <div class="page-content  m-0 p-0">
            <div class="container-fluid">
                 <div class="row">
                    <div class="col-12">
                        <div class="card m-b-30">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="invoice-title">
                                            <h4 class="float-end font-size-16 mt-2"><strong>Siparis No #  {{$siparis->SiparisNo}}</strong></h4>
                                          
                                            @if($siparis->Kargokey!=null)
                                            <svg style="width:100px;max-width:100%" class="barcode" jsbarcode-value="{{$siparis->Kargokey}}" jsbarcode-textmargin="0" jsbarcode-fontoptions="bold"></svg>
                                             @else
                                             <h3 class="mt-2" >
                                                <img src="{{$site_logo}}" alt="logo" height="24" />
                                            </h3>
                                            @endif
                                         
                                        </div>
                                        <hr>
                                        <div class="row">
                                            <div class="col-6">
                                                <address>
                                                    <strong>Fatura Adresi:</strong><br>
                                                    Ad Soyad :    {{$bayii->Ad_Soyad}}<br>
                                                    Firma Ünvanı : {{$bayii->Firma_Unvani}}<br>
                                                    Vergi Dairesi : {{$bayii->Vergi_Dairesi}}<br>
                                                    Vergi Numarası: {{$bayii->Vergi_No}}	
                                                </address>
                                            </div>
                                            <div class="col-6 text-end">
                                                <address>
                                                    <strong>Teslimat Adresi:</strong><br>
                                                    Tc :  {{$bayii->Tc}}<br>
                                                    Ad Soyad :   {{$bayii->Ad_Soyad}}<br>
                                                    Adres :   {{$bayii->Adres}}<br>
                                                   Telefon : {{$bayii->Telefon}}<br>
                                                   E-Posta: {{$bayii->Eposta}}								
                                                </address>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-6 mt-4">
                                                <address>
                                                    <strong>Ödeme Bilgisi:</strong><br>
                                                    {{$siparis->OdemeSekli==1?"Kredi Kartı":"Havale"}}
                                                </address>
                                            </div>
                                            <div class="col-6 mt-4 text-end">
                                                <address>
                                                    <strong>Sipariş Tarihi:</strong><br>
                                                    {{$siparis->created_at->translatedFormat('j F Y')}}<br><br>
                                                </address>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                
                                <div class="row">
                                    <div class="col-12">
                                        <div class="panel panel-default">
                                            <div class="p-2">
                                                <h3 class="panel-title font-size-20"><strong>Sipariş özeti</strong></h3>
                                            </div>
                                            <div class="">
                                                <div class="table-responsive">
                                                    <table class="table">
                                                        <thead>
                                                            <tr>
                                                                <td><strong>Ürün Tanımı</strong></td>
                                                                <td class="text-center"><strong>Fiyat</strong></td>
                                                                <td class="text-center"><strong>Adet</strong>
                                                                </td>
                                                                <td class="text-end"><strong>Toplam</strong></td>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                         @foreach(Helper::Siparisdetay($siparis->id) as $siparisdetayitem)
                                                            <tr>
                                                                <td>{{$siparisdetayitem->Urun_Title}}</td>
                                                                <td class="text-center">{{number_format($siparisdetayitem->Fiyat,2)}} TL</td>
                                                                <td class="text-center">{{$siparisdetayitem->Adet}}</td>
                                                                <td class="text-end">{{number_format($siparisdetayitem->Adet * $siparisdetayitem->Fiyat,2 ) }} TL</td>
                                                            </tr>
                                                            @endforeach
                                                            <tr>
                                                                <td class="thick-line"></td>
                                                                <td class="thick-line"></td>
                                                                <td class="thick-line text-center">
                                                                    <strong>Ara Toplam</strong>
                                                                </td>
                                                                <td class="thick-line text-end">{{number_format($siparis->GenelToplam,2)}} TL</td>
                                                            </tr>
                                                            <tr>
                                                               <td class="no-line"></td>
                                                               <td class="no-line"></td>
                                                               <td class="no-line text-center">
                                                                   <strong>İndirim Tutarı</strong>
                                                               </td>
                                                               <td class="no-line text-end"> {{number_format($siparis->İndirim,2)}} TL</td>
                                                           </tr>
                                                           
                                                            <tr>
                                                                <td class="no-line"></td>
                                                                <td class="no-line"></td>
                                                                <td class="no-line text-center">
                                                                    <strong>Kargo Ücreti</strong>
                                                                </td>
                                                                <td class="no-line text-end">{{number_format($siparis->Kargo,2)}} TL</td>
                                                            </tr>
                                                            <tr>
                                                                <td class="no-line"></td>
                                                                <td class="no-line"></td>
                                                                <td class="no-line text-center">
                                                                    <strong>Toplam Tutar</strong>
                                                                </td>
                                                                <td class="no-line text-end">
                                                                    <h4 class="m-0">{{number_format($siparis->ToplamTutar,2)}} TL</h4>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                
                                                <div class="d-print-none mo-mt-2">
                                                    <div class="float-end">
                                                        <a href="javascript:window.print()" class="btn btn-success waves-effect waves-light"><i class="fa fa-print"></i></a>
                                                       
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                
                                    </div>
                                </div> <!-- end row -->
                
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
              

            </div> <!-- container-fluid -->
        </div>

    </div>
    <!-- end main content-->

</div>
<!-- END layout-wrapper -->

<!-- JAVASCRIPT -->
<script src="/backend/libs/jquery/jquery.min.js"></script>
<script src="/backend/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="/backend/libs/metismenu/metisMenu.min.js"></script>
<script src="/backend/libs/simplebar/simplebar.min.js"></script>
<script src="/backend/libs/node-waves/waves.min.js"></script>

<script src="/backend/js/app.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jsbarcode/3.11.5/JsBarcode.all.min.js" integrity="sha512-QEAheCz+x/VkKtxeGoDq6nsGyzTx/0LMINTgQjqZ0h3+NjP+bCsPYz3hn0HnBkGmkIFSr7QcEZT+KyEM7lbLPQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
	<script>

  $(document).ready(function(){
	JsBarcode(".barcode").init();
  })
    </script>
</body>

</html>
