<!DOCTYPE html>
<html lang="tr">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
		<meta name="format-detection" content="telephone=no" />
		<title> <?php echo $__env->yieldContent('title'); ?> | <?php echo e(config('app.name')); ?></title>
		<link rel="icon" href="<?php echo e($site_image); ?>">
		<link rel="canonical" href="<?php echo $__env->yieldContent('canonical'); ?>">
		<meta name="keywords" content="<?php echo $__env->yieldContent('keywords'); ?>">
		<meta name="description" content="<?php echo $__env->yieldContent('description'); ?>">
		<meta property="og:url" content="<?php echo $__env->yieldContent('canonical'); ?>"/>
		<meta property="og:title" content="<?php echo $__env->yieldContent('title'); ?>">
		<meta property="og:description" content="<?php echo $__env->yieldContent('description'); ?>">
		<meta property="og:image" content="<?php echo $__env->yieldContent('image'); ?>"/>
		<meta name="twitter:url" content="<?php echo $__env->yieldContent('canonical'); ?>"/>
		<meta name="twitter:card" content="summary_large_image"/>
		<meta name="twitter:title" content="<?php echo $__env->yieldContent('title'); ?>"/>
		<meta name="twitter:description" content="<?php echo $__env->yieldContent('description'); ?>"/>
		<meta name="twitter:image" content="<?php echo $__env->yieldContent('image'); ?>"/>


		<script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.3/css/bootstrap-grid.min.css" integrity="sha512-i1b/nzkVo97VN5WbEtaPebBG8REvjWeqNclJ6AItj7msdVcaveKrlIIByDpvjk5nwHjXkIqGZscVxOrTb9tsMA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.css" integrity="sha512-wR4oNhLBHf7smjy0K4oqzdWumd+r5/+6QO/vDda76MW5iug4PT7v86FoEkySIJft3XA0Ae6axhIvHrqwm793Nw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.css" integrity="sha512-H9jrZiiopUdsLpg94A333EfumgUBpO9MdbxStdeITo+KEIMaNfHNvwyjjDJb+ERPaRS6DpyRlKbvPUasNItRyw==" crossorigin="anonymous"/>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet"/>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css"/>
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Kalnia:wght@100..700&family=Outfit:wght@100..900&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="/frontend/fonts/icon-font/css/animation.css">
		<link rel="stylesheet" href="/frontend/style.css">
		<link rel="stylesheet" href="/frontend/response.css">
	<?php echo $__env->yieldContent("css"); ?>
	</head>
	<body class="bg-body">
		<section class="main-campaigns-bar">
			İLK ALIŞVERİŞİNİZE ÖZEL %20 İNDİRİM FIRSATINI KAÇIRMAYIN! HEMEN ALIŞVERİŞE BAŞLAYIN
		</section>
		<header>
			<div class="d-flex align-items-center justify-content-between">
				<a class="logo" href="/<?php echo e(Config::get('app.locale')); ?>" title="trendtablo">
					<img src="/frontend/logos/trend-tablo/logo-trend-tablo-dark.svg" height="32px"  alt="<?php echo e(config('app.name')); ?>"> 
					<span>Mekanların trendi</span>
				</a>
				<div class="menu">
					<ul class="d-flex align-items-center justify-content-between ">
					
						<?php $__currentLoopData = Helper::Categori(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					
						<?php if(Helper::Down_Categori_Count($cat->id)>0): ?>

						<li class="dropdown"><span><?php echo e($cat->category_name); ?>  <i class="demo-icon icon-chevron-down-solid">&#xe835;</i></span>
							<ul class="dropdown-menu">
								<?php $__currentLoopData = Helper::Down_Categori($cat->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $downcat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								<li><a href="/<?php echo e($downcat->category_slug); ?>" title="<?php echo e($downcat->category_name); ?>"><?php echo e($downcat->category_name); ?></a></li>
							
								<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							</ul>
						</li>
						<?php else: ?>
						<li ><a href="/<?php echo e($cat->category_slug); ?>" title="<?php echo e($cat->category_name); ?>"><?php echo e($cat->category_name); ?></a></li>
						<?php endif; ?>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					</ul>
				</div>
				<div class="login-basket">
					<?php if(Helper::BayiiLogin()==0): ?>
					<div class="login">
						<a href="<?php echo e(route('girisyap')); ?>">Giriş Yap | Üye Ol <i class="demo-icon icon-user">&#xe80b;</i></a>
					</div>
					<?php else: ?>
					<div class="like">
						<a href="<?php echo e(route('favori')); ?>">Beğendiklerim <i class="demo-icon icon-heart">&#xe819;</i></a>
					</div>
					<div class="login">
						<a href="<?php echo e(route('hesabim')); ?>" title="Hesabım">Hesabım <i class="demo-icon icon-user">&#xe80b;</i></a>
					</div>
					<?php endif; ?>
					<div class="basket">
						<d class="sepet_adet"><span class="counter count"><?php echo Helper::siparisadet(); ?></span></d>
						<i class="demo-icon icon-basket-header">&#xe801;</i>
					</div>
				</div>
			</div>
		</header>


		
	
	<?php echo $__env->yieldContent("content"); ?>
	<footer>
		<div class="c-container">
			<div class="d-flex align-items-start justify-content-between flex-wrap">
				<div class="item item1">
					<a class="logo" href="/" title="trendtablo">
						<img src="/frontend/logos/trend-tablo/logo-trend-tablo-light.svg" height="32px" > 
						<span>Mekanların trendi</span>
					</a>
					<p>Mekanlarınızda fark yarataan ürünler ile Trend Tablo mekanların trendi olacak</p>
				
				</div>
				<div class="item item2">
					<?php $__currentLoopData = Helper::pages(1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<h3><?php echo e($item->page_name); ?></h3>
					<ul>
						<li><a href="tel:<?php echo e($item->Layer1); ?>"><?php echo e($item->Layer1); ?></a></li>
						<li><a href="mailto:<?php echo e($item->Layer2); ?>"><?php echo e($item->Layer2); ?></a></li>
					</ul>
					<span><?php echo e($item->Layer3); ?></span>
					<span><?php echo e($item->Layer4); ?></span>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					<div class="social d-flex align-items-center justify-content-start gap-2">
						<?php $__currentLoopData = Helper::Sosyal(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sosyal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                       <?php echo $sosyal->setting_value; ?>

                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
					</div>
				</div>
				<div class="item item3">
					<h3>Kurumsal</h3>
					<ul>
						<?php $__currentLoopData = Helper::pageslist(2,0,0); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<li><a href="/<?php echo e($item->page_slug); ?>" title="<?php echo e($item->page_name); ?>"><?php echo e($item->page_name); ?></a></li>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						<?php $__currentLoopData = Helper::pages(5); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<li><a href="/<?php echo e($item->page_slug); ?>" title="<?php echo e($item->page_name); ?>"><?php echo e($item->page_name); ?></a></li>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						<?php $__currentLoopData = Helper::pages(6); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<li><a href="/<?php echo e($item->page_slug); ?>" title="<?php echo e($item->page_name); ?>"><?php echo e($item->page_name); ?></a></li>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					</ul>
				</div>
				<div class="item item3">
					<h3>Ürün Grupları</h3>
					<ul>
						<?php $__currentLoopData = Helper::Categori(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					
						<?php if(Helper::Down_Categori_Count($cat->id)>0): ?>

								<?php $__currentLoopData = Helper::Down_Categori($cat->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $downcat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								<li><a href="/<?php echo e($downcat->category_slug); ?>" title="<?php echo e($downcat->category_name); ?>"><?php echo e($downcat->category_name); ?></a></li>
								<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							
						<?php else: ?>
						<li ><a href="/<?php echo e($cat->category_slug); ?>" title="<?php echo e($cat->category_name); ?>"><?php echo e($cat->category_name); ?></a></li>
						<?php endif; ?>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						
					</ul>
				</div>
			</div>
			<div class="d-flex align-items-start justify-content-between flex-wrap bottom">
				<ul>
					<?php $__currentLoopData = Helper::pageslist(8,0,0); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<li><a href="/<?php echo e($item->page_slug); ?>" title="<?php echo e($item->page_name); ?>"><?php echo e($item->page_name); ?></a></li>
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
				
				</ul>
				<ul>
					<img src="/frontend/logos/odeme-yontemleri/footer-odeme-yontemleri.svg" height="28px">
				</ul>
			</div>
			<div class="copyright">
				<p><?php echo e(__('system.copyright')); ?></p>
				<a href="" title="radiusdijital.com"><img src="/frontend/logos/radius-dijital/logo-radius.svg" height="22px"></a>
			</div>
		</div>
		<div class="documenttop">
			<i class="demo-icon icon-chevron-up-solid">&#xe836;</i>
		</div>
	</footer>

	<section class="fast-cart">
	<div class="top">
	<div class="d-flex align-items-start justify-content-between">
	<h2>Sepetiniz</h2>
	<i class="demo-icon icon-xmark-solid close">&#xe81e;</i>
	</div>
	<p>Sepetinizde <span class="count"><?php echo Helper::siparisadet(); ?></span> ürün bulunmaktadır.</p>
	</div>
	
	<div class="center">
<?php $__currentLoopData = Helper::Sepet(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $card): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	<div class="card">
	<img  src="<?php echo e($card->Urun->product_image); ?>" height="140px" alt="">
	<div class="right">
	<h3><?php echo e($card->Urun->product_title); ?></h3>
	<?php
	$olculer = explode('-', $card->Urun->UrunOlcu);
	$ilkOlcu = $olculer[0];

	$colors = explode('-', $card->Urun->Color);
	$color = $colors[0];
	$colors2 = explode('-', $card->Urun->Color_2);
	$color2 = $colors2[0];
	?>
	
	<span><?php echo e($ilkOlcu); ?></span>
	<span><?php echo e($color); ?></span>
	<span><?php echo e($color2); ?></span>
	
	<div class="d-flex align-items-end justify-content-between">
	<div class="price">
		<?php
		
		$indirimlifiyat =number_format( $card->Urun->fiyat -  (($card->Urun->fiyat * $card->Urun->UrunİndirimOranı )/100),2);
	
		?>
	<div class="discount-price"><?php echo e($card->Urun->fiyat); ?> TL</div>
			<div class="amount"><?php echo e($indirimlifiyat); ?> TL</div>
			</div>
		 <i data-val="<?php echo e($card->id); ?>" class=" delete demo-icon icon-trash-can-regular">&#xe81f;</i>	
	</div>
	</div>
	</div>
	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	</div>
	<div class="bottom">
	<span class="sepet-text">Sepetinizin toplamı:</span>
	<div class="sepet_toplam_fiyat"><?php echo Helper::sipariscount(); ?> TL</div>
	<div class="d-flex align-items-center justify-content-between">
	<span class="close g-btn-2">Alışverişe Devam Et</span>
	<a href="<?php echo e(route('sepet')); ?>" class=" g-btn">Sepete Git</a>
	
	</div>
	</div>
	</section>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/lazysizes/5.3.2/lazysizes.min.js" integrity="sha512-q583ppKrCRc7N5O0n2nzUiJ+suUv7Et1JGels4bXOaMFQcamPk9HjdUknZuuFjBNs7tsMuadge5k9RzdmO+1GQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.3/js/bootstrap.bundle.min.js" integrity="sha512-7Pi/otdlbbCR+LnW+F7PwFcSDJOuUJB3OxtEHbg4vSMvzvJjde4Po1v4BR9Gdc9aXNUNFVUY+SK51wWT8WF0Gg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js" integrity="sha512-XtmMtDEcNz2j7ekrtHvOVR4iwwaD6o/FUJe6+Zq+HgcCsk3kj4uSQQR8weQ2QVj1o0Pk6PwYLohm206ZzNfubg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js"
integrity="sha512-uURl+ZXMBrF4AwGaWmEetzrd+J5/8NRkWAvJx5sbPSSuOb0bZLqf+tOzniObO00BjHa/dD7gub9oCGMLPQHtQA=="
crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="/frontend/main.js"></script>
	<script>
		$.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		});
		function copytext(id) {
        let element = document.getElementById(id);
        let elementText = element.textContent;
        navigator.clipboard.writeText(elementText);
        toastr.success('IBAN başarıyla kopyalandı');
    }

	$('.delete').click(function(){
  
  var url ="<?php echo e(route('ajax-get')); ?>";
   var self = $(this);
  var val= $(this).data("val");

  $.ajax({
  type: "POST",
  url: url,
  data: { 
	  "val": val,
	  "siparisde": "siparisde"
		},
  
  success: function (response) {
	  if (response.status=="success"){
		$(".count").text(response.count);
		$(".sepet_toplam_fiyat").text(response.total) +" TL";
		self.closest('.card').remove();
		if (response.count == 0) {
            
        }
		}else{
		toastr.success("Bir hata meydana geldi.");
	 }
 
	  
  },
  error: function (response) {
toastr.error(response);
  }
});
  
})

	</script>
	<?php echo $__env->yieldContent("js"); ?>
</body>
</html><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\layouts\home.blade.php ENDPATH**/ ?>