<?php $__env->startSection('content'); ?>

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Kullanıcılar</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Kullanıcı</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Kullanıcı Listesi</h3>
                    </div>
                    <div class="card-body">
                        <table id="defaulttable" class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>Kullanıcı Adı</th>
                                <th>Telefon</th>
                                <th>Oluşturulma Tarihi</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($user->name); ?></td>
                                  
                                    
                                    <td><?php echo e($user->phone); ?></td>
                                  
                                    <td><?php echo e($user->created_at); ?></td>
                                    <td>
                                        <a href="<?php echo e(route('customer-edit',$user->id)); ?>" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
                                
                                    </td>
                                    <td>
                                        <button class="btn btn-danger" onclick="deleteUsers(this,'<?php echo e($user->id); ?>')"><i class="fas fa-trash-alt"></i>&nbsp;Sil</button>

                                    </td>
                                    <td>
                                        <?php if($user->status == 'on'): ?>
                                            <button class="btn btn-success" onclick="userStatus(this,'<?php echo e($user->id); ?>','off')"><i class="fas fa-eye-slash"></i>Pasif</button>
                                        <?php else: ?>
                                            <button class="btn btn-success" onclick="userStatus(this,'<?php echo e($user->id); ?>','on')"><i class="fas fa-eye"></i>Aktif</button>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>

                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </section>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script src="/js/sweetalert2.js"></script>
    <script src="/backend/plugins/sweetalert2/sweetalert2.min.js"></script>

   
    <script>
        function deleteUsers(r, id) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Sildiğinizde geri dönüşümü olmayacaktır!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '<?php echo e(route('customer')); ?>',
                        data: {
                            'id': id,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('defaulttable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }
    </script>

  
    <script>
        function userStatus(r, id, status) {
            $.ajax
            ({
                type: "Post",
                url: '<?php echo e(route('customer')); ?>',
                data: {
                    'id': id,
                    'status': status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },1000);
                    } else {
                        toastr.error(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },1000);
                    }
                }

            })

        }
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\customer\customer.blade.php ENDPATH**/ ?>