<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Menü</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Menü</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                        <table id="defaulttable" class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>Menü Adı</th>
                                <th>Grup</th>
                                <th>Oluşturulma Tarihi</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                            </tr>
                            </thead>
                            <tbody id="sortable">
                            <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr id="item-<?php echo e($menu->id); ?>">
                                    <td class="sortable"><?php echo e($menu->translate('tr')->menu_name); ?></td>
                                  
                                    <td><?php echo e($menu->pageName->page_name); ?></td>
                                    <td><?php echo e($menu->created_at); ?></td>
                                    <td>
                                        <a href="<?php echo e(route('menu-edit',$menu->id)); ?>" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
                                       
                                    </td>
                                    <td>
                                        <button class="btn btn-danger" onclick="deleteMenus(this,'<?php echo e($menu->id); ?>')"><i class="fas fa-trash-alt"></i>&nbsp;Sil</button>
                                      
                                    </td>
                                    <td>
                                       <?php if($menu->menu_status == 'on'): ?>
                                            <button class="btn btn-success" onclick="menuStatus(this,'<?php echo e($menu->id); ?>','off')"><i class="fas fa-eye-slash"></i>Pasif</button>
                                        <?php else: ?>
                                            <button class="btn btn-success" onclick="menuStatus(this,'<?php echo e($menu->id); ?>','on')"><i class="fas fa-eye"></i>Aktif</button>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                               
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>

    <script>
        $(function () {
            $('#sortable').sortable({
                revert: true,
                handle: ".sortable",
                stop: function (event, ui) {
                    var data = $(this).sortable('serialize');
                    $.ajax({
                        type: "POST",
                        data: data,
                        url: "<?php echo e(route('menus')); ?>",
                        success: function (response) {
                            if (response.status == "success") {
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }
                    }); 

                }
            });
            $('#sortable').disableSelection();
        });
    </script>

    <script>
        function deleteMenus(r, id) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Sildiğinizde geri dönüşümü olmayacaktır!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '<?php echo e(route('menus')); ?>',
                        data: {
                            'id': id,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('defaulttable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }
    </script>
    <script>
        function menuStatus(r, id, menu_status) {
            $.ajax
            ({
                type: "Post",
                url: '<?php echo e(route('menus')); ?>',
                data: {
                    'id': id,
                    'menu_status': menu_status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },5000);
                    } else {
                        toastr.error(response.content, response.title);
                        setInterval(function(){
                            window.location.reload();
                        },5000);
                    }
                }

            })

        }
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\menus\menus.blade.php ENDPATH**/ ?>